2006-02-17  Jerome Couderc

    * Patch from Spoon to fix UTF-16 writing bug
      http://sourceforge.net/tracker/index.php?func=detail&aid=1016290&group_id=979&atid=300979

2003-03-02 Sunday 17:38   Thijmen Klok <thijmen@id3lib.org>

	* THANKS (1.20): added more people 

2003-03-02 Sunday 17:37   Thijmen Klok <thijmen@id3lib.org>

	* config.h.win32 (1.25), config.h.win32.in (1.13), configure
	(1.79), configure.in (1.68), macconfig.h (1.12): changes to reflect
	new version 

2003-03-02 Sunday 17:19   Thijmen Klok <thijmen@id3lib.org>

	* config.sub (1.3), config.guess (1.3): update from
	ftp://ftp.gnu.org/pub/gnu/config/ timestamp 2003-02-22 

2003-03-02 Sunday 16:17   Thijmen Klok <thijmen@id3lib.org>

	* examples/: demo_main.cpp (1.4), test_io.cpp (1.6),
	test_remove.cpp (1.13): added cerr cout and endl where needed 

2003-03-02 Sunday 15:39   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_find.cpp (1.28): Fixes a bug where a string is tried to
	be made from NULL 

2003-03-02 Sunday 15:30   Thijmen Klok <thijmen@id3lib.org>

	* src/header_tag.cpp (1.25): adds a check on _info for NULL 

2003-03-02 Sunday 15:23   Thijmen Klok <thijmen@id3lib.org>

	* src/: field_string_ascii.cpp (1.29), field_string_unicode.cpp
	(1.33), field_binary.cpp (1.27): added a check for NULL in Set() 

2003-03-02 Sunday 15:14   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_file.cpp (1.43): fixes left open file 

2003-03-02 Sunday 14:56   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/id3lib_strings.h (1.4): fix for undefined wchar_t
	template 

2003-03-02 Sunday 14:35   Thijmen Klok <thijmen@id3lib.org>

	* src/tag.cpp (1.55), include/id3/tag.h (1.63): fix because
	GetFileName need to return a pointer which keeps to be valid 

2003-02-21 Friday 04:47  slackorama

	* include/id3/globals.h (1.54): added a missing const to remove
	warning when compiling with -Wwrite-strings (as is done in KDE and
	many other projects) 

2002-11-24 Sunday 20:39   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.138): added all entries for 3.8.2 release 

2002-11-24 Sunday 20:34   Thijmen Klok <thijmen@id3lib.org>

	* id3com/id3com.dsp (1.20): added link32 to zlib 

2002-11-24 Sunday 18:33   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse.cpp (1.47): fixed a bug which caused v1 tags to be
	ignored after a lyrics v2 tag 

2002-11-24 Sunday 17:31   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse.cpp (1.46): fixed a stupid bug of mine, affecting
	wrong handling of id3v1 tags 

2002-11-03 Sunday 01:41   Thijmen Klok <thijmen@id3lib.org>

	* src/field.cpp (1.47): fixes access to invalid framedefs 

2002-11-02 Saturday 23:28   Thijmen Klok <thijmen@id3lib.org>

	* id3com/win32.readme.first.txt (1.4),
	libprj/win32.readme.first.txt (1.4), prj/win32.readme.first.txt
	(1.4): improved comment on delphi 

2002-11-02 Saturday 22:02   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_file.cpp (1.42): fixed a bug in RenderV2ToFile, file was
	not cleared and thus eof mark was still set 

2002-11-02 Saturday 19:10   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.137): added todays work 

2002-11-02 Saturday 19:07   Thijmen Klok <thijmen@id3lib.org>

	* config.h.win32 (1.24), configure (1.78), configure.in (1.67),
	macconfig.h (1.11): bumped version up to 3.8.1 

2002-11-02 Saturday 19:03   Thijmen Klok <thijmen@id3lib.org>

	* id3lib.spec.in (1.27): added a line on mp3 headers 

2002-11-02 Saturday 18:49   Thijmen Klok <thijmen@id3lib.org>

	* THANKS (1.19): added latest help 

2002-11-02 Saturday 18:48   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/globals.h (1.53), src/mp3_header.h (1.4),
	src/mp3_parse.cpp (1.6): added vbr support 

2002-11-02 Saturday 18:35   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/tag.h (1.62), src/tag.cpp (1.54), src/tag_file.cpp
	(1.41), src/tag_impl.h (1.10), src/tag_parse.cpp (1.45): added
	streaming support 

2002-11-02 Saturday 18:03   Thijmen Klok <thijmen@id3lib.org>

	* libprj/win32.readme.first.txt (1.3),
	id3com/win32.readme.first.txt (1.3), prj/win32.readme.first.txt
	(1.3): added comment about id3lib.pas 

2002-11-02 Saturday 17:56   Thijmen Klok <thijmen@id3lib.org>

	* delphi/Id3lib.pas (1.1): added delphi interface to id3lib 

2002-11-02 Saturday 13:45   Thijmen Klok <thijmen@id3lib.org>

	* id3com/: ID3Tag.cpp (1.14), id3com.dsp (1.19), id3com.idl (1.13): 
	Updated id3com in line with latest id3lib 

2002-10-04 Friday 10:57   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.136): added latest entries 

2002-10-04 Friday 10:52   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse_lyrics3.cpp (1.35): cleaning source 

2002-09-23 Monday 23:32  slackorama

	* src/tag_parse_lyrics3.cpp (1.34): Fixed a "version priority"
	issue in the ID3 lyrics tagging stuff.  Posted patch on id3lib-devel
	first.  

2002-09-21 Saturday 19:23   Thijmen Klok <thijmen@id3lib.org>

	* include/id3.h (1.21), include/id3/tag.h (1.61), src/c_wrapper.cpp
	(1.22, rel-3-7-10), src/helpers.cpp (1.12), src/tag.cpp (1.53),
	src/tag_impl.cpp (1.13), src/tag_impl.h (1.9): added boolean return
	for AttachFrame 

2002-09-21 Saturday 18:04   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_impl.cpp (1.12): initializing _mp3_info to NULL 

2002-09-19 Thursday 12:20   Thijmen Klok <thijmen@id3lib.org>

	* src/misc_support.cpp (1.39), include/id3/misc_support.h (1.29): 
	fixed prototpyes ID3_GetSyncLyrics 

2002-08-13 Tuesday 18:10   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/id3lib_strings.h (1.3): fixed compile for gcc 3.2 

2002-08-11 Sunday 12:58   Thijmen Klok <thijmen@id3lib.org>

	* cvs2cl.pl (1.2): changed command for use of ssh 

2002-08-10 Saturday 22:39   Thijmen Klok <thijmen@id3lib.org>

	* config.h.win32.in (1.12): updated for version info on dll 

2002-08-10 Saturday 22:13   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.135): updated changelog for latest changes before
	final 

2002-08-10 Saturday 22:02   Thijmen Klok <thijmen@id3lib.org>

	* examples/getopt.c (1.3): fixed stupid gcc warning from external
	code 

2002-08-10 Saturday 19:40   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/globals.h (1.52), include/id3/misc_support.h (1.28),
	src/misc_support.cpp (1.38): added routines to misc_support 

2002-08-10 Saturday 18:33   Thijmen Klok <thijmen@id3lib.org>

	* THANKS (1.18): added two busy developers 

2002-08-10 Saturday 15:27   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.134): added notes until final version 

2002-08-10 Saturday 15:13   Thijmen Klok <thijmen@id3lib.org>

	* id3com/win32.readme.first.txt (1.2),
	libprj/win32.readme.first.txt (1.2), prj/win32.readme.first.txt
	(1.2): updated for MFC instructions 

2002-08-10 Saturday 13:51   Thijmen Klok <thijmen@id3lib.org>

	* config.h.win32 (1.23), configure (1.77), configure.in (1.66),
	macconfig.h (1.10, rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	updated for final version 3.8.0 

2002-08-10 Saturday 13:49   Thijmen Klok <thijmen@id3lib.org>

	* makefile.win32 (1.3): updated to include new link option and
	mp3_parse.cpp 

2002-08-10 Saturday 13:47   Thijmen Klok <thijmen@id3lib.org>

	* id3com/id3com.dsp (1.18), include/id3.h (1.20),
	include/id3/globals.h (1.51), libprj/id3lib.dsp (1.16),
	prj/id3lib.dsp (1.18), src/c_wrapper.cpp (1.21): updated to include
	CCONV definition and use the new linkoption 

2002-08-10 Saturday 12:50   Thijmen Klok <thijmen@id3lib.org>

	* src/frame_impl.h (1.6): Added copyright 

2002-08-10 Saturday 12:42   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/Makefile.am (1.23), include/id3/Makefile.in (1.59),
	include/id3/tag.h (1.60), src/c_wrapper.cpp (1.20), src/frame.cpp
	(1.35), src/frame_impl.h (1.4), src/frame_impl.h (1.5),
	include/id3/id3lib_frame.h (1.1), include/id3/frame.h (1.43): 
	Renamed frame.h to avoid conflict with windows and gcc header 

2002-08-10 Saturday 12:17   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/tag.h (1.59), src/tag.cpp (1.52), src/tag_impl.h
	(1.8): changed HasTagType from uint16 to ID3_TagType for c_wrapper 

2002-08-08 Thursday 23:28   Thijmen Klok <thijmen@id3lib.org>

	* config.h.win32 (1.22), prj/version.rc (1.2): made dll versioning
	automated 

2002-08-08 Thursday 17:41   Thijmen Klok <thijmen@id3lib.org>

	* prj/: version.rc (1.1), Makefile.am (1.6), Makefile.in (1.5),
	id3lib.def (1.1), id3lib.dsp (1.17): added version.rc and
	id3lib.def 

2002-07-31 Wednesday 18:41   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse.cpp (1.44): fixed padding empty files 

2002-07-31 Wednesday 16:35   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse_lyrics3.cpp (1.33): added brackets for win32
	compilation 

2002-07-31 Wednesday 16:17   Thijmen Klok <thijmen@id3lib.org>

	* config.h.win32 (1.21), configure (1.76), configure.in (1.65),
	macconfig.h (1.9, rel-3-7-9): getting ready for pre3.3 

2002-07-31 Wednesday 16:16   Thijmen Klok <thijmen@id3lib.org>

	* libtool (1.15): these are generated 

2002-07-31 Wednesday 16:02   Thijmen Klok <thijmen@id3lib.org>

	* config.win32 (1.9): is obsolete 

2002-07-31 Wednesday 15:59   Thijmen Klok <thijmen@id3lib.org>

	* AUTHORS (1.13, rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	added a desciption for Cedrics involment 

2002-07-31 Wednesday 15:45   Thijmen Klok <thijmen@id3lib.org>

	* src/: field.cpp (1.46), frame_render.cpp (1.27), misc_support.cpp
	(1.37), tag.cpp (1.51), tag_file.cpp (1.40), tag_parse_lyrics3.cpp
	(1.32), tag_parse_v1.cpp (1.27): cosmetic changes 

2002-07-31 Wednesday 15:20   Thijmen Klok <thijmen@id3lib.org>

	* src/: header.cpp (1.11), header.h (1.3), header_tag.cpp (1.24),
	header_tag.h (1.2), spec.cpp (1.2), tag_impl.cpp (1.11), tag_impl.h
	(1.7), tag_parse.cpp (1.43), tag_render.cpp (1.44): better support
	for extended headers 

2002-07-31 Wednesday 14:47   Thijmen Klok <thijmen@id3lib.org>

	* src/: mp3_header.h (1.3), mp3_parse.cpp (1.5), tag_impl.h (1.6): 
	making Mp3HeaderInfo read-only 

2002-07-28 Sunday 23:53   Thijmen Klok <thijmen@id3lib.org>

	* examples/demo_info.cpp (1.32), include/id3/tag.h (1.58),
	src/tag.cpp (1.50): making Mp3HeaderInfo read-only 

2002-07-28 Sunday 23:13   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse_v1.cpp (1.26): real fix for garbage after comment 

2002-07-28 Sunday 22:05   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse_v1.cpp (1.25): fix for garbage after comment 

2002-07-27 Saturday 18:06   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/: Makefile.am (1.22), Makefile.in (1.58): included
	id3lib_strings.h and id3lib_streams.h to installed headers 

2002-07-27 Saturday 17:44   Thijmen Klok <thijmen@id3lib.org>

	* libprj/id3lib.dsp (1.15), prj/id3lib.dsp (1.16): fixed header
	location 

2002-07-27 Saturday 16:16   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.133): added past week 

2002-07-27 Saturday 15:03   Thijmen Klok <thijmen@id3lib.org>

	* src/mp3_parse.cpp (1.4): change of reading in uint16 number to
	use existing routines 

2002-07-26 Friday 13:09   Thijmen Klok <thijmen@id3lib.org>

	* configure (1.75), Makefile.in (1.59), configure.in (1.64),
	doc/Makefile.in (1.18), examples/Makefile.in (1.25),
	id3com/Makefile.in (1.2), id3com/Sample/Makefile.in (1.2),
	include/Makefile.in (1.13), include/id3/Makefile.in (1.57),
	libprj/Makefile.in (1.4), m4/Makefile.in (1.18), prj/Makefile.in
	(1.4), src/Makefile.in (1.57): made -liconv to work 

2002-07-25 Thursday 15:51   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_impl.cpp (1.10): fixed setting _mp3_info to NULL 

2002-07-25 Thursday 14:33   Thijmen Klok <thijmen@id3lib.org>

	* src/mp3_parse.cpp (1.3): changed routine so 0 bitrate mp3s could
	also be crc checked 

2002-07-23 Tuesday 22:06   Thijmen Klok <thijmen@id3lib.org>

	* config.h.win32 (1.20), configure (1.74, rel-3-7-8), configure.in
	(1.63), macconfig.h (1.8): yet another devel release upgrade of
	version nr 

2002-07-23 Tuesday 21:55   Thijmen Klok <thijmen@id3lib.org>

	* prj/id3lib.dsp (1.15), libprj/id3lib.dsp (1.14): included
	mp3_parse.cpp and mp3_header.h 

2002-07-23 Tuesday 18:28   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/sized_types.h (1.7): added a better desciption on
	what to send on error 

2002-07-23 Tuesday 16:15   Thijmen Klok <thijmen@id3lib.org>

	* config.h.win32 (1.19), configure (1.73), configure.in (1.62),
	macconfig.h (1.7), ChangeLog (1.132): higher version because of
	devel release 

2002-07-23 Tuesday 15:57   Thijmen Klok <thijmen@id3lib.org>

	* NEWS (1.27, rel-3-7-10): added url for latest news 

2002-07-23 Tuesday 15:47   Thijmen Klok <thijmen@id3lib.org>

	* examples/: Makefile.am (1.22), Makefile.in (1.24),
	demo_simple.cpp (1.1): renamed demo_simple.c to demo_simple.cpp 

2002-07-23 Tuesday 15:22   Thijmen Klok <thijmen@id3lib.org>

	* examples/: Makefile.am (1.21), Makefile.in (1.23), crc53865.mp3
	(1.1): added crc53865.mp3 for new routine GetMp3HeaderInfo 

2002-07-23 Tuesday 15:20   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/globals.h (1.50), examples/demo_info.cpp (1.31),
	include/id3/tag.h (1.57), src/mp3_header.h (1.2), src/mp3_parse.cpp
	(1.2), src/tag.cpp (1.49), src/tag_impl.h (1.5): changed name of
	GetMp3Header and Mp3_Header 

2002-07-22 Monday 20:28   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.131): added mp3 header info additions 

2002-07-22 Monday 19:56   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/globals.h (1.49), include/id3/tag.h (1.56),
	src/Makefile.am (1.27), src/Makefile.in (1.56), src/tag.cpp (1.48),
	src/tag_impl.h (1.4), src/tag_parse.cpp (1.42), src/mp3_header.h
	(1.1), src/mp3_parse.cpp (1.1): Added mp3 header info 

2002-07-17 Wednesday 18:40   Thijmen Klok <thijmen@id3lib.org>

	* Makefile.am (1.28), include/Makefile.am (1.6),
	include/id3/Makefile.am (1.21), libprj/Makefile.am (1.6),
	m4/Makefile.am (1.9), prj/Makefile.am (1.5, rel-3-7-13,
	rel-3-7-12), src/Makefile.am (1.26): added copyright 

2002-07-17 Wednesday 18:35   Thijmen Klok <thijmen@id3lib.org>

	* Makefile.in (1.58), configure.in (1.61), doc/Makefile.in (1.17),
	examples/Makefile.in (1.22), id3com/Makefile.in (1.1),
	id3com/Sample/Makefile.in (1.1), include/Makefile.in (1.12),
	include/id3/Makefile.in (1.56), libprj/Makefile.in (1.3),
	m4/Makefile.in (1.17), prj/Makefile.in (1.3), src/Makefile.in
	(1.55), aclocal.m4 (1.18), configure (1.72, rel-3-7-7): regenerated 

2002-07-17 Wednesday 17:42   Thijmen Klok <thijmen@id3lib.org>

	* configure.in (1.60): changed AC_PROG_LIBTOOL to AM_PROG_LIBTOOL 

2002-07-17 Wednesday 17:16   Thijmen Klok <thijmen@id3lib.org>

	* id3com/Sample/Makefile.am (1.1): initial file 

2002-07-17 Wednesday 17:14   Thijmen Klok <thijmen@id3lib.org>

	* id3com/Makefile.am (1.9): changed to reflect dir contents 

2002-07-17 Wednesday 17:03   Thijmen Klok <thijmen@id3lib.org>

	* m4/Makefile.am (1.8): added id3_unicode.m4 

2002-07-16 Tuesday 17:32   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/: Makefile.am (1.20), Makefile.in (1.55): added
	id3lib_bitset 

2002-07-08 Monday 20:27   Thijmen Klok <thijmen@id3lib.org>

	* prj/Makefile.am (1.4), prj/Makefile.in (1.2), libprj/Makefile.am
	(1.5), libprj/Makefile.in (1.2): added win32.readme 

2002-07-06 Saturday 23:31   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.130): added last two days 

2002-07-06 Saturday 23:28   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse_v1.cpp (1.24): fixed setting field when previous
	field was existing but empty 

2002-07-06 Saturday 19:04   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse_v1.cpp (1.23): fixed setting genre when previous
	genre was existing but empty 

2002-07-06 Saturday 15:52   Thijmen Klok <thijmen@id3lib.org>

	* src/: frame_render.cpp (1.26), frame_parse.cpp (1.34): fixed
	empty frame bugs 

2002-07-05 Friday 18:12   Thijmen Klok <thijmen@id3lib.org>

	* AUTHORS (1.12): Readded Cedric, welcome back :-) 

2002-07-05 Friday 14:35   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.129): added last few days 

2002-07-05 Friday 14:33   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_parse.cpp (1.41): cleanup of internal variable file added 

2002-07-05 Friday 14:31   Thijmen Klok <thijmen@id3lib.org>

	* src/: header_frame.h (1.2), frame_render.cpp (1.25): Fixed bug
	unknown frames corrupting tag 

2002-07-03 Wednesday 22:36   Thijmen Klok <thijmen@id3lib.org>

	* src/tag_file.cpp (1.39): Fixed deleted MP3 after update 

2002-07-03 Wednesday 00:27   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.128): added last two days 

2002-07-03 Wednesday 00:10   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/field.h (1.47), include/id3/frame.h (1.42),
	include/id3/globals.h (1.48), include/id3/helpers.h (1.9),
	include/id3/io_decorators.h (1.5), include/id3/reader.h (1.13),
	include/id3/utils.h (1.22), include/id3/writer.h (1.8),
	include/id3/writers.h (1.11), include/id3.h (1.19),
	src/c_wrapper.cpp (1.19), src/field.cpp (1.45),
	src/field_binary.cpp (1.26), src/field_def.h (1.2),
	src/field_integer.cpp (1.21), src/field_string_ascii.cpp (1.28),
	src/field_string_unicode.cpp (1.32), src/frame_def.h (1.2),
	src/frame_impl.cpp (1.9), src/frame_parse.cpp (1.33),
	src/frame_render.cpp (1.24), src/globals.cpp (1.6), src/header.h
	(1.2), src/header_frame.cpp (1.22), src/header_tag.cpp (1.23),
	src/helpers.cpp (1.11), src/io_decorators.cpp (1.4),
	src/io_helpers.cpp (1.13), src/misc_support.cpp (1.36),
	src/readers.cpp (1.7), src/spec.h (1.2), src/tag.cpp (1.47),
	src/tag_file.cpp (1.38), src/tag_find.cpp (1.27), src/tag_impl.cpp
	(1.9), src/tag_impl.h (1.3), src/tag_parse.cpp (1.40),
	src/tag_parse_lyrics3.cpp (1.31), src/tag_parse_musicmatch.cpp
	(1.19), src/tag_parse_v1.cpp (1.22), src/tag_render.cpp (1.43): 
	cleaned header includes 

2002-07-03 Wednesday 00:04   Thijmen Klok <thijmen@id3lib.org>

	* src/utils.cpp (1.26): Added safeguard for failed iconv calls 

2002-07-02 Tuesday 14:22   Thijmen Klok <thijmen@id3lib.org>

	* src/utils.cpp (1.25): added prevention of going to unnecesary
	code when empty 

2002-07-01 Monday 16:44   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.127): added last two days 

2002-07-01 Monday 16:03   Thijmen Klok <thijmen@id3lib.org>

	* src/utils.cpp (1.24): Fix for iconv 

2002-07-01 Monday 15:20   Thijmen Klok <thijmen@id3lib.org>

	* examples/get_local_codeset.c (1.1): added for unicode debugging 

2002-07-01 Monday 14:24   Thijmen Klok <thijmen@id3lib.org>

	* examples/win-xp.mp3 (1.1): added for issue 547255 

2002-07-01 Monday 02:13   Thijmen Klok <thijmen@id3lib.org>

	* aclocal.m4 (1.17), m4/id3_unicode.m4 (1.2): Fix for iconv 

2002-06-30 Sunday 19:37   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/globals.h (1.47): removed unnessesary defines which
	gave warnings one some compilers 

2002-06-30 Sunday 18:24   Thijmen Klok <thijmen@id3lib.org>

	* configure.in (1.59), config.h.in (1.23, rel-3-7-9, rel-3-7-13),
	configure (1.71), config.h.win32.in (1.11), config.h.win32 (1.18),
	macconfig.h (1.6): Fix for iconv 

2002-06-29 Saturday 22:49   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.126): added past few days 

2002-06-29 Saturday 22:45   Thijmen Klok <thijmen@id3lib.org>

	* macconfig.h (1.5): Added Define for NetBSD and MacOS X 

2002-06-29 Saturday 22:24   Thijmen Klok <thijmen@id3lib.org>

	* configure.in (1.58), configure (1.70): Fixed horribly wrong file 

2002-06-29 Saturday 21:48   Thijmen Klok <thijmen@id3lib.org>

	* config.h.win32 (1.16), config.h.win32.in (1.10, rel-3-7-13),
	config.h.win32 (1.17), config.h.in (1.22), configure.in (1.57),
	configure (1.69), src/frame_impl.h (1.3): change for new define
	HAVE_BITSET for NetBSD and MacOS X 

2002-06-29 Saturday 21:16   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/id3lib_bitset (1.1): Added for NetBSD and MacOs X 

2002-06-29 Saturday 19:35   Thijmen Klok <thijmen@id3lib.org>

	* src/field_integer.cpp (1.20), src/frame.cpp (1.34),
	src/frame_parse.cpp (1.32), src/frame_render.cpp (1.23),
	src/globals.cpp (1.5), src/header.cpp (1.10), src/header_frame.cpp
	(1.21), src/header_tag.cpp (1.22), src/io.cpp (1.2),
	src/io_decorators.cpp (1.3), src/io_helpers.cpp (1.12),
	src/readers.cpp (1.6), src/tag.cpp (1.46), src/tag_file.cpp (1.37),
	src/tag_parse.cpp (1.39), src/tag_parse_lyrics3.cpp (1.30),
	src/tag_parse_musicmatch.cpp (1.18), src/tag_parse_v1.cpp (1.21),
	src/tag_render.cpp (1.42), src/utils.cpp (1.23),
	src/writer_decorators.cpp (1.2), src/writers.cpp (1.2),
	include/id3/field.h (1.46), include/id3/frame.h (1.41),
	include/id3/globals.h (1.46), include/id3/helpers.h (1.8),
	include/id3/id3lib_strings.h (1.2), include/id3/io_decorators.h
	(1.4), include/id3/io_helpers.h (1.7), include/id3/io_strings.h
	(1.6), include/id3/misc_support.h (1.27), include/id3/reader.h
	(1.12), include/id3/readers.h (1.12), include/id3/tag.h (1.55),
	include/id3/utils.h (1.21), include/id3/writer.h (1.7),
	include/id3/writers.h (1.10): added trailing newline to prevent
	compiler warning 

2002-06-29 Saturday 19:18   Thijmen Klok <thijmen@id3lib.org>

	* examples/: demo_tag.cpp (1.15), demo_info.cpp (1.30),
	demo_copy.cpp (1.11), findeng.cpp (1.6), findstr.cpp (1.6),
	get_pic.cpp (1.8), test_compression.cpp (1.9), test_io.cpp (1.5),
	test_pic.cpp (1.10), test_remove.cpp (1.12), test_unicode.cpp
	(1.8): added trailing linefeed 

2002-06-29 Saturday 19:11   Thijmen Klok <thijmen@id3lib.org>

	* src/utils.cpp (1.22): quickfixed compiling on Solaris regarding
	iconv, still looking into a more elegant solution 

2002-06-29 Saturday 16:43   Thijmen Klok <thijmen@id3lib.org>

	* src/field_string_unicode.cpp (1.31): fixes compile on some
	solarises + fix for unicode typo 

2002-06-29 Saturday 16:41   Thijmen Klok <thijmen@id3lib.org>

	* include/dami/lyr3.h (1.3), include/dami/lyr3_impl.h (1.3),
	include/id3.h (1.18), include/id3/field.h (1.45),
	include/id3/frame.h (1.40), include/id3/helpers.h (1.7),
	include/id3/tag.h (1.54), src/c_wrapper.cpp (1.18, rel-3-7-9),
	src/field.cpp (1.44), src/field_impl.h (1.4),
	src/field_string_ascii.cpp (1.27), src/frame.cpp (1.33),
	src/helpers.cpp (1.10), src/io_helpers.cpp (1.11), src/tag.cpp
	(1.45), src/utils.cpp (1.21), include/id3/globals.h (1.45): fixes
	compile on some solarises 

2002-06-28 Friday 14:36   Thijmen Klok <thijmen@id3lib.org>

	* src/tag.cpp (1.44): corrected type in comment 

2002-06-28 Friday 13:59   Thijmen Klok <thijmen@id3lib.org>

	* zlib/: include/deflate.h (1.4), include/infblock.h (1.4),
	include/infcodes.h (1.4), include/inffast.h (1.4),
	include/inftrees.h (1.4), include/infutil.h (1.4), include/zconf.h
	(1.5, rel-3-7-13, rel-3-7-12), include/zlib.h (1.5),
	include/zutil.h (1.5), src/adler32.c (1.4, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9), src/compress.c (1.4), src/crc32.c (1.4),
	src/deflate.c (1.4), src/gzio.c (1.5), src/infblock.c (1.4),
	src/infcodes.c (1.4), src/inffast.c (1.4), src/inflate.c (1.4),
	src/inftrees.c (1.4), src/infutil.c (1.4), src/trees.c (1.4),
	src/uncompr.c (1.4), src/zutil.c (1.5): removed carriage return 

2002-06-28 Friday 10:32   Thijmen Klok <thijmen@id3lib.org>

	* libtool (1.14): hardly any changes 

2002-06-28 Friday 10:29   Thijmen Klok <thijmen@id3lib.org>

	* ChangeLog (1.125): Added the changes since i started working on
	this 

2002-06-28 Friday 10:26   Thijmen Klok <thijmen@id3lib.org>

	* configure.in (1.56), configure (1.68): added url for missing
	headers 

2002-06-27 Thursday 15:02   Thijmen Klok <thijmen@id3lib.org>

	* examples/demo_copy.cpp (1.10): corrected a typo 

2002-06-27 Thursday 14:51   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/strings.h (1.5): replaced by id3lib_strings.h for
	compile on NetBSD 

2002-06-27 Thursday 14:41   Thijmen Klok <thijmen@id3lib.org>

	* configure (1.67), src/io_helpers.cpp (1.10), libtool (1.13),
	src/misc_support.cpp (1.35), src/utils.cpp (1.20), src/tag_file.cpp
	(1.36), examples/demo_info.cpp (1.29), configure.in (1.55),
	examples/demo_convert.cpp (1.15), include/id3/writers.h (1.9),
	include/id3/readers.h (1.11), examples/test_unicode.cpp (1.7),
	examples/findeng.cpp (1.5), examples/demo_tag.cpp (1.14),
	examples/demo_main.cpp (1.3), examples/test_compression.cpp (1.8),
	examples/get_pic.cpp (1.7), examples/findstr.cpp (1.5),
	examples/test_pic.cpp (1.9), examples/test_remove.cpp (1.11),
	src/tag.cpp (1.43), include/id3/utils.h (1.20),
	include/id3/io_strings.h (1.5), include/id3/io_decorators.h (1.3),
	include/id3/helpers.h (1.6), src/field_impl.h (1.3), src/tag_impl.h
	(1.2), include/dami/v1.h (1.2), include/dami/mm.h (1.2),
	include/dami/lyr3_impl.h (1.2), include/dami/lyr3.h (1.2),
	include/id3/io_helpers.h (1.6), prj/id3lib.dsp (1.14),
	libprj/id3lib.dsp (1.13), include/id3/Makefile.in (1.54),
	include/id3/Makefile.am (1.19), examples/demo_copy.cpp (1.9): Fix
	for compile with gcc 3.x, and compile on NetBSD and alpha 

2002-06-27 Thursday 14:00   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/id3lib_strings.h (1.1): Added as fix for compile
	errors on NetBSD 

2002-06-27 Thursday 13:59   Thijmen Klok <thijmen@id3lib.org>

	* include/id3/id3lib_streams.h (1.1): Added as fix for gcc 3.x
	compile errors 

2002-06-27 Thursday 13:50   Thijmen Klok <thijmen@id3lib.org>

	* THANKS (1.17): added thanx for email alias 

2002-06-27 Thursday 13:48   Thijmen Klok <thijmen@id3lib.org>

	* AUTHORS (1.11, rel-3-7-9, rel-3-7-8, rel-3-7-7): Changing email,
	added an 'old' entry 

2002-06-27 Thursday 12:09   Thijmen Klok <thijmen@id3lib.org>

	* config.h.in (1.21): fixes a bug in autoconf, checking for
	booleans in gcc while g++ is used for compiling 

2002-06-27 Thursday 12:05   Thijmen Klok <thijmen@id3lib.org>

	* prj/win32.readme.first.txt (1.1), libprj/win32.readme.first.txt
	(1.1): Added as clarification on directories 

2002-06-27 Thursday 11:55   Thijmen Klok <thijmen@id3lib.org>

	* id3com/: Sample/frmID3Test.frm (1.8), Sample/ID3Test.vbp (1.8),
	Sample/ID3Test.vbw (1.9), dlldata.c (1.6), EnumFields.cpp (1.7),
	EnumFields.h (1.7), id3com.cpp (1.9), ID3COM.def (1.6), id3com.dsp
	(1.17), id3com.dsw (1.7), id3com.idl (1.12), ID3COMps.def (1.6),
	ID3COMps.mk (1.6), ID3COM.rc (1.7), ID3Field.cpp (1.8), ID3Field.h
	(1.10), ID3Field.rgs (1.7), ID3Frame.cpp (1.11), ID3Frame.h (1.10),
	ID3Frame.rgs (1.7), ID3Tag.cpp (1.13), ID3Tag.h (1.10), ID3Tag.rgs
	(1.7), Makefile.am (1.8), resource.h (1.7), StdAfx.cpp (1.8),
	StdAfx.h (1.8), win32.readme.first.txt (1.1): Re-Added as service 

2002-06-21 Friday 00:18   Thijmen Klok <thijmen@id3lib.org>

	* configure (1.66), zlib/configure (1.3): updated from autoconf
	1.53a 

2002-06-20 Thursday 04:02   Thijmen Klok <thijmen@id3lib.org>

	* zlib/: include/deflate.h (1.3), include/infblock.h (1.3),
	include/infcodes.h (1.3), include/inffast.h (1.3),
	include/inftrees.h (1.3), include/infutil.h (1.3), include/zconf.h
	(1.4), include/zlib.h (1.4), include/zutil.h (1.4), src/adler32.c
	(1.3), src/compress.c (1.3), src/crc32.c (1.3), src/deflate.c
	(1.3), src/gzio.c (1.4), src/infblock.c (1.3), src/infcodes.c
	(1.3), src/inffast.c (1.3), src/inflate.c (1.3), src/inftrees.c
	(1.3), src/infutil.c (1.3), src/trees.c (1.3), src/uncompr.c (1.3),
	src/zutil.c (1.4): updated to zlib version 1.1.4 

2002-06-19 Wednesday 20:21   Thijmen Klok <thijmen@id3lib.org>

	* THANKS (1.16): Added Simon Ferrett for the id3lib.org domain
	"link" 

2002-06-19 Wednesday 19:59   Thijmen Klok <thijmen@id3lib.org>

	* config.sub (1.2), config.guess (1.2): update from
	ftp://ftp.gnu.org/pub/gnu/config/ timestamp 2002-05-28 

2002-06-19 Wednesday 17:45   Thijmen Klok <thijmen@id3lib.org>

	* AUTHORS (1.10): added t1mpy as author 

2002-03-20 Wednesday 11:32  slackorama

	* include/id3/misc_support.h (1.26, rel-3-7-10): This is the other
	half of the commit for adding text based genres.  

2002-03-20 Wednesday 11:32  slackorama

	* src/misc_support.cpp (1.34): Added a method for adding text based
	genres.  

2002-03-03 Sunday 21:04  slackorama

	* src/tag_file.cpp (1.35): This should fix a long standing bug on
	UNIX systems.  When a temp file is created in tag_file.cpp it always
	used 0600 permissions.  Now, when that file is moved over the file
	being edited, the permissions will be restored to the original.  

2002-02-19 Tuesday 02:54  slackorama

	* src/io_helpers.cpp (1.9): changed line 306 in
	io::writeTrailingSpaces() (io_helpers.cpp) from writer.writeChar('
	'); to writer.writeChar('\0'); 
	This pads id3v1 tags will null characters instead of spaces.  

2002-01-22 Tuesday 22:06  slackorama

	* src/: tag_parse_v1.cpp (1.20), tag_render.cpp (1.41): I added
	Florian Heidenreich's fixes for the computation of padding size in
	tag_render.cpp ID3_TagImpl::PaddingSize() and made change to 
	tag_parse_v1.cpp so that it doesn't return an undefined value for
	the track number when parsing a file with just an id3v1.0 tag (and
	no v2 or v1.1).  || was changed to && on line 115.  

2001-12-18 Tuesday 10:12  shadrack

	* depcomp (1.1), src/.cvsignore (1.15), zlib/.cvsignore (1.7): Add
	depcomp file needed for configure script 

2001-12-18 Tuesday 09:57  shadrack

	* libtool (1.12), src/tag_render.cpp (1.40), zlib/config.h (1.2),
	zlib/libtool (1.3): Applied Florian Heidenreich's padding fix 

2001-12-17 Monday 18:40  shadrack

	* zlib/prj/: zlib.dsp (1.6), zlib.dsw (1.3), zlib.mak (1.3): 
	Switched EOL conventions to DOS in zlib VC++ project files 

2001-12-17 Monday 18:34  shadrack

	* reconf (1.4): More build tool updates 

2001-12-17 Monday 18:24  shadrack

	* libprj/Makefile.in (1.1), prj/Makefile.in (1.1): Makefile
	templates for Visual C++ build directories 

2001-12-17 Monday 18:20  shadrack

	* Makefile.am (1.27), Makefile.in (1.57), aclocal.m4 (1.16),
	config.h.in (1.20), configure (1.65), configure.in (1.54),
	id3lib.spec.in (1.26), ltmain.sh (1.2), missing (1.2),
	doc/Makefile.in (1.16), examples/Makefile.in (1.21),
	include/Makefile.in (1.11), include/id3/Makefile.in (1.53),
	libprj/Makefile.am (1.4), m4/Makefile.in (1.16), src/Makefile.in
	(1.54), zlib/Makefile.in (1.3), zlib/aclocal.m4 (1.2),
	zlib/config.h.in (1.2), zlib/configure (1.2), zlib/configure.in
	(1.2), zlib/include/Makefile.in (1.3, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7),
	zlib/lib/Makefile.in (1.3, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7), zlib/prj/Makefile.in
	(1.3, rel-3-7-9, rel-3-7-8, rel-3-7-7), zlib/src/Makefile.in (1.6): 
	Updated build files for current versions of automake and the like.  

2001-12-16 Sunday 12:44  shadrack

	* config.h.in (1.19), config.h.win32 (1.15), config.win32 (1.8),
	configure (1.64), configure.in (1.53), macconfig.h (1.4, rel-3-7-8,
	rel-3-7-7), src/tag_parse_v1.cpp (1.19): V1 parsing fix 

2001-12-16 Sunday 12:11  shadrack

	* config.h.win32 (1.14), config.win32 (1.7), configure (1.63),
	macconfig.h (1.3), makefile.win32 (1.2), makewin32.bat (1.2): 
	Cosmetic fixups to reflect 2001-12-16 snapshot 

2001-12-16 Sunday 11:32  shadrack

	* makefile.win32 (1.1), makewin32.bat (1.1): Added Win32
	command-line build files 

2001-12-16 Sunday 10:56  shadrack

	* src/tag_render.cpp (1.39): Applied fixes for bug 469112 

2001-12-16 Sunday 10:40  shadrack

	* src/tag_file.cpp (1.34): Fixed overwrite bug in tag_file.cpp 

2001-12-16 Sunday 10:25  shadrack

	* src/tag.cpp (1.42): Applied fix from bug #232172 (overflow crash
	under Win32) 

2001-12-16 Sunday 10:10  shadrack

	* src/tag_file.cpp (1.33): Daniel Hazelbaker's patch to fix ID3V1
	appending when only ID3V2 tag was read 

2001-12-16 Sunday 09:46  shadrack

	* libprj/id3lib.dsp (1.12), libprj/id3lib.dsw (1.7), prj/id3lib.dsp
	(1.13), prj/id3lib.dsw (1.6): Fixed Visual C++ Workspace files 

2001-11-05 Monday 10:55  shadrack

	* include/id3/helpers.h (1.5), src/helpers.cpp (1.9),
	src/misc_support.cpp (1.33), src/tag_parse_v1.cpp (1.18): Applied
	Scott Wheeler's version priority bug fix 

2001-09-09 Sunday 01:53  shadrack

	* AUTHORS (1.9), ChangeLog (1.124), Makefile.in (1.56), NEWS
	(1.26), config.h.win32 (1.13), config.win32 (1.6), configure
	(1.62), configure.in (1.52, rel-3-7-4), id3lib.spec.in (1.25),
	macconfig.h (1.2), src/field.cpp (1.43): Bumped version up to
	3.8.0pre2 for release 

2001-09-08 Saturday 23:33  shadrack

	* src/field.cpp (1.42): Implemented Matt Mueller's FrameInfo fixes 

2001-09-08 Saturday 23:19  shadrack

	* include/id3/io_strings.h (1.4), src/io_helpers.cpp (1.8): Back
	out Mac port typecasts for compatibility reasons 

2001-09-08 Saturday 04:33  shadrack

	* include/id3.h (1.17), src/c_wrapper.cpp (1.17), src/tag.cpp
	(1.41): Added ID3Tag_LinkWithFlags() function export 

2001-08-27 Monday 01:33  dmazzoni

	* src/field_binary.cpp (1.25), libprj/id3lib.mcp (1.1),
	src/io_helpers.cpp (1.7), include/id3/io_strings.h (1.3),
	macconfig.h (1.1), src/readers.cpp (1.5), include/id3/readers.h
	(1.10), src/tag_file.cpp (1.32), src/tag_parse_musicmatch.cpp
	(1.17), src/utils.cpp (1.19), include/id3/writers.h (1.8),
	zlib/prj/zlib.mcp (1.1): Ported to MacOS and added Mac project
	files (id3lib.mcp and zlib.mcp).  

2001-08-07 Tuesday 13:58  shadrack

	* Makefile.in (1.55, rel-3-7-5), doc/Makefile.in (1.15),
	examples/Makefile.in (1.20), include/Makefile.in (1.10),
	include/id3.h (1.16), include/id3/Makefile.in (1.52),
	include/id3/field.h (1.44), include/id3/globals.h (1.44),
	m4/Makefile.in (1.15), src/Makefile.in (1.53), src/field.cpp
	(1.41), src/field_impl.h (1.2), src/tag.cpp (1.40): Added FrameInfo
	class 

2001-08-05 Sunday 23:21  abscess

	* src/tag_parse_lyrics3.cpp (1.29): album parsing typo fix
	(courtesy of J.P. Bergamin) 

2001-08-05 Sunday 23:18  abscess

	* src/frame_parse.cpp (1.31): zero-length frame fix (courtesy of
	J.P. Bergamin) 

2001-08-05 Sunday 23:16  abscess

	* examples/demo_simple.c (1.4): displays artist and album 

2001-08-04 Saturday 02:05  thefrogprince

	* src/tag.cpp (1.39): Minor documentation fixes 

2001-07-30 Monday 20:22  abscess

	* include/id3/field.h (1.43), include/id3/frame.h (1.39),
	include/id3/globals.h (1.43), include/id3/helpers.h (1.4),
	include/id3/io_decorators.h (1.2), include/id3/io_helpers.h (1.5),
	include/id3/io_strings.h (1.2), include/id3/misc_support.h (1.25),
	include/id3/reader.h (1.11), include/id3/readers.h (1.9),
	include/id3/tag.h (1.53), include/id3/utils.h (1.19),
	include/id3/writer.h (1.6), include/id3/writers.h (1.7),
	src/misc_support.cpp (1.32): applied changes made to repository
	while stored temporarily on millweed.com 

2001-07-25 Wednesday 05:50  thefrogprince

	* src/tag.cpp (1.38): Fix ID3_Tag::HasTagType() bug 

2001-07-24 Tuesday 10:12  thefrogprince

	* libtool (1.11), examples/demo_convert.cpp (1.14),
	examples/demo_copy.cpp (1.8), examples/demo_copy_options.c (1.5),
	examples/demo_copy_options.h (1.2), examples/demo_info_options.c
	(1.5), examples/demo_info_options.h (1.2), src/utils.cpp (1.18),
	zlib/libtool (1.2): Fix compiler errors 

2000-11-20 Monday 10:17  eldamitri

	* src/utils.cpp (1.17): Minor namespace bugfix 

2000-11-20 Monday 10:06  eldamitri

	* NEWS (1.25), id3lib.spec.in (1.24): Updated for new release 

2000-11-20 Monday 09:30  eldamitri

	* id3com/: .cvsignore (1.6), BSTRCollection.h (1.2, rel-3-7-9,
	rel-3-7-8, rel-3-7-7), EnumFields.cpp (1.6), EnumFields.h (1.6),
	ID3COM.def (1.5), ID3COM.rc (1.6), ID3COMps.def (1.5), ID3COMps.mk
	(1.5), ID3Field.cpp (1.7), ID3Field.h (1.9), ID3Field.rgs (1.6),
	ID3Frame.cpp (1.10), ID3Frame.h (1.9), ID3Frame.rgs (1.6),
	ID3Tag.cpp (1.12), ID3Tag.h (1.9), ID3Tag.rgs (1.6), Makefile.am
	(1.7), MimeTypes.cpp (1.2), MimeTypes.h (1.2), StdAfx.cpp (1.7),
	StdAfx.h (1.7), TextCollection.cpp (1.2), TextCollection.h (1.2),
	TextCollection.rgs (1.2), dlldata.c (1.5), frmID3Test.frm (1.5),
	id3com.cpp (1.8), id3com.dsp (1.16), id3com.dsw (1.6), id3com.idl
	(1.11), mssccprj.scc (1.5), resource.h (1.6), vssver.scc (1.2),
	Sample/.cvsignore (1.2), Sample/ID3Test.vbp (1.7),
	Sample/ID3Test.vbw (1.8), Sample/MSSCCPRJ.SCC (1.5),
	Sample/frmID3Test.frm (1.7): Now has its own project at sourceforge 

2000-11-20 Monday 09:19  eldamitri

	* doc/Doxyfile.in (1.7): Updated list of input files 

2000-11-20 Monday 09:18  eldamitri

	* src/tag.cpp (1.37): Updated tutorial docs 

2000-11-07 Tuesday 10:44  eldamitri

	* examples/: demo_convert_options.ggo (1.2), demo_copy_options.ggo
	(1.2), demo_info_options.ggo (1.2), demo_tag_options.ggo (1.2): 
	Rely on automake's VERSION macro for assigning apps' version 

2000-11-07 Tuesday 10:40  eldamitri

	* examples/: Makefile.am (1.20), Makefile.in (1.19): Removed rule
	for generating ggo file 

2000-11-07 Tuesday 10:39  eldamitri

	* examples/: demo_convert_options.ggo (1.1), demo_copy_options.ggo
	(1.1), demo_info_options.ggo (1.1), demo_tag_options.ggo (1.1): 
	Initial release 

2000-11-07 Tuesday 10:27  eldamitri

	* configure (1.61), configure.in (1.51): Removed AC_PROG_RANLIB
	
	(deprecated) 

2000-11-07 Tuesday 10:19  eldamitri

	* src/utils.cpp (1.16): Removed "using namespace std" 

2000-11-07 Tuesday 10:18  eldamitri

	* src/frame_impl.h (1.2): Made iterator and const_iterator typedefs
	public 

2000-11-07 Tuesday 10:17  eldamitri

	* src/Makefile.am (1.25): Add tag_impl.h to list of distributed
	header files 

2000-11-07 Tuesday 10:17  eldamitri

	* config.h.win32 (1.11), config.h.win32.in (1.9): Brought up to
	speed with current config.h 

2000-11-04 Saturday 03:56  eldamitri

	* examples/: demo_convert_options.ggo.in (1.2),
	demo_copy_options.ggo.in (1.2), demo_info_options.ggo.in (1.2),
	demo_tag_options.ggo.in (1.2): not needed 

2000-10-29 Sunday 09:15  eldamitri

	* configure.in (1.50), include/id3/globals.h (1.42),
	include/id3/io_helpers.h (1.4), include/id3/utils.h (1.18),
	src/field.cpp (1.40), src/io_helpers.cpp (1.6), src/utils.cpp
	(1.15): Improved unicode support for systems that support iconv 

2000-10-29 Sunday 09:14  eldamitri

	* examples/test_io.cpp (1.4): Added tests for unicode transcoding 

2000-10-29 Sunday 09:14  eldamitri

	* m4/id3_unicode.m4 (1.1): Initial release 

2000-10-29 Sunday 02:39  eldamitri

	* m4/id3_debug.m4 (1.1): Initial release 

2000-10-29 Sunday 02:37  eldamitri

	* configure.in (1.49), examples/demo_convert.cpp (1.13),
	examples/demo_convert_options.c (1.3), examples/demo_copy.cpp
	(1.7), examples/demo_copy_options.c (1.3), examples/demo_info.cpp
	(1.28), examples/demo_info_options.c (1.3), examples/demo_tag.cpp
	(1.13), examples/demo_tag_options.c (1.3), examples/findeng.cpp
	(1.4), examples/findstr.cpp (1.4), examples/get_pic.cpp (1.6),
	examples/test_compression.cpp (1.7), examples/test_io.cpp (1.3),
	examples/test_pic.cpp (1.8), examples/test_remove.cpp (1.10),
	examples/test_unicode.cpp (1.6), include/id3/Makefile.am (1.18),
	m4/Makefile.am (1.7), src/Makefile.am (1.24), src/field.cpp (1.39),
	src/field_binary.cpp (1.24), src/field_integer.cpp (1.19),
	src/field_string_ascii.cpp (1.26), src/field_string_unicode.cpp
	(1.30), src/frame_parse.cpp (1.30), src/frame_render.cpp (1.22),
	src/header_frame.cpp (1.20), src/header_tag.cpp (1.21),
	src/helpers.cpp (1.8), src/io_decorators.cpp (1.2),
	src/io_helpers.cpp (1.5), src/misc_support.cpp (1.31),
	src/readers.cpp (1.4), src/tag.cpp (1.36), src/tag_file.cpp (1.31),
	src/tag_find.cpp (1.26), src/tag_impl.cpp (1.8), src/tag_parse.cpp
	(1.38), src/tag_parse_lyrics3.cpp (1.28),
	src/tag_parse_musicmatch.cpp (1.16), src/tag_parse_v1.cpp (1.17),
	src/tag_render.cpp (1.38), src/utils.cpp (1.14): 
	- Moved debug.h functionality to configure script 
	- Removed file debug.h and all its inclusion's 

2000-10-29 Sunday 02:18  eldamitri

	* src/debug.h (1.2): Moved functionality in configure.in 

2000-10-24 Tuesday 18:12  eldamitri

	* include/id3/field_def.h (1.5), src/field_def.h (1.1),
	include/id3/field_impl.h (1.11), src/field_impl.h (1.1),
	include/id3/frame_def.h (1.5), src/frame_def.h (1.1),
	include/id3/frame_impl.h (1.5), src/frame_impl.h (1.1),
	include/id3/header.h (1.22), src/header.h (1.1),
	include/id3/header_frame.h (1.21), src/header_frame.h (1.1),
	include/id3/header_tag.h (1.18), src/header_tag.h (1.1),
	include/id3/spec.h (1.6), src/spec.h (1.1), include/id3/tag_impl.h
	(1.9), src/tag_impl.h (1.1), include/id3/debug.h (1.6), src/debug.h
	(1.1), include/id3/flags.h (1.5), src/flags.h (1.1): Moved from
	include/id3/ to src/ 

2000-10-24 Tuesday 09:00  eldamitri

	* include/id3.h (1.15), include/id3/frame.h (1.38),
	include/id3/frame_impl.h (1.4), include/id3/tag.h (1.52),
	include/id3/tag_impl.h (1.8), src/c_wrapper.cpp (1.16),
	src/frame.cpp (1.32), src/frame_impl.cpp (1.8), src/frame_parse.cpp
	(1.29), src/frame_render.cpp (1.21), src/tag.cpp (1.35),
	src/tag_find.cpp (1.25), src/tag_impl.cpp (1.7): Added
	ID3_Frame::Iterator and ID3_Frame::ConstIterator to traverse an
	ID3_Frame's fields.  Dynamically created with 
	ID3_Frame::CreateIterator(), the iterator is to be used instead of
	ID3_Frame::NumFields() and ID3_Tag::GetFieldNum() for efficiency.  

2000-10-24 Tuesday 07:55  eldamitri

	* examples/demo_info.cpp (1.27), examples/demo_simple.c (1.3),
	include/id3.h (1.14), include/id3/tag.h (1.51),
	include/id3/tag_impl.h (1.7), src/c_wrapper.cpp (1.15),
	src/helpers.cpp (1.7), src/misc_support.cpp (1.30), src/tag.cpp
	(1.34), src/tag_render.cpp (1.37): Added ID3_Tag::Iterator and
	ID3_Tag::ConstIterator to traverse an ID3_Tag's frames.  Dynamically
	created with ID3_Tag::CreateIterator(), the iterator is to be used
	instead of ID3_Tag::NumFrames() and ID3_Tag::GetFrameNum() for
	efficiency.  

2000-10-23 Monday 10:20  eldamitri

	* include/: id3.h (1.13), id3/field.h (1.42), id3/frame.h (1.37),
	id3/globals.h (1.41), id3/misc_support.h (1.24), id3/reader.h
	(1.10), id3/readers.h (1.8), id3/tag.h (1.50), id3/writer.h (1.5),
	id3/writers.h (1.6): Included id3lib files are now in brackets 

2000-10-23 Monday 09:48  eldamitri

	* src/frame_render.cpp (1.20): Moved renderFields into unnamed
	namespace 

2000-10-23 Monday 09:45  eldamitri

	* src/frame_parse.cpp (1.28): Moved parseFields into unnamed
	namespace 

2000-10-23 Monday 09:42  eldamitri

	* doc/Doxyfile.in (1.6, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7), include/id3/frame.h
	(1.36), include/id3/globals.h (1.40), include/id3/tag.h (1.49),
	src/field.cpp (1.38), src/frame.cpp (1.31), src/frame_impl.cpp
	(1.7), src/frame_parse.cpp (1.27), src/frame_render.cpp (1.19),
	src/tag.cpp (1.33): Updated documentation 

2000-10-23 Monday 09:41  eldamitri

	* include/dami/: dom.idl (1.1), io_base.h (1.1): Initial release 

2000-10-23 Monday 08:15  eldamitri

	* include/: dami/lyr3.h (1.1), id3/lyr3.h (1.3), dami/lyr3_impl.h
	(1.1), id3/lyr3_impl.h (1.3), dami/v1.h (1.1), id3/v1.h (1.3),
	dami/v1_impl.h (1.1), id3/v1_impl.h (1.3): Moved from include/id3
	to include/dami 

2000-10-23 Monday 08:09  eldamitri

	* include/: dami/mm_impl.h (1.1), id3/mm_impl.h (1.3): Moved
	mm_impl.h from include/id3 to include/dami 

2000-10-23 Monday 08:09  eldamitri

	* include/: dami/mm.h (1.1), id3/mm.h (1.3): Moved mm.h from
	include/id3 to include/dami 

2000-10-23 Monday 08:04  eldamitri

	* include/: dami/dami.idl (1.1), id3/dami.idl (1.2): Moved dami.idl
	from include/id3 to include/dami 

2000-10-23 Monday 06:34  eldamitri

	* doc/Doxyfile.in (1.5): Updated to Doxygen configuration 1.2.2 

2000-10-23 Monday 06:32  eldamitri

	* include/id3/: debug.h (1.5), field_def.h (1.4), flags.h (1.4),
	frame.h (1.35), frame_def.h (1.4), globals.h (1.39), header_frame.h
	(1.20), helpers.h (1.3), lyr3.h (1.2), lyr3_impl.h (1.2),
	misc_support.h (1.23), mm.h (1.2), mm_impl.h (1.2), reader.h (1.9),
	readers.h (1.7), sized_types.h (1.6), spec.h (1.5), strings.h
	(1.4), utils.h (1.17), v1.h (1.2), v1_impl.h (1.2), writer.h (1.4),
	writers.h (1.5): Added comment to indicate the file is a C++ header 

2000-10-22 Sunday 00:37  eldamitri

	* examples/test_remove.cpp (1.9): 
	(RemoveFrame): Use GetRawText rather than GetText 

2000-10-22 Sunday 00:36  eldamitri

	* examples/demo_info.cpp (1.26): 
	(PrintInformation): Use GetRawBinary rather than GetBinary 

2000-10-22 Sunday 00:33  eldamitri

	* src/utils.cpp (1.13): 
	- Removed all of the ucs* functions except ucslen 
	- Added mbstoucs(String) and ucstombs(String) 
	- All of the file util functions now take in a String for file name 

2000-10-22 Sunday 00:30  eldamitri

	* src/tag_parse.cpp (1.37): 
	(parseFrames): Use GetRawBinary rather than GetBinary 

2000-10-22 Sunday 00:28  eldamitri

	* src/tag_impl.cpp (1.6): Constructor initializer and destructor
	for member _file_name updated to reflect use of String object for
	type 

2000-10-22 Sunday 00:26  eldamitri

	* src/tag_find.cpp (1.24): 
	(Find): Use GetRawText rather than GetText 
	(GetFrameNum): Count upwards when searching for numbered frame,
	rather than in reverse 

2000-10-22 Sunday 00:24  eldamitri

	* src/tag_file.cpp (1.30): 
	- Added 'using namespace dami' so 'dami' doesn't have to be used 
	explicitely 
	(Link): Uses String's assignment operator rathern than function
	strcpy 
	(RenderV2ToFile): Use String objects rather than char*'s 

2000-10-22 Sunday 00:20  eldamitri

	* src/tag.cpp (1.32): 
	(GetFileName): Added call to c_str() on return value of TagImpl's 
	method GetFileName 

2000-10-22 Sunday 00:18  eldamitri

	* src/misc_support.cpp (1.29): 
	(ID3_GetSyncLyrics): Use GetRawBinary rather than GetBinary 

2000-10-22 Sunday 00:17  eldamitri

	* src/io_helpers.cpp (1.4): 
	- Move handling of unicode BOM's from field_string_unicode.cpp for 
	methods readUnicodeString, readUnicodeText 
	- Added methods writeString, writeText, writeUnicodeString, 
	writeUnicodeText 

2000-10-22 Sunday 00:10  eldamitri

	* src/helpers.cpp (1.6): 
	(getString): Use GetRawText rather than GetText 
	(getStringAtIndex): Use GetRawTextItem rather than GetTextItem 

2000-10-21 Saturday 17:46  eldamitri

	* src/frame_parse.cpp (1.26): 
	(parseFields): Added debug warning 

2000-10-21 Saturday 17:44  eldamitri

	* src/frame_impl.cpp (1.6): 
	- Updated constructor initialization for new members 
	- Removed methods _InitFieldBits 
	- Simplified destructor, method _ClearFields, _InitFields 
	- Use iterators to traverse field list 

2000-10-21 Saturday 17:41  eldamitri

	* src/: field_string_ascii.cpp (1.25), field_string_unicode.cpp
	(1.29): Completely new implementations of all methods using new
	String member variable _text.  Both ASCII and unicode encodings
	represented with the member, so many methods that were separate for
	the two encodings are now handled with single methods 

2000-10-21 Saturday 17:35  eldamitri

	* src/field_integer.cpp (1.18): Added methods SetInteger,
	GetInteger 

2000-10-21 Saturday 17:33  eldamitri

	* src/field_binary.cpp (1.23): 
	- Added implementation of SetBinary, GetBinary, GetRawBinary 
	- New implementation of Set, Get, Parse, Render using SetBinary, 
	GetBinary 

2000-10-21 Saturday 09:22  eldamitri

	* src/field.cpp (1.37): 
	- Updated constructor initialization for new members 
	- Using String and BString for text and binary members allows 
	simplified initialization, destruction 
	- methods Clear, BinSize, Parse, Render, SetEncoding updated for new 
	members, methods 

2000-10-21 Saturday 09:09  eldamitri

	* include/id3/utils.h (1.16): 
	- Added checks to make sure min and max weren't defined as macros 
	- Removed all of the ucs functions except ucslen 
	- Added mbstoucs(String) and ucstombs(String) 
	- All of the file util functions now take in a String for file name 

2000-10-21 Saturday 09:07  eldamitri

	* include/id3/tag_impl.h (1.6): (class ID3_TagImpl): file name is
	now a String 

2000-10-21 Saturday 09:06  eldamitri

	* include/id3/io_helpers.h (1.3): Added new write helper functions 

2000-10-21 Saturday 09:05  eldamitri

	* include/id3/globals.h (1.38): Removed bitset code 

2000-10-21 Saturday 08:19  eldamitri

	* include/id3/frame_impl.h (1.3): (class ID3_FrameImpl): Use
	std::vector and std::bitset 

2000-10-21 Saturday 08:14  eldamitri

	* include/id3/field_impl.h (1.10): (class ID3_FieldImpl): 
	- Changed function names GetText()             GetRawText() 
	GetTextItem()         GetRawTextItem() GetUnicodeText()     
	GetRawUnicodeText() GetUnicodeTextItem()  GetRawUnicodeTextItem() 
	GetBinary()           GetRawBinary() 
	- Added new methods that accept or return dami::String's GetText()  
	SetText() GetTextItem()         AddText() GetBinary()          
	SetBinary() 

2000-10-21 Saturday 05:51  eldamitri

	* include/id3/field_def.h (1.3): (struct ID3_FieldDef): Changed
	name of _fixed_length to _fixed_size 

2000-10-21 Saturday 05:50  eldamitri

	* include/id3/field.h (1.41): (class ID3_Field): Changed function
	names GetText()             GetRawText() GetTextItem()        
	GetRawTextItem() GetUnicodeText()      GetRawUnicodeText() 
	GetUnicodeTextItem()  GetRawUnicodeTextItem() GetBinary()          
	GetRawBinary() 

2000-10-16 Monday 10:59  eldamitri

	* src/tag_render.cpp (1.36): 
	(Size): Now use iterators to access the frames in the tag rather
	than a pointer	to an ID3_Elem 

2000-10-16 Monday 10:55  eldamitri

	* src/tag_find.cpp (1.23): Updated Find method to use iterators
	rather than ID3_Elem's, String's rather than const char*'s 

2000-10-16 Monday 10:50  eldamitri

	* src/: field_string_ascii.cpp (1.24), field_string_unicode.cpp
	(1.28), header_tag.cpp (1.20), helpers.cpp (1.5), misc_support.cpp
	(1.28), tag.cpp (1.31): Minor bugfixes 

2000-10-16 Monday 10:46  eldamitri

	* include/id3/utils.h (1.15), src/utils.cpp (1.12): Added method
	toWString(const unicode_t[], size_t) 

2000-10-16 Monday 10:45  eldamitri

	* include/id3/tag_impl.h (1.5), src/tag_impl.cpp (1.5): Now use a
	std::list, instead of ID3_Elem, to store the frames Find methods now
	accept dame::String and dami::WString rather than const char* and
	const unicode_t* 

2000-10-16 Monday 10:43  eldamitri

	* include/id3/header.h (1.21): Minor bugfix 

2000-10-16 Monday 10:42  eldamitri

	* examples/: findeng.cpp (1.3), findstr.cpp (1.3): Enabled
	debugging output, minor bugfixes 

2000-10-16 Monday 09:01  eldamitri

	* include/id3/spec.h (1.4): Removed interface ID3_Speccable 

2000-10-16 Monday 09:00  eldamitri

	* src/: tag.cpp (1.30), tag_find.cpp (1.22): Updated
	comments/documentation 

2000-10-16 Monday 08:59  eldamitri

	* include/id3/tag_impl.h (1.4): class ID3_TagImpl no longer
	inherits from ID3_Speccable 

2000-10-16 Monday 08:59  eldamitri

	* include/id3/tag.h (1.48): class ID3_Tag no longer inherits from
	ID3_Speccable 

2000-10-16 Monday 08:58  eldamitri

	* include/id3/header.h (1.20): class ID3_Header no longer inherits
	from ID3_Speccable 

2000-10-16 Monday 08:58  eldamitri

	* include/id3/frame.h (1.34): class ID3_Frame no longer inherits
	from ID3_Speccable 

2000-10-16 Monday 08:55  eldamitri

	* include/id3/Makefile.am (1.17): 
	(the_headers): Moved spec.h to noinst 

2000-10-15 Sunday 18:37  eldamitri

	* AUTHORS (1.8), NEWS (1.24), id3lib.spec.in (1.23), reconf (1.3),
	doc/index.html.in (1.10, rel-3-7-13), examples/demo_info.cpp
	(1.25), include/id3/globals.h (1.37), zlib/reconf (1.2): Changed
	name from "Scott Haug" to "Scott Thomas Haug" 

2000-10-15 Sunday 18:09  eldamitri

	* src/tag_parse.cpp (1.36): 
	(parse): Added buffering for use with unsynced reader 

2000-10-15 Sunday 18:08  eldamitri

	* config.h.win32.in (1.7, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-13): Removed
	ID3LIB_DATE 

2000-10-15 Sunday 18:04  eldamitri

	* Makefile.am (1.26), doc/Makefile.am (1.14), examples/Makefile.am
	(1.19), id3com/Makefile.am (1.6), include/Makefile.am (1.5),
	include/id3/Makefile.am (1.16), libprj/Makefile.am (1.3),
	m4/Makefile.am (1.6), prj/Makefile.am (1.3, rel-3-7-9, rel-3-7-8,
	rel-3-7-7), src/Makefile.am (1.23), zlib/Makefile.am (1.3,
	rel-3-7-9, rel-3-7-8, rel-3-7-7), zlib/include/Makefile.am (1.2,
	rel-3-7-5, rel-3-7-4, rel-3-7-3, rel-3-7-2, rel-3-7-1, rel-3-7-0,
	rel-3-6-2, rel-3-6-0), zlib/lib/Makefile.am (1.2, rel-3-7-5,
	rel-3-7-4, rel-3-7-3, rel-3-7-2, rel-3-7-1, rel-3-7-0, rel-3-6-2,
	rel-3-6-0), zlib/prj/Makefile.am (1.2, rel-3-7-5, rel-3-7-4,
	rel-3-7-3, rel-3-7-2, rel-3-7-1, rel-3-7-0, rel-3-6-2, rel-3-6-0),
	zlib/src/Makefile.am (1.6): Updated email address to scott@id3.org 

2000-10-15 Sunday 09:06  eldamitri

	* src/tag_render.cpp (1.35): 
	(render): Minor bugfix 

2000-10-15 Sunday 09:05  eldamitri

	* src/globals.cpp (1.4): Removed ID3LIB_DATE 

2000-10-15 Sunday 09:04  eldamitri

	* src/io.cpp (1.1): Initial release 

2000-10-15 Sunday 09:02  eldamitri

	* configure.in (1.48, rel-3-7-3): Removed ID3LIB_DATE (and its
	children) 

2000-10-15 Sunday 08:40  eldamitri

	* src/Makefile.am (1.22): 
	(id3lib_sources): Added io.cpp 

2000-10-15 Sunday 08:39  eldamitri

	* examples/demo_info.cpp (1.24), examples/getopt.c (1.2),
	include/id3/field_impl.h (1.9), include/id3/frame_def.h (1.3),
	include/id3/header_frame.h (1.19), include/id3/reader.h (1.8),
	include/id3/readers.h (1.6), include/id3/writer.h (1.3),
	include/id3/writers.h (1.4), libprj/id3lib.dsp (1.11),
	libprj/id3lib.dsw (1.6), prj/id3lib.dsp (1.12), src/field.cpp
	(1.36), src/field_string_ascii.cpp (1.23),
	src/field_string_unicode.cpp (1.27), src/frame.cpp (1.30),
	src/frame_impl.cpp (1.5), src/io_helpers.cpp (1.3), src/readers.cpp
	(1.3), src/tag_find.cpp (1.21), src/tag_parse.cpp (1.35),
	src/tag_parse_lyrics3.cpp (1.27), src/tag_parse_musicmatch.cpp
	(1.15), src/tag_render.cpp (1.34): Various bugfixes so code will
	compile under Windows w/o warning 

2000-10-15 Sunday 07:44  eldamitri

	* src/misc_support.cpp (1.27): Added include for utils.h 

2000-10-15 Sunday 07:44  eldamitri

	* src/field_binary.cpp (1.22): Minor include adjustment 

2000-10-15 Sunday 07:43  eldamitri

	* include/id3/Makefile.am (1.15): 
	(the_headers): Added helpers.h and tag_impl.h 

2000-10-15 Sunday 07:42  eldamitri

	* examples/: findeng.cpp (1.2), findstr.cpp (1.2): Added include
	for iostream.h 

2000-10-15 Sunday 01:29  eldamitri

	* src/c_wrapper.cpp (1.14), src/tag_file.cpp (1.29),
	zlib/include/zconf.h (1.3), zlib/include/zlib.h (1.3),
	zlib/include/zutil.h (1.3), zlib/src/gzio.c (1.3), zlib/src/zutil.c
	(1.3): Updates to allow functionality for WinCE 

2000-10-14 Saturday 23:26  eldamitri

	* include/id3/uint28.h (1.9), src/uint28.cpp (1.11): Removed; now
	use functions readUInt28 and writeUInt28 

2000-10-14 Saturday 23:23  eldamitri

	* include/id3/Makefile.am (1.14), include/id3/io_helpers.h (1.2),
	src/Makefile.am (1.21), src/header_tag.cpp (1.19),
	src/io_helpers.cpp (1.2), src/tag_impl.cpp (1.4), src/tag_parse.cpp
	(1.34): Replaced class uint28 with functions
	readUInt28(ID3_Reader&) and writeUInt28(ID3_Writer&, uint32) 

2000-10-14 Saturday 22:50  eldamitri

	* include/id3/error.h (1.15), src/error.cpp (1.11): Removed; id3lib
	no longer uses exception handling 

2000-10-14 Saturday 22:46  eldamitri

	* examples/demo_convert.cpp (1.12), examples/demo_copy.cpp (1.6),
	examples/demo_info.cpp (1.23), examples/demo_tag.cpp (1.12),
	examples/get_pic.cpp (1.5), examples/test_compression.cpp (1.6),
	examples/test_pic.cpp (1.7), examples/test_remove.cpp (1.8),
	examples/test_unicode.cpp (1.5), include/id3/debug.h (1.4),
	include/id3/field_impl.h (1.8), include/id3/globals.h (1.36),
	src/c_wrapper.cpp (1.13, rel-3-7-8), src/header_frame.cpp (1.19),
	src/misc_support.cpp (1.26): Removed references to error.h and
	ID3_Error, as id3lib no longer uses exception handling 

2000-10-14 Saturday 22:45  eldamitri

	* src/Makefile.am (1.20): 
	(id3lib_sources): Removed error.cpp; no longer need exception
	handling 

2000-10-14 Saturday 22:44  eldamitri

	* include/id3/Makefile.am (1.13): 
	(noinst_HEADERS): Removed error.h; no longer need exception handling 

2000-10-14 Saturday 22:43  eldamitri

	* id3lib.spec.in (1.22): Removed explicit architecture detection,
	since we no longer need to build with exceptions 

2000-10-14 Saturday 22:03  eldamitri

	* include/id3/: readers_compressed.h (1.4), writers_compressed.h
	(1.3): No longer needed.  Moved to io_decorators.h 

2000-10-14 Saturday 21:24  eldamitri

	* examples/demo_info.cpp (1.22), examples/test_io.cpp (1.2),
	src/field_binary.cpp (1.21), src/field_integer.cpp (1.17),
	src/field_string_ascii.cpp (1.22), src/field_string_unicode.cpp
	(1.26), src/frame_parse.cpp (1.25), src/frame_render.cpp (1.18),
	src/header_frame.cpp (1.18), src/header_tag.cpp (1.18),
	src/helpers.cpp (1.4), src/misc_support.cpp (1.25), src/tag.cpp
	(1.29), src/tag_file.cpp (1.28), src/tag_impl.cpp (1.3),
	src/tag_parse.cpp (1.33), src/tag_parse_lyrics3.cpp (1.26),
	src/tag_parse_musicmatch.cpp (1.14), src/tag_parse_v1.cpp (1.16),
	src/tag_render.cpp (1.33), src/uint28.cpp (1.10): 
	- Replaced some io decorators in favor of io helper functions
	(better efficiency) BinaryReader         -> readBinary,
	readAllBinary TextReader           -> readString, readUnicodeString, 
	readText, readUnicodeText BinaryNumberReader   -> readBENumber 
	TrailingSpacesReader -> readTrailingSpaces TrailingSpacesWriter ->
	writeTrailingSpaces BinaryNumberWriter   -> writeBENumber 
	- replaced MIN and MAX macros with min and max template functions 

2000-10-14 Saturday 21:17  eldamitri

	* include/id3/writers.h (1.3): (class ID3_IOStreamWriter, class
	ID3_OStreamWriter): only writes char* buffers to streams 

2000-10-14 Saturday 21:13  eldamitri

	* include/id3/writer.h (1.2): Minor code changes 

2000-10-14 Saturday 21:13  eldamitri

	* include/id3/reader.h (1.7): Renamed remainingChars to
	remainingBytes, minor code changes 

2000-10-14 Saturday 21:03  eldamitri

	* include/id3/strings.h (1.3): BString is "unsigned char" again 

2000-10-14 Saturday 20:58  eldamitri

	* include/id3/globals.h (1.35): Removed MAX, MIN, ABS, and CLAMP
	macros 

2000-10-14 Saturday 20:53  eldamitri

	* src/Makefile.am (1.19): 
	(id3lib_sources): Added io_decorators.cpp, io_helpers.cpp; removed 
	reader_decorators.cpp, writer_decorators.cpp 

2000-10-14 Saturday 20:48  eldamitri

	* include/id3/Makefile.am (1.12): 
	(noinst_HEADERS): Added io_decorators, io_helpers, io_strings;
	removed reader_decorators.h, readers_compressed.h,
	writer_decorators.h, writers_compressed.h 

2000-10-14 Saturday 20:45  eldamitri

	* include/id3/io_decorators.h (1.1), include/id3/io_helpers.h
	(1.1), include/id3/io_strings.h (1.1), src/io_decorators.cpp (1.1),
	src/io_helpers.cpp (1.1): Initial release 

2000-10-14 Saturday 20:15  eldamitri

	* include/id3/reader_decorators.h (1.8),
	include/id3/writer_decorators.h (1.3), src/reader_decorators.cpp
	(1.2): No longer needed.  Replaced by io_helpers, io_decorators,
	and io_strings 

2000-10-13 Friday 20:29  eldamitri

	* examples/demo_simple.c (1.2): 
	(main): Minor bugfixes to prevent compiler warnings 

2000-10-13 Friday 20:25  eldamitri

	* examples/: demo_convert.cpp (1.11), demo_copy.cpp (1.5),
	demo_info.cpp (1.21), demo_tag.cpp (1.11): 
	(main): Bugfix with checking for warning, notice, v1tag, v2tag 

2000-10-13 Friday 20:22  eldamitri

	* src/uint28.cpp (1.9): Minor bugfix with placement of include for
	config.h 

2000-10-13 Friday 20:21  eldamitri

	* src/tag_parse.cpp (1.32): 
	(parse): Bug fix for parsing tags with specs other than most current 

2000-10-13 Friday 20:20  eldamitri

	* src/header_frame.cpp (1.17): 
	(Parse): More debugging output, minor bugfix 

2000-10-13 Friday 20:19  eldamitri

	* include/id3/reader_decorators.h (1.7): (class
	BinaryNumberReader): Fixed bug with masking 

2000-10-13 Friday 20:17  eldamitri

	* include/id3/debug.h (1.3): Removed debugging output 

2000-10-13 Friday 20:12  eldamitri

	* configure.in (1.47): Moved the version to 3.8.0pre1, added some
	new checks, removed some redendant ones 

2000-10-13 Friday 00:36  eldamitri

	* src/tag_parse_musicmatch.cpp (1.13): 
	(parse): Fixed signed/unsigned bug 

2000-10-13 Friday 00:35  eldamitri

	* src/tag_parse_lyrics3.cpp (1.25): 
	(findText): Fixed =/== bug 

2000-10-13 Friday 00:35  eldamitri

	* src/tag_parse.cpp (1.31): 
	(parseFrames): Now returns true on successful parse 

2000-10-13 Friday 00:34  eldamitri

	* src/tag_file.cpp (1.27): Moved around some file includes 

2000-10-13 Friday 00:34  eldamitri

	* src/tag.cpp (1.28): 
	(Link): Fixed minor bug with not returning a value 

2000-10-13 Friday 00:33  eldamitri

	* src/helpers.cpp (1.3): 
	(getString): Now uses methods ID3_Field::GetText() to build new
	string 
	(getStringAtIndex): Now uses methods ID3_Field::GetTextItem() to
	build new string 
	(removeFrames): Minor fix to prevent compiler warning 
	(removeArtists): Minor fix to prevent compiler warning 

2000-10-13 Friday 00:30  eldamitri

	* src/frame_parse.cpp (1.24): 
	(parseFields): Now returns true on successful parse 

2000-10-13 Friday 00:30  eldamitri

	* src/frame_impl.cpp (1.4): (operator=): Now returns *this 

2000-10-13 Friday 00:30  eldamitri

	* src/field_string_unicode.cpp (1.25): Added method
	GetTextItem(index_t) 

2000-10-13 Friday 00:30  eldamitri

	* src/field_string_ascii.cpp (1.21): Added method
	GetUnicodeTextItem(index_t) 

2000-10-13 Friday 00:29  eldamitri

	* include/id3/: reader.h (1.6), reader_decorators.h (1.6),
	readers.h (1.5), readers_compressed.h (1.3), writer_decorators.h
	(1.2), writers.h (1.2), writers_compressed.h (1.2): Minor code
	changes, fixed ansi-compliance problems that gave compiler warnings 

2000-10-13 Friday 00:29  eldamitri

	* include/id3/tag_impl.h (1.3): (class ID3_TagImpl): method
	SetChanged(bool) is now void 

2000-10-13 Friday 00:28  eldamitri

	* include/id3/: field.h (1.40), field_impl.h (1.7): (class
	ID3_Field): Added methods GetTextItem(size_t) and 
	GetUnicodeTextItem(index_t) 

2000-10-12 Thursday 10:15  eldamitri

	* m4/Makefile.am (1.5): Now only have a single m4 file 

2000-10-12 Thursday 10:14  eldamitri

	* m4/id3_cxx.m4 (1.1): Initial release 

2000-10-12 Thursday 10:13  eldamitri

	* m4/: lf_bash.m4 (1.2), lf_cc.m4 (1.2), lf_cxx_convenience.m4
	(1.2), lf_fortran.m4 (1.2), lf_host_type.m4 (1.2), lf_lisp.m4
	(1.2), lf_nm.m4 (1.2), lf_texidoc.m4 (1.2), lf_txtc.m4 (1.2),
	lf_warnings.m4 (1.2), lf_x11.m4 (1.2): Removed.  Unused.  

2000-10-10 Tuesday 06:16  eldamitri

	* include/id3/utils.h (1.14): 
	(mid): Added function; returns mid if it is between lo and hi, 
	otherwise returns lo or hi (whichever is closest to mid) 

2000-10-10 Tuesday 06:15  eldamitri

	* examples/: demo_convert.cpp (1.10), demo_copy.cpp (1.4),
	demo_info.cpp (1.20), demo_tag.cpp (1.10): 
	- Removed everything assicatiated with popt 
	- Now uses files generated from gengetopt input files to parse args 
	- Left in function PrintUsage(), even though it isn't used, in case 
	gengetopt supports app descriptions eventually 

2000-10-10 Tuesday 06:09  eldamitri

	* examples/Makefile.am (1.18): 
	- Removed everything assicatiated with popt 
	- Added getopt object files to LDADD, if needed 
	- Added new getopt source files for demo apps 

2000-10-10 Tuesday 06:03  eldamitri

	* examples/: demo_convert_options.c (1.1),
	demo_convert_options.ggo.in (1.1), demo_convert_options.h (1.1),
	demo_copy_options.c (1.1), demo_copy_options.ggo.in (1.1),
	demo_copy_options.h (1.1), demo_info_options.c (1.1),
	demo_info_options.ggo.in (1.1), demo_info_options.h (1.1),
	demo_tag_options.c (1.1), demo_tag_options.ggo.in (1.1),
	demo_tag_options.h (1.1): Initial release 

2000-10-10 Tuesday 05:57  eldamitri

	* configure.in (1.46): 
	- Added AC_PROG_CC for initializing the C compiler 
	- Added AC_EXEEXT for determining any executable extension 
	- Removed everything assicatiated with popt 
	- Added check, conditional for getopt_long 

2000-10-10 Tuesday 05:54  eldamitri

	* Makefile.am (1.25): Removed everything associated with popt 

2000-10-09 Monday 06:40  eldamitri

	* popt/: .cvsignore (1.2), CHANGES (1.2), COPYING (1.2), Doxyfile
	(1.2), Doxyfile.in (1.2), Makefile (1.2), Makefile.am (1.2),
	Makefile.in (1.2), README (1.2), acconfig.h (1.2), aclocal.m4
	(1.2), autogen.sh (1.2), config.guess (1.2), config.h (1.2),
	config.h.in (1.2), config.log (1.5), config.status (1.8,
	rel-3-7-12, rel-3-7-11, rel-3-7-10, rel-3-7-9, rel-3-7-8,
	rel-3-7-7), config.sub (1.2), configure (1.2), configure.in (1.2),
	findme.c (1.2), findme.h (1.2), install-sh (1.2), libtool (1.2),
	ltconfig (1.2), ltmain.sh (1.2), missing (1.2), mkinstalldirs
	(1.2), popt.3 (1.2), popt.c (1.2), popt.h (1.2), popt.ps (1.2),
	popt.spec (1.2), poptconfig.c (1.2), popthelp.c (1.2), poptint.h
	(1.2), poptparse.c (1.2), stamp-h (1.2), stamp-h.in (1.2), system.h
	(1.2), test-poptrc (1.2), test1.c (1.2), test2.c (1.2), testit.sh
	(1.2), intl/ChangeLog (1.2), intl/Makefile (1.2), intl/Makefile.in
	(1.2), intl/VERSION (1.2), intl/bindtextdom.c (1.2),
	intl/cat-compat.c (1.2), intl/dcgettext.c (1.2), intl/dgettext.c
	(1.2), intl/explodename.c (1.2), intl/finddomain.c (1.2),
	intl/gettext.c (1.2), intl/gettext.h (1.2), intl/gettextP.h (1.2),
	intl/hash-string.h (1.2), intl/intl-compat.c (1.2),
	intl/l10nflist.c (1.2), intl/libgettext.h (1.2), intl/linux-msg.sed
	(1.2), intl/loadinfo.h (1.2), intl/loadmsgcat.c (1.2),
	intl/localealias.c (1.2), intl/po2tbl.sed (1.2), intl/po2tbl.sed.in
	(1.2), intl/textdomain.c (1.2), intl/xopen-msg.sed (1.2),
	po/Makefile (1.2), po/Makefile.in (1.2), po/Makefile.in.in (1.2),
	po/POTFILES (1.2), po/POTFILES.in (1.2), po/cat-id-tbl.c (1.2),
	po/popt.pot (1.2), po/ro.gmo (1.2), po/ro.po (1.2), po/sk.gmo
	(1.2), po/sk.po (1.2), po/stamp-cat-id (1.2): Not needed; moved
	back to getopt_long (now using in conjunction with gengetopt) 

2000-10-09 Monday 06:34  eldamitri

	* examples/: getopt.c (1.1), getopt.h (1.1), getopt1.c (1.1): 
	Initial release 

2000-10-09 Monday 06:33  eldamitri

	* src/utils.cpp (1.11): Removed the following functions
	(functionality in Readers/Writers): 
	- size_t timeToSeconds(const char*, size_t); 
	- bool   isCRLF(const char*, const char*); 
	- size_t CRLFtoLF(char *, size_t); 
	- void   removeTrailingSpaces(char*, size_t); 
	- String removeTrailingSpaces(String); 
	- uint32 parseNumber(const uchar*, size_t); 
	- size_t getUnSyncSize(uchar *, size_t); 
	- void   unsync(uchar *, size_t, const uchar *, size_t); 
	- size_t resync(uchar *, size_t); 

2000-10-09 Monday 06:32  eldamitri

	* src/uint28.cpp (1.8): 
	- Added inclusion of files readers.h, reader_decorators.h, writers.h 
	- Removed constructor uint28(const uchar*) 
	- Removed methods Parse(const uchar*), Parse(const char*), 
	Render(uchar*) and Render(char*) 
	- Added methods Parse(ID3_Reader&) and Render(ID3_Writer&) 
	- Reimplemented operator<< and operator>> to use Readers, Writers 

2000-10-09 Monday 06:31  eldamitri

	* src/tag_render.cpp (1.32): 
	- Added inclusion of files writers.h and writer_decorators.h 
	- Moved docs to tag.cpp 
	- Added method id3::v1::render(ID3_Writer&, const ID3_TagImpl&) 
	- Added method id3::v2::renderFrames(ID3_Writer&, const
	ID3_TagImpl&) 
	- Added method id3::v2::render(ID3_Writer&, const ID3_TagImpl&) 
	- Removed method Render(uchar*, ID3_TagType) 
	- Minor code cleanups 

2000-10-09 Monday 06:31  eldamitri

	* src/tag_parse_v1.cpp (1.15): 
	(parse): 
	- Moved declaration to tag_impl.h 
	- Fixed bug when detecting if there's enough data to parse 
	- Better use of Reader classes 
	- Checks to ensure empty text frames aren't added 

2000-10-09 Monday 06:30  eldamitri

	* src/tag_parse_musicmatch.cpp (1.12): 
	(readTextFrame): Converted from TextFrameReader class 
	(mm::parse): 
	- Fixed bug when detecting if there's enough data to parse 
	- Changed all calls to method ID3_Frame::Field() to be calls to 
	method ID3_Frame::GetField() 

2000-10-09 Monday 06:30  eldamitri

	* src/tag_parse_lyrics3.cpp (1.24): 
	- Updated debugging output 
	(lyr3::v1::parse): 
	- Fixed bug when detecting if there's enough data to parse 
	- Better use of Reader classes 
	- Minor code cleanup 

2000-10-09 Monday 06:30  eldamitri

	* src/tag_parse.cpp (1.30): 
	- Moved declarations to tag_impl.h 
	- Better use of new Reader classes 
	- More debugging output 
	- Minor code changes 

2000-10-09 Monday 06:29  eldamitri

	* src/tag_impl.cpp (1.2): 
	- Moved docs to tag.cpp 
	(IsV2Tag):Implemented to use new Reader classes 
	(AddFrames): Removed 
	(SetExtended): Renamed from SetExtendedHeader 
	(SetExperimental, GetUnsync, GetExtended, GetExperimental): Added 

2000-10-09 Monday 06:29  eldamitri

	* src/tag_find.cpp (1.20): 
	(Find): 
	- Moved docs to tag.cpp 
	- Reimplementation using new methods in TagImpl 

2000-10-09 Monday 06:29  eldamitri

	* src/tag_file.cpp (1.26): 
	- Added inclusion of files writers.h and writer_decorators.h 
	(RenderV1ToFile): reimplemented for use with a Writer 
	(RenderV2ToFile): reimplemented for use with a Writer 

2000-10-09 Monday 06:29  eldamitri

	* src/tag.cpp (1.27): 
	- Changed all calls to method ID3_Frame::Field() to be calls to 
	method ID3_Frame::GetField() 
	- Added documentation 
	- Added methods SetExperimental(bool), GetExperimental() 
	- Added implementation for Render(ID3_Writer&, ID3_TagType) 

2000-10-09 Monday 06:28  eldamitri

	* src/readers.cpp (1.2): 
	(readChars): Replaced types streamsize and streamoff with size_type
	and pos_type, respectively 

2000-10-09 Monday 06:28  eldamitri

	* src/misc_support.cpp (1.24): 
	- Changed all calls to method ID3_Frame::Field() to be calls to 
	method ID3_Frame::GetField() 
	- Minor code changes 

2000-10-09 Monday 06:28  eldamitri

	* src/helpers.cpp (1.2): 
	(getV1Comment): Added 
	(getComment): Cleaned up implementation 

2000-10-09 Monday 06:28  eldamitri

	* src/header_tag.cpp (1.17): 
	- Added inclusion of file writer_decorators.h 
	- Replaced method Render(uchar*) with method Render(ID3_Writer&) 
	- Reimplemented Parse(ID3_Reader&) to better make use of reader 
	functionality 

2000-10-09 Monday 06:27  eldamitri

	* src/header_frame.cpp (1.16): 
	- Replaced method Render(uchar*) with method Render(ID3_Writer&) 
	- Added additional debuggin output 
	- Minor code changes 

2000-10-09 Monday 06:27  eldamitri

	* src/frame_render.cpp (1.17): 
	- Removed inclusion of file error.h 
	- Added inclusion of files wirter_decorators.h and
	writers_compressed.h 
	- Removed irrelevant documentation 
	- Added function renderFields(ID3_Writer& writer, const
	ID3_FrameImpl&) 
	- Replaced method Render(uchar*) with method Render(ID3_Writer&) 

2000-10-09 Monday 06:27  eldamitri

	* src/frame_parse.cpp (1.23): 
	- Removed inclusin of zlib.h 
	- Minor code changes 

2000-10-09 Monday 06:26  eldamitri

	* src/frame_impl.cpp (1.3): 
	- Changed all calls to method ID3_Frame::Field() to be calls to 
	method ID3_Frame::GetField() 
	- Removed implementation of Field(ID3_FieldID) 
	- Renamed method GetNumFields() to NumFields() 
	- Renamed method GetFieldAt() to GetFieldNum() 
	- Updated documentation 

2000-10-09 Monday 06:26  eldamitri

	* src/frame.cpp (1.29): 
	- Renamed method GetNumFields() to NumFields() 
	- Renamed method GetFieldAt() to GetFieldNum() 
	- Replaced method Render(uchar*) with method Render(ID3_Writer&) 
	(Field): Implemented in terms of method GetField(() 

2000-10-09 Monday 06:26  eldamitri

	* src/field_string_unicode.cpp (1.24): 
	- Changed all calls to method ID3_Frame::Field() to be calls to 
	method ID3_Frame::GetField() 

2000-10-09 Monday 06:26  eldamitri

	* src/field_string_ascii.cpp (1.20): 
	- Changed all calls to method ID3_Frame::Field() to be calls to 
	method ID3_Frame::GetField() 
	- Replaced method RenderString(uchar*) with method 
	RenderString(ID3_Writer&) 

2000-10-09 Monday 06:25  eldamitri

	* src/field_integer.cpp (1.16): 
	- Changed all calls to method ID3_Frame::Field() to be calls to 
	method ID3_Frame::GetField() 
	- Replaced method RenderInteger(uchar*) with method 
	RenderInteger(ID3_Writer&) 

2000-10-09 Monday 06:25  eldamitri

	* src/field_binary.cpp (1.20): 
	- Changed all calls to method ID3_Frame::Field() to be calls to 
	method ID3_Frame::GetField() 
	- Replaced method RenderBinary(uchar*) with method 
	RenderBinary(ID3_Writer&) 

2000-10-09 Monday 06:25  eldamitri

	* src/field.cpp (1.35): 
	- Changed all calls to method ID3_Frame::Field() to be calls to 
	method ID3_Frame::GetField() 
	- Removed implementation of method Parse(const uchar*, size_t) 
	- Replaced method Render(uchar*) with method Render(ID3_Writer&) 

2000-10-09 Monday 06:25  eldamitri

	* src/c_wrapper.cpp (1.12): 
	(ID3Frame_GetField): Changed call to method ID3_Frame::Field() to 
	method ID3_Frame::GetField() 

2000-10-09 Monday 03:59  eldamitri

	* include/id3/utils.h (1.13): Removed the following methods
	(funcitonality in Readers/Writers): 
	- size_t timeToSeconds(const char*, size_t); 
	- bool   isCRLF(const char*, const char*); 
	- size_t CRLFtoLF(char *, size_t); 
	- void   removeTrailingSpaces(char*, size_t); 
	- String removeTrailingSpaces(String); 
	- uint32 parseNumber(const uchar*, size_t); 
	- size_t getUnSyncSize(uchar *, size_t); 
	- void   unsync(uchar *, size_t, const uchar *, size_t); 
	- size_t resync(uchar *, size_t); 

2000-10-09 Monday 03:57  eldamitri

	* include/id3/uint28.h (1.8): 
	- Added forward declarations for ID3_Reader, ID3_Writer (class
	
	uint28): 
	- Removed constructor uint28(const uchar*) 
	- Removed methods operator=(const uchar*), operator=(const char*), 
	Parse(const uchar*), Parse(const char*), Render(uchar*) and 
	Render(char*) 
	- Added methods Parse(ID3_Reader&) and Render(ID3_Writer&) 

2000-10-09 Monday 03:56  eldamitri

	* include/id3/tag_impl.h (1.2): 
	- Added inclusion of file error.h 
	- Added forward decl for ID3_Writer 
	- Removed definition of constant STR_V1_COMMENT_DESC (moved to 
	globals.h) 
	- Added declarations for the following functions in namespace
	
	'dami': 
	- id3::v1::parse(ID3_TagImpl&, ID3_Reader&) 
	- id3::v1::render(ID3_Writer&, ID3_TagImpl&) 
	- id3::v2::parse(ID3_TagImpl&, ID3_Reader&) 
	- id3::v2::render(ID3_Writer&, ID3_TagImpl&) 
	- lyr3::v1::parse(ID3_TagImpl&, ID3_Reader&) 
	- lyr3::v2::parse(ID3_TagImpl&, ID3_Reader&) 
	- mm::parse(ID3_TagImpl&, ID3_Reader&) (class ID3_TagImpl): 
	- Added methods SetChanged(bool), GetUnsync(), GetExtendedHeader(), 
	GetExperimental() 
	- Removed methods Parse(ID3_Reader&), Parse(const uchar*, size_t), 
	Parse(const ucharp[, const uchar*) 
	- Made PaddingSize(size_t) public 

2000-10-09 Monday 03:56  eldamitri

	* include/id3/tag.h (1.47): 
	- Added forward declaration for ID3_Writer 
	- Added methods GetUnsync(), GetExtendedHeader(), GetExperimental() 
	- Added method Render(ID3_Writer&, ID3_TagType) 

2000-10-09 Monday 03:56  eldamitri

	* include/id3/readers_compressed.h (1.2): (class
	CompressedMemoryReader): Removed (class CompressedStreamReader): 
	- Renamed from CompressedMemoryReader 
	- Replaced types streamsize and streamoff with size_type and 
	pos_type, respectively 
	- Replaced type char with char_type 

2000-10-09 Monday 03:56  eldamitri

	* include/id3/readers.h (1.4): 
	- Replaced types streamsize and streamoff with size_type and 
	pos_type, respectively 
	- Replaced type char with char_type (class ID3_MemoryReader): Added
	constructor for signed chars 

2000-10-09 Monday 03:55  eldamitri

	* include/id3/reader_decorators.h (1.5): 
	- Replaced types streamsize and streamoff with size_type and 
	pos_type, respectively 
	- Added more debugging output 
	- Removed references to 'dami' namespace (class WindowedReader):
	Added method atEnd() (class TrailingSpacesReader): Added (class
	
	BinaryNumberReader): 
	- Renamed from NumberReader 
	- Replaced call to function parseNumber with new code (class
	BinaryReader): renamed method getBinary() to readBinary() (class
	StringReader): Added 

2000-10-09 Monday 03:55  eldamitri

	* include/id3/reader.h (1.5): (class ID3_Reader): 
	- Updated typedefs to be more explicit with size 
	- Removed typedefs for streamsize and streamoff (use size_type and 
	pos_type instead) 

2000-10-09 Monday 03:55  eldamitri

	* include/id3/helpers.h (1.2): Added function getV1Comment(const
	ID3_TagImpl&) 

2000-10-09 Monday 03:55  eldamitri

	* include/id3/header_tag.h (1.17): (class ID3_FrameRender): 
	- Replaced method Render(uchar*) with method Render(ID3_Writer&) 
	- Added methods SetExperimental(bool), GetExperimental() 

2000-10-09 Monday 03:54  eldamitri

	* include/id3/header_frame.h (1.18): (class ID3_FrameHeader):
	Replaced method Render(uchar*) with method Render(ID3_Writer&) 

2000-10-09 Monday 03:54  eldamitri

	* include/id3/header.h (1.19): 
	- Removed include of file 'reader.h' (not needed) 
	- Added forward declaration for ID3_Writer 
	- Removed methods Render(uchar*) and Parse(const uchar*, size_t) 
	- Added method Render(ID3_Writer&) 

2000-10-09 Monday 03:54  eldamitri

	* include/id3/globals.h (1.34): Added macro STR_V1_COMMENT_DESC 

2000-10-09 Monday 03:53  eldamitri

	* include/id3/frame_impl.h (1.2): (class ID3_FrameImpl): 
	- Renamed method GetNumFields() to NumFields() to be consistent with 
	ID3_Tag 
	- Renamed method GetFieldAt() to GetFieldNum() to be consistent with 
	ID3_Tag 
	- Replaced method Render(uchar*) with method Render(ID3_Writer&) 
	- Removed deprecated method Field(ID3_FieldID) 

2000-10-09 Monday 03:53  eldamitri

	* include/id3/frame.h (1.33): 
	- Added forward declaration for ID3_Writer (class ID3_Frame): 
	- Renamed method GetNumFields() to NumFields() to be consistent with 
	ID3_Tag 
	- Renamed method GetFieldAt() to GetFieldNum() to be consistent with 
	ID3_Tag 
	- Replaced method Render(uchar*) with metod Render(ID3_Writer&) 

2000-10-08 Sunday 23:36  eldamitri

	* include/id3/field_impl.h (1.6): (class ID3_FieldImpl): 
	- Removed methods Render(uchar*) and Parse(const uchar*, size_t) 
	- Added method Render(ID3_Writer&) 
	- Replaced methods renderInteger(uchar*), RenderString(uchar*), and 
	RenderBinary(uchar*) with ID3_Writer equivalents 

2000-10-08 Sunday 23:31  eldamitri

	* include/id3/field.h (1.39): 
	- Forward declaration for ID3_Writer 
	- Removed methods Render(uchar*) and Parse(const uchar*, size_t) 
	- Added method Render(ID3_Writer&) 

2000-10-08 Sunday 23:29  eldamitri

	* examples/test_unicode.cpp (1.4): 
	- Added include for file id3/error.h 
	- Changed all calls to method ID3_Frame::Field calls to be calls to 
	method ID3_Frame::GetField 

2000-10-08 Sunday 23:28  eldamitri

	* examples/test_remove.cpp (1.7): 
	- Added includes for files id3/error.h, id3/strings.h 
	- Changed all calls to method ID3_Frame::Field calls to be calls to 
	method ID3_Frame::GetField 
	- Minor formatting changes 

2000-10-08 Sunday 23:28  eldamitri

	* examples/get_pic.cpp (1.4): Added include for id3/error.h 

2000-10-08 Sunday 23:27  eldamitri

	* examples/: test_compression.cpp (1.5), test_pic.cpp (1.6): 
	- Added includes for files config.h, id3/debug.h, id3/error.h 
	- Added debugging output 
	- Changed all calls to method ID3_Frame::Field calls to be calls to 
	method ID3_Frame::GetField 

2000-10-08 Sunday 23:13  eldamitri

	* examples/demo_tag.cpp (1.9): 
	- Added include for file config.h 
	- Added debugging options 
	- Fixed a bug for parsing track numbers '08' and '09' with popt
	(thanks Matt Sottek <sottek@quiknet.com>) 

2000-10-08 Sunday 23:10  eldamitri

	* examples/demo_info.cpp (1.19): 
	(PrintInformation): When printing synced lyrics info, now uses a 
	MemoryReader, BinaryNumberReader, and TextReader to extract the 
	infromation from the binary field.  This is a cheat, since these 
	classes aren't normally exposed to folks using the library. 
	Hopefully they will be exposed soon enough for the next major
	release.  

2000-10-08 Sunday 23:05  eldamitri

	* src/tag_sync.cpp (1.9): Removed.  No longer used.  Reader/writer
	decorators provide same functionality.  

2000-10-08 Sunday 23:03  eldamitri

	* src/Makefile.am (1.18): 
	(id3lib_sources): Added reader_decorators.cpp, writers.cpp, and 
	writer_decorators.cpp.  Removed tag_sync.cpp 

2000-10-08 Sunday 23:01  eldamitri

	* include/id3/Makefile.am (1.11): 
	(the_headers): Added writer.h and writers.h 
	(noinst_HEADERS): Added writer_decorators.h and writers_compressed.h 

2000-10-08 Sunday 22:59  eldamitri

	* examples/Makefile.am (1.17): Removed testreader, added testio 

2000-10-08 Sunday 22:38  eldamitri

	* src/reader_decorators.cpp (1.1), src/writer_decorators.cpp (1.1),
	src/writers.cpp (1.1), include/id3/writer.h (1.1),
	include/id3/writer_decorators.h (1.1), include/id3/writers.h (1.1),
	include/id3/writers_compressed.h (1.1): Initial release.  

2000-10-08 Sunday 22:32  eldamitri

	* examples/test_io.cpp (1.1): Added for testing io classes in
	id3lib 

2000-10-08 Sunday 22:30  eldamitri

	* examples/test_reader.cpp (1.2): Removed.  Replaced with
	test_io.cpp 

2000-10-03 Tuesday 06:53  eldamitri

	* examples/demo_info.cpp (1.18): 
	- Use GetField() method rather than Field() 
	- Adjusted for changes in namespace 

2000-10-03 Tuesday 06:51  eldamitri

	* src/: tag_file.cpp (1.25), tag_find.cpp (1.19), tag_parse.cpp
	(1.29), tag_parse_lyrics3.cpp (1.23), tag_parse_musicmatch.cpp
	(1.11), tag_parse_v1.cpp (1.14), tag_render.cpp (1.31),
	tag_sync.cpp (1.8): 
	- Adjusted for changes in namespace 
	- Implementation for methods of class ID3_TagImpl rather than class 
	ID3_Tag 
	- Removed calls to ID3_THROW 

2000-10-03 Tuesday 06:38  eldamitri

	* src/: field.cpp (1.34), field_binary.cpp (1.19),
	field_integer.cpp (1.15), field_string_ascii.cpp (1.19),
	field_string_unicode.cpp (1.23), frame_parse.cpp (1.22),
	header_frame.cpp (1.15), header_tag.cpp (1.16): Adjusted for
	changes in namespace.  

2000-10-03 Tuesday 06:37  eldamitri

	* src/utils.cpp (1.10): Adjusted for changes in namespace, added
	method toString(uint32) 

2000-10-03 Tuesday 06:32  eldamitri

	* src/tag.cpp (1.26): ID3_Tag is now merely an interface. 
	Implementation details are hidden behind the lone member variable,
	which is a pointer to the class ID3_TagImpl.  ID3_Tag's methods are
	implemented as calls to ID3_TagImpl 

2000-10-03 Tuesday 06:30  eldamitri

	* src/misc_support.cpp (1.23): 
	(ID3_GetString): Removed call to ID3_THROW 

2000-10-03 Tuesday 06:26  eldamitri

	* src/frame_render.cpp (1.16): Adjusted for changes in namespace,
	removed calls to ID3_THROW 

2000-10-03 Tuesday 06:23  eldamitri

	* src/frame_impl.cpp (1.2): 
	(_InitFields): Creates a default binary field if no field info is 
	available; remove other throw clause 

2000-10-03 Tuesday 04:44  eldamitri

	* src/c_wrapper.cpp (1.11, rel-3-7-7): Added include for error.h
	(should be removed soon).  

2000-10-03 Tuesday 04:43  eldamitri

	* include/id3/utils.h (1.12): 
	- Functions are now in namespace dami, replacing namespace id3 
	- Change to reflect changes in string name, namespace 

2000-10-03 Tuesday 04:40  eldamitri

	* include/id3/tag.h (1.46): ID3_Tag is now merely an interface. 
	Implementation details are hidden behind the lone member variable,
	which is a pointer to the class ID3_TagImpl.  

2000-10-03 Tuesday 03:57  eldamitri

	* include/id3/strings.h (1.2): Moved from namespace id3:: to
	namespace dami::.  Renamed from 'string' to 'String', 'bstring' to
	'BString', and 'wstring' to 'WString' 

2000-10-03 Tuesday 03:21  eldamitri

	* include/id3/readers.h (1.3): Moved Readers out of namespace id3. 
	As these will be exposed as part of the library, they are now in
	global namespace.  Classes have been renamed by prepending 'ID3_',
	as with other classes.  Moved class CompressedMemoryReader and
	CompressedStreamReader into readers_compressed.h.  

2000-10-03 Tuesday 03:18  eldamitri

	* include/id3/reader_decorators.h (1.4): Restructured namespaces. 
	All Reader classes are now in namespace dami::io.  method
	readChars() in IdentityReader now supports signed and unsigned chars 

2000-10-03 Tuesday 02:53  eldamitri

	* include/id3/reader.h (1.4): 
	- method readChars() now supports signed and unsigned chars 

2000-10-03 Tuesday 02:45  eldamitri

	* include/id3/field_impl.h (1.5): (class ID3_FieldImpl): Added a
	new char* Set method for binary data 

2000-10-03 Tuesday 02:36  eldamitri

	* src/Makefile.am (1.17): 
	(id3lib_sources): Added 'helpers.cpp', 'readers.cpp', 'tag_impl.cpp' 

2000-10-03 Tuesday 02:31  eldamitri

	* include/id3/Makefile.am (1.10): 
	(the_headers): Added 'reader.h' and 'readers.h', moved 'error.h', 
	'flags.h', 'header.h', 'header_frame.h', and 'header_tag.h' to 
	noinst_HEADERS so that they're not part of an installed distribution 
	(noinst_HEADERS): Added 'readers_compressed.h' 

2000-10-02 Monday 19:03  eldamitri

	* include/id3/helpers.h (1.1), src/helpers.cpp (1.1),
	include/id3/lyr3.h (1.1), include/id3/lyr3_impl.h (1.1),
	include/id3/mm.h (1.1), include/id3/mm_impl.h (1.1),
	include/id3/readers_compressed.h (1.1), include/id3/tag_impl.h
	(1.1), include/id3/v1.h (1.1), include/id3/v1_impl.h (1.1),
	src/readers.cpp (1.1), src/tag_impl.cpp (1.1): Initial release 

2000-10-02 Monday 19:01  eldamitri

	* examples/: demo_convert.cpp (1.9, rel-3-7-9), demo_copy.cpp
	(1.3), demo_tag.cpp (1.8): Added include for error.h (should be
	removed soon).  

2000-10-01 Sunday 02:05  eldamitri

	* src/Makefile.am (1.16): 
	(id3lib_sources): Added frame_impl.cpp 

2000-10-01 Sunday 02:03  eldamitri

	* include/id3/tag.h (1.45), src/misc_support.cpp (1.22),
	src/tag_find.cpp (1.18): Added field.h to list of included files 

2000-10-01 Sunday 02:03  eldamitri

	* include/id3/frame_impl.h (1.1), src/frame_impl.cpp (1.1): Initial
	release 

2000-10-01 Sunday 02:03  eldamitri

	* include/id3/frame.h (1.32), src/frame.cpp (1.28),
	src/frame_parse.cpp (1.21), src/frame_render.cpp (1.15): 
	- Class ID3_Frame is now simply an interface.  It will pass off all
	of its funcitonality to a pointer to ID3_FrameImpl, which is its
	only data member.  In this way, the implementation of the ID3_Frame
	can more easily change without affecting its interface.  ID3_Frame
	can't serve as a true "interface" (that is, abstract base class)
	since so much code already relies on the ability to create
	stack-based frame objects, but this is pretty close.  
	- Added methods SetEncryptionID(uchar), GetEncryptionID(), 
	SetGroupingID(uchar), and GetGroupingID() 

2000-10-01 Sunday 02:02  eldamitri

	* include/id3/field_impl.h (1.4): (class ID3_FieldImpl): Changed
	'friendship' to ID3_FrameImpl 

2000-10-01 Sunday 02:01  eldamitri

	* src/c_wrapper.cpp (1.10): Added include for "frame.h" and
	"field.h" 

2000-10-01 Sunday 00:20  eldamitri

	* id3lib.spec.in (1.21): 
	(CXXFLAGS): Added "--enable-debug=no" to call to configure 

2000-10-01 Sunday 00:16  eldamitri

	* examples/demo_info.cpp (1.17): 
	(PrintInformation): Minor bugfix for printing out synced lyrics 

2000-10-01 Sunday 00:14  eldamitri

	* src/utils.cpp (1.9): 
	- Added implementation for method removeTrailingSpaces(id3::string)
	and renderNumber(uint32, size_t) 

2000-10-01 Sunday 00:13  eldamitri

	* src/: tag_parse_lyrics3.cpp (1.22), tag_parse_musicmatch.cpp
	(1.10), tag_parse_v1.cpp (1.13): Complete reimplementation of
	parsing functionality to use ID3_Reader& objects rather char* arrays 

2000-10-01 Sunday 00:13  eldamitri

	* src/tag_parse.cpp (1.28): 
	- Renamed function ID3_ParseFrames to id3::parseFrames 
	- Method Parse(ID3_Reader&) now returns bool to indicate success 
	- Renamed function ParseID3v2 to id3::parseID3v2 
	- method ParseFile() now uses ID3_Reader and related methods to
	parse file 

2000-10-01 Sunday 00:13  eldamitri

	* src/: header_frame.cpp (1.14), header_tag.cpp (1.15): 
	(Parse): Now returns bool to indicate success of parse, other minor
	changes, removed method Parse(const uchar*, size_t) 

2000-10-01 Sunday 00:12  eldamitri

	* src/frame_parse.cpp (1.20): 
	- Added function parseFields(ID3_Reader&, ID3_Frame&) 
	- Updated method ID3_Frame::Parse(ID3_Reader&) to return a bool to 
	indicate success 

2000-10-01 Sunday 00:12  eldamitri

	* src/frame.cpp (1.27): Removed all occurrences of _bad_parse,
	removed throws for failed memory allocation, added implementations
	for new methods defined in frame.h 

2000-10-01 Sunday 00:12  eldamitri

	* src/field_string_unicode.cpp (1.22): 
	(ParseUnicodeString): Now returns bool to indicate success of parse, 
	other minor changes 

2000-10-01 Sunday 00:12  eldamitri

	* src/field_string_ascii.cpp (1.18): 
	(ParseASCIIString): Now returns bool to indicate success of parse, 
	other minor changes 

2000-10-01 Sunday 00:11  eldamitri

	* src/field_integer.cpp (1.14): 
	(ParseInteger): Now returns bool to indicate success of parse 

2000-10-01 Sunday 00:11  eldamitri

	* src/field_binary.cpp (1.18): 
	(ParseBinary): Now returns bool to indicate success of parse 

2000-10-01 Sunday 00:11  eldamitri

	* src/field.cpp (1.33): 
	(Parse) Updated implementation due to new bool return value, issues
	an ID3D_WARNING rather than throwing 

2000-10-01 Sunday 00:10  eldamitri

	* include/id3/utils.h (1.11): Added declarations for methods
	removeTrailingSpaces(id3::string) and renderNumber(uint32, size_t) 

2000-10-01 Sunday 00:09  eldamitri

	* include/id3/tag.h (1.44): 
	- method Parse(ID3_Reader&) now returns bool 

2000-10-01 Sunday 00:09  eldamitri

	* include/id3/readers.h (1.2): (class IStreamReader): Added methods
	getBeg() and getEnd() 

2000-10-01 Sunday 00:09  eldamitri

	* include/id3/reader.h (1.3): (class ID3_Reader) added atEnd()
	method 

2000-10-01 Sunday 00:07  eldamitri

	* include/id3/frame.h (1.31): (class ID3_Frame): 
	- Added methods GetField(ID3_FieldID), GetNumFields(), and 
	GetFieldAt(index_t) 
	- Parse(ID3_Reader&) method now returns bool 
	- Deprecated method Field(ID3_FieldNum) 
	- Removed mehtod BadParse() 

2000-10-01 Sunday 00:07  eldamitri

	* include/id3/reader_decorators.h (1.3): (class IdentityReader):
	Cleaned up implementation (class ExitTrigger): Added (class
	WindowedReader): new constructors to make using it simpler (class
	CharReader): Added (class UnsyncReader): Now inherits from
	CharReader (class LineFeedReader): Added 

2000-10-01 Sunday 00:06  eldamitri

	* include/id3/: header.h (1.18), header_frame.h (1.17),
	header_tag.h (1.16): 
	- method Parse(ID3_Reader&) now returns bool 
	- method Parse(const uchar*, size_t) removed 

2000-10-01 Sunday 00:06  eldamitri

	* include/id3/: field.h (1.38), field_impl.h (1.3): 
	Parse(ID3_Reader&) method(s) now return bool 

2000-09-27 Wednesday 11:08  eldamitri

	* Makefile.am (1.24): 
	(changelog): added for generating changelog using cvs2cl.pl 

2000-09-27 Wednesday 11:06  eldamitri

	* ChangeLog (1.123): Now auto-generated 

2000-09-27 Wednesday 11:05  eldamitri

	* cvs2cl.pl (1.1): Initial release 

2000-09-27 Wednesday 10:36  eldamitri

	* src/tag_parse.cpp (1.27): 
	(ID3_ParseFrames): Added implementation that uses ID3_Reader& 
	(Parse): Added implementation that uses ID3_Reader& 
	(ParseID3v2): Now makes use of ID3_Tag::Parse(ID3_Reader&) 

2000-09-27 Wednesday 10:31  eldamitri

	* src/: header_frame.cpp (1.13), header_tag.cpp (1.14): 
	(Parse): Added overloaded implementation using ID3_Reader& 

2000-09-27 Wednesday 10:28  eldamitri

	* src/field_string_unicode.cpp (1.21): 
	(ParseUnicodeString): Replaced with implementation using ID3_Reader& 

2000-09-27 Wednesday 10:25  eldamitri

	* src/field_string_ascii.cpp (1.17): 
	(ParseASCIIString): Replaced with implementation using ID3_Reader& 

2000-09-27 Wednesday 10:23  eldamitri

	* src/field_integer.cpp (1.13): 
	(ParseInteger): Replaced with implementation using ID3_Reader& 

2000-09-27 Wednesday 10:22  eldamitri

	* src/field_binary.cpp (1.17): 
	(ParseBinary): Replaced with implementation using ID3_Reader& 

2000-09-27 Wednesday 10:20  eldamitri

	* src/: field.cpp (1.32, rel-3-7-13), frame_parse.cpp (1.19): 
	(Parse): Reimplemented to use new Parse(ID3_Reader&) method, will be
	soon deprecated 

2000-09-27 Wednesday 10:16  eldamitri

	* include/id3/utils.h (1.10): 
	- Reinstated namespace ::id3 
	- Renamed all functions, removing 'ID3_' prefix and lowercasing
	first letter 
	- Added templated versions of functions min, max, and abs 

2000-09-27 Wednesday 10:10  eldamitri

	* include/id3/reader_decorators.h (1.2): 
	- Removed definition of min (now defined in utils.h) 
	- Added new debugging output via ID3_NOTICE and ID3_WARNING (class
	IdentityReader): Cleaned-up implementation of IdentityReader to
	match new ID3_Reader interface (class WindowedReader): 
	- Cleaned-up implementation of inWindow, constructor, setWindow,
	setBeg, setEnd 
	- Removed seekBeg and seekEnd 
	- Added implementation of remainingChars (class UnsyncedReader): 
	- Added new debugging output via ID3_NOTICE and ID3_WARNING 
	- Added implementation of skipChars 
	- Implementation of readChars can accept a NULL buffer 
	- Added implementation of remainingChars (class NumberReader, class
	TextReader, class BinaryReader): added 

2000-09-27 Wednesday 10:02  eldamitri

	* include/id3/reader.h (1.2): 
	- Added END_OF_READER static const 
	- Added methods getBeg() and getEnd() 
	- Removed methods readByte(), readBytes(), and remainingChars() 
	- Replaced peek() with peekChar() 
	- Replaced tell() with getCur() 
	- Replaced seek() with setCur() 
	- skipChars() now returns a streamsize value 

2000-09-27 Wednesday 09:56  eldamitri

	* include/id3/header.h (1.17): Added forward declaration of
	ID3_Reader 

2000-09-27 Wednesday 09:53  eldamitri

	* include/id3/field_impl.h (1.2): 
	- Added new Parse method that accepts an ID3_Reader& 
	- Replaced all protected Parse* methods that accept const uchar*
	string with ones that accept ID3_Reader& 

2000-09-27 Wednesday 09:51  eldamitri

	* include/id3/: field.h (1.37), frame.h (1.30), header_frame.h
	(1.16), header_tag.h (1.15), tag.h (1.43): Added new Parse method
	that accepts an ID3_Reader& 

2000-09-27 Wednesday 09:47  eldamitri

	* src/: tag_file.cpp (1.24), tag_parse_lyrics3.cpp (1.21),
	tag_parse_musicmatch.cpp (1.9), tag_parse_v1.cpp (1.12),
	tag_render.cpp (1.30), frame_render.cpp (1.14): Updated for renamed
	functions in utils.h.  

2000-09-27 Wednesday 09:40  eldamitri

	* src/tag_sync.cpp (1.7): 
	- All functions now in namespace ::id3 
	- Renamed all functions to remove ID3_ prefix and uppercase first
	char 

2000-09-27 Wednesday 09:38  eldamitri

	* src/: tag_find.cpp (1.17), utils.cpp (1.8): 
	- All functions now in 'id3' namespace 
	- Renamed functions w/ID3_ prefix, changed first letter to
	lower-case 
	- (getFileSize): Added implementations for getFileSize(ifstream&)
	and getFileSize(ofstream&) 
	- (openWritableFile): Added implementation for
	openWritableFile(const char*, ofstream&) 
	- (openReadableFile): Added implementation for
	openReadableFile(const char*, ifstream&) 

2000-09-27 Wednesday 09:31  eldamitri

	* src/Makefile.am (1.15): Don't link to shared zlib if we didn't
	compile it.  

2000-09-27 Wednesday 09:26  eldamitri

	* include/id3/Makefile.am (1.9): 
	(noinst_HEADERS): Added new files 

2000-09-27 Wednesday 09:02  eldamitri

	* examples/demo_info.cpp (1.16): 
	- Added check and inclusion of config.h 
	- Updated for changed function name (ParseNumber ->
	id3::parseNumber) 
	- Added -n and -w options for turning on NOTICE and WARNING output
	in library 

2000-09-27 Wednesday 08:59  eldamitri

	* examples/Makefile.am (1.16): 
	- Added ID3_DEBUG_LIBS macro (for compiling with libcwd),
	conditional on ID3_DEBUG_LIBS 
	- now compiles with ID3_DEBUG_LIBS 
	- added ID3LIB_DEBUG_FLAGS to INCLUDES 
	- added `testreader` app and sources 

2000-09-27 Wednesday 08:56  eldamitri

	* configure.in (1.45): Call to AC_CHECK_LIB for zlib and popt now
	only define HAVE_ZLIB and HAVE_POPT_LIB, rather than also adding -lz
	and -lpopt to LIBS (which is the default behavior).  

2000-09-27 Wednesday 08:54  eldamitri

	* AUTHORS (1.7): Reformat AUTHORS file for --usermap option to
	cvs2cl.pl.  

2000-09-27 Wednesday 06:19  eldamitri

	* examples/test_reader.cpp (1.1), include/id3/debug.h (1.2),
	include/id3/readers.h (1.1), include/id3/strings.h (1.1): Initial
	release 

2000-09-27 Wednesday 05:32  eldamitri

	* include/id3/int28.h (1.11), src/int28.cpp (1.5): No long used
	(replaced by uint28) 

2000-09-27 Wednesday 05:26  eldamitri

	* configure.in (1.44, rel-3-7-2): Fixed bug with header checking 

2000-09-22 Friday 06:40  eldamitri

	* include/id3/: reader.h (1.1), reader_decorators.h (1.1), dami.idl
	(1.1): Initial release 

2000-09-22 Friday 01:45  eldamitri

	* doc/index.html.in (1.9): Added empeg to list of projects 

2000-09-22 Friday 01:41  eldamitri

	* include/id3/field_def.h (1.2): Minor fix for typo 

2000-09-22 Friday 01:37  eldamitri

	* src/tag_render.cpp (1.29): 
	(RenderV1): remove throwing of memory exception 
	(RenderV2): remove throwing of memory exception 

2000-09-22 Friday 01:22  eldamitri

	* src/tag_find.cpp (1.16): 
	(Find): remove throwing of memory exception 

2000-09-22 Friday 01:17  eldamitri

	* src/header_frame.cpp (1.12): Added inclusion of frame_def.h,
	field_def.h, and field_impl.h 

2000-09-22 Friday 01:16  eldamitri

	* src/frame.cpp (1.26): 
	(_ClearFields): dynamic cast field pointer to fieldImpl so it can be 
	deleted 
	(_InitFields): create a FieldImpl rather than a Field 

2000-09-22 Friday 00:39  eldamitri

	* src/: field.cpp (1.31), field_binary.cpp (1.16),
	field_integer.cpp (1.12), field_string_ascii.cpp (1.16),
	field_string_unicode.cpp (1.20): Now an implementation of
	ID3_FieldImpl instead of ID3_Field 

2000-09-22 Friday 00:23  eldamitri

	* include/id3/tag.h (1.42): Added inclusion of error.h for
	convenience 

2000-09-22 Friday 00:21  eldamitri

	* include/id3/header_frame.h (1.15): Added a forward declaration
	for FrameDef, since it was removed from field.h.  

2000-09-22 Friday 00:10  eldamitri

	* include/id3/header.h (1.16): (class ID3_Header): Bug fix in
	initializing the constructor 

2000-09-22 Friday 00:03  eldamitri

	* include/id3/: field_def.h (1.1), field_impl.h (1.1), frame_def.h
	(1.2): Initial release.  

2000-09-21 Thursday 23:28  eldamitri

	* include/id3/field.h (1.36): 
	- Made into an abstract base class so that the implementation can be 
	altered without affecting interface 
	- ID3_FieldDef and ID3_FrameDef now defined in separate files 

2000-09-15 Friday 03:49  eldamitri

	* Makefile.am (1.23, rel-3-7-13): Delete popt from windows release
	(doesn't work on windows...) 

2000-09-15 Friday 02:03  eldamitri

	* NEWS (1.22), configure.in (1.43, rel-3-7-13, rel-3-7-13),
	id3lib.spec.in (1.20, rel-3-7-13): Updated for 3.7.13 release 

2000-09-15 Friday 01:54  eldamitri

	* src/uint28.cpp (1.7, rel-3-7-13): Added check for iomanip 

2000-09-15 Friday 01:54  eldamitri

	* src/tag_parse.cpp (1.26, rel-3-7-13): Minor rearrangement of
	include files 

2000-09-15 Friday 01:52  eldamitri

	* config.h.win32.in (1.6, rel-3-7-13): Fixed versioning constants 

2000-09-15 Friday 01:47  eldamitri

	* id3com/ID3Tag.cpp (1.11, rel-3-7-13): 
	(get_VersionString): Fixed version constants 

2000-09-15 Friday 00:36  eldamitri

	* include/id3/field.h (1.35, rel-3-7-13): (class ID3_Field): Made
	BinSize() public, HasChanged() public and const 

2000-09-15 Friday 00:35  eldamitri

	* src/misc_support.cpp (1.21, rel-3-7-13): 
	(ID3_GetString): Fixed bug with encoding type 

2000-09-15 Friday 00:34  eldamitri

	* src/frame.cpp (1.25, rel-3-7-13): 
	(_InitFields): Access field id via method, not member 
	(Field): Access field id via method, not member 

2000-09-15 Friday 00:31  eldamitri

	* src/field.cpp (1.30, rel-3-7-13): 
	(HasChanged): changed to const 

2000-09-15 Friday 00:15  eldamitri

	* examples/demo_info.cpp (1.15, rel-3-7-13): 
	(PrintInformation): Adjustment for new indexing in IPLS 

2000-09-15 Friday 00:11  eldamitri

	* src/: field_string_ascii.cpp (1.15), field_string_unicode.cpp
	(1.19) (utags: rel-3-7-13): A complete reimplementation for text
	strings.  Rather than storing all text strings as unicode, requiring
	extra copies for every Set and Get, the field object stores a union
	of a char* and unicode_t* pointer, converting back and forth only
	when necessary.  The result is a more efficient, easier-to-maintain
	implementation.  

2000-09-15 Friday 00:06  eldamitri

	* src/misc_support.cpp (1.20): 
	(ID3_GetString): New implementation that retrieves entire string 
	(ID3_GetString): Indexing is no longer off by 1 

2000-09-15 Friday 00:03  eldamitri

	* src/frame_parse.cpp (1.18, rel-3-7-13): 
	(Parse): No longer catches exceptions (none thrown in field objects) 

2000-09-15 Friday 00:01  eldamitri

	* src/frame.cpp (1.24): 
	(_InitFields): Fields initialized with field def object, rather than 
	manually copying the members 

2000-09-14 Thursday 23:58  eldamitri

	* src/field_integer.cpp (1.11, rel-3-7-13): 
	(Set): New implementation that is sensitive to the type of field,
	new data members 
	(ParseInteger): New implementation that is sensitive to the fixed 
	length (if any) 
	(RenderInteger): Now renders _integer directly 

2000-09-14 Thursday 23:54  eldamitri

	* src/field_binary.cpp (1.15, rel-3-7-13): 
	(Set): Now returns number of bytes set; doesn't allocate new memory 
	for a fixed-length field 
	(ParseBinary): Change to take advantage of Set's return value 

2000-09-14 Thursday 23:50  eldamitri

	* src/field.cpp (1.29): 
	(ID3_Field): Bug fix; all member variables set appropriately before 
	calling Clear() (~ID3_Field): No longer calls Clear() to free
	memory, as Clear() will allocate it for fixed-length fields 
	(Clear): Now ensures fixed-length fields have memory allocated 
	appropriately 

2000-09-14 Thursday 23:47  eldamitri

	* include/id3/field.h (1.34): (class ID3_Field): All Set() and
	Add() methods now return number of bytes that were set or added 

2000-09-14 Thursday 19:59  eldamitri

	* src/field_binary.cpp (1.14): 
	(Set): New implementation that is sensitive to the type of field,
	new data members 
	(Get): New implementation that is sensitive to the type of field,
	new data members; returns nothing if field isn't binary 
	(FromFile): New implementation that is sensitive to the type of
	field, new data members 
	(ToFile): New implementation that is sensitive to the type of field, 
	new data members 

2000-09-14 Thursday 18:26  eldamitri

	* src/field.cpp (1.28): 
	(ID3FD_GeneralText): All language fields changeed back to text
	strings rather than binary due to improved implementation of text
	strings 
	(ID3_Field): New constructor implementation w/ID3_FieldDef as param 
	(Clear): New implementation that is sensitive to the type of field 
	(Size, BinSize): new implementations for Size() and BinSize();
	Size() calculates the number of characters in a text string or the
	number of bytes in anythings else, BinSize calculates the number of
	bytes in the rendered field given the current encoding, etc.  
	(Render): Now calls same rendering function for both types of
	strings (operator=): Will only assign fields that are the same type;
	new field type-sensitive implementation 
	(SetEncoding): Now reponsible for changing the underlying encoding
	of the string if a change is requested 

2000-09-14 Thursday 18:16  eldamitri

	* include/id3/misc_support.h (1.22, rel-3-7-13): 
	- added ID3_GetString(const ID3_Frame*, ID3FieldID) for retrieving 
	entire ascii string 
	- ID3_GetString(const ID3_Frame*, ID3_FieldID, size_t) no longer has 
	default parameter 

2000-09-14 Thursday 18:14  eldamitri

	* include/id3/field.h (1.33): (struct ID3_FieldDef): Renamed
	members to be consistent with naming convention in rest of library 
	(class ID3_Field): 
	- Size() no longer implemented in the header 
	- Get() now checks to make sure this is an integer field 
	- added Get(char*, size_t) method for retrieving entire ascii string 
	- removed default parameter of Get(char*, size_t, index_t); indexing 
	now starts at 0 
	- added Get(unicode_t*, size_t) for retrieving entire unicode string 
	- removed default parameter of Get(unicode_t*, size_t, index_t); 
	indexing now starts at 0 
	- Get(uchar*, size_t) now returns the number of bytes retrieved 
	- BinSize() no longer has a parameter 
	- Added Set_i and Add_i methods 
	- Added (private) ID3_Field(const ID3_FieldDef&) constructor 
	- Member variables that don't change are now const 
	- Field data no longer represented by _data; rather, a union of the 
	various types of representations is used 
	- field size is now a union: _chars for text strings, _bytes for 
	everything else 

2000-09-11 Monday 09:46  eldamitri

	* include/id3.h (1.12, rel-3-7-13), include/id3/error.h (1.14,
	rel-3-7-13), include/id3/field.h (1.32, rel-3-7-13),
	include/id3/flags.h (1.3, rel-3-7-13), include/id3/frame.h (1.29,
	rel-3-7-13), include/id3/globals.h (1.33, rel-3-7-13),
	include/id3/header.h (1.15, rel-3-7-13), include/id3/header_frame.h
	(1.14, rel-3-7-13), include/id3/header_tag.h (1.14, rel-3-7-13),
	include/id3/int28.h (1.10, rel-3-7-13), include/id3/misc_support.h
	(1.21), include/id3/sized_types.h (1.5, rel-3-7-13),
	include/id3/spec.h (1.3, rel-3-7-13), include/id3/tag.h (1.41,
	rel-3-7-13), include/id3/uint28.h (1.7, rel-3-7-13),
	include/id3/utils.h (1.9, rel-3-7-13), src/error.cpp (1.10,
	rel-3-7-13), src/field.cpp (1.27), src/field_binary.cpp (1.13),
	src/field_integer.cpp (1.10), src/field_string_ascii.cpp (1.14),
	src/field_string_unicode.cpp (1.18), src/frame.cpp (1.23),
	src/frame_parse.cpp (1.17), src/frame_render.cpp (1.13,
	rel-3-7-13), src/globals.cpp (1.3, rel-3-7-13), src/header.cpp
	(1.9, rel-3-7-13), src/header_frame.cpp (1.11, rel-3-7-13),
	src/header_tag.cpp (1.13, rel-3-7-13), src/int28.cpp (1.4,
	rel-3-7-13), src/tag.cpp (1.25, rel-3-7-13), src/tag_file.cpp
	(1.23, rel-3-7-13), src/tag_find.cpp (1.15, rel-3-7-13),
	src/tag_parse.cpp (1.25), src/tag_parse_musicmatch.cpp (1.8,
	rel-3-7-13), src/tag_render.cpp (1.28, rel-3-7-13), src/utils.cpp
	(1.7, rel-3-7-13): Renamed all member variables.  Changed '__' to
	'_', since names with '__' aren't allowed in the C++ standard.  

2000-09-11 Monday 09:39  eldamitri

	* Makefile.in (1.35), acconfig.h (1.8, rel-3-7-13), config.h.in
	(1.9, rel-3-7-12, rel-3-7-11, rel-3-7-10, rel-3-7-9, rel-3-7-8,
	rel-3-7-7, rel-3-7-13), configure (1.41), examples/Makefile.in
	(1.11, rel-3-7-13), include/id3/Makefile.in (1.30),
	popt/config.status (1.4), src/Makefile.in (1.30),
	zlib/config.status (1.4): Auto-update 

2000-09-10 Sunday 01:07  eldamitri

	* THANKS (1.15, rel-3-7-13): Added Steven Frank.  

2000-09-10 Sunday 01:04  eldamitri

	* src/field_binary.cpp (1.12): 
	(Set): No longer creates copies null or empty data 

2000-09-10 Sunday 01:03  eldamitri

	* src/field.cpp (1.26, rel-3-7-12): All LANGUAGE fields are now
	binary so that they won't be converted unnecessarily to unicode.  

2000-09-10 Sunday 01:02  eldamitri

	* doc/musicmatch.txt (1.4, rel-3-7-13, rel-3-7-12): Minor typo
	fixes (thanks Peter Luijer) 

2000-09-08 Friday 07:51  eldamitri

	* src/tag_parse_musicmatch.cpp (1.7): 
	(ParseMusicMatch): Minor changes for warning-free Windows
	compilation 

2000-09-08 Friday 07:46  eldamitri

	* examples/Makefile.am (1.15, rel-3-7-13): 
	(EXTRA_DIST): Added 230-syncedlyrics.tag, thatspot.tag, and ozzy.tag 

2000-09-08 Friday 07:41  eldamitri

	* doc/musicmatch.txt (1.3): Minor formatting changes 

2000-09-07 Thursday 23:55  eldamitri

	* doc/Makefile.am (1.13, rel-3-7-13): 
	(EXTRA_DIST): Added 'musicmatch.txt' to the list of distribution
	files 

2000-09-07 Thursday 23:53  eldamitri

	* doc/index.html.in (1.8, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-13): Updated info about
	projects using idrlib: updated freeamp, added AmpBar 

2000-09-07 Thursday 23:22  eldamitri

	* doc/musicmatch.txt (1.2): Update documentation on MusicMatch
	format.  

2000-09-06 Wednesday 09:04  eldamitri

	* src/error.cpp (1.9): 
	(ID3_Error): Replaced strdup, since it's not part of standard
	libraries (thanks Steven Frank) 

2000-09-05 Tuesday 08:55  eldamitri

	* doc/musicmatch.txt (1.1): Initial release.  

2000-09-05 Tuesday 08:54  eldamitri

	* src/tag_parse_musicmatch.cpp (1.6): 
	(ParseMusicMatch): Complete reimplementation of the function to make 
	it more robust.  Based on new information of the format (thanks to
	the videoripper).  

2000-08-28 Monday 15:41  eldamitri

	* include/id3/field.h (1.31), include/id3/uint28.h (1.6),
	src/tag_parse_musicmatch.cpp (1.5), src/uint28.cpp (1.6): 
	Portability fixes for the Mac (thanks John Firebaugh) 

2000-08-28 Monday 06:27  eldamitri

	* popt/: intl/ChangeLog (1.1), intl/Makefile (1.1),
	intl/Makefile.in (1.1), intl/VERSION (1.1), intl/bindtextdom.c
	(1.1), intl/cat-compat.c (1.1), intl/dcgettext.c (1.1),
	intl/dgettext.c (1.1), intl/explodename.c (1.1), intl/finddomain.c
	(1.1), intl/gettext.c (1.1), intl/gettext.h (1.1), intl/gettextP.h
	(1.1), intl/hash-string.h (1.1), intl/intl-compat.c (1.1),
	intl/l10nflist.c (1.1), intl/libgettext.h (1.1), intl/linux-msg.sed
	(1.1), intl/loadinfo.h (1.1), intl/loadmsgcat.c (1.1),
	intl/localealias.c (1.1), intl/po2tbl.sed (1.1), intl/po2tbl.sed.in
	(1.1), intl/textdomain.c (1.1), intl/xopen-msg.sed (1.1),
	po/Makefile (1.1), po/Makefile.in (1.1), po/Makefile.in.in (1.1),
	po/POTFILES (1.1), po/POTFILES.in (1.1), po/cat-id-tbl.c (1.1),
	po/popt.pot (1.1), po/ro.gmo (1.1), po/ro.po (1.1), po/sk.gmo
	(1.1), po/sk.po (1.1), po/stamp-cat-id (1.1) (utags: rel-3-7-12,
	rel-3-7-13): Initial release 

2000-08-28 Monday 02:32  eldamitri

	* zlib/config.h (1.1, rel-3-7-13, rel-3-7-12), zlib/config.log
	(1.1, rel-3-7-13, rel-3-7-12), zlib/config.status (1.1),
	zlib/libtool (1.1, rel-3-7-13, rel-3-7-12), zlib/stamp-h (1.1,
	rel-3-7-13, rel-3-7-12), src/templates/cpp_template (1.1,
	rel-3-7-13, rel-3-7-12), src/templates/header_template (1.1,
	rel-3-7-13, rel-3-7-12), popt/CHANGES (1.1, rel-3-7-13,
	rel-3-7-12), popt/COPYING (1.1, rel-3-7-13, rel-3-7-12),
	popt/Doxyfile (1.1, rel-3-7-13, rel-3-7-12), popt/Doxyfile.in (1.1,
	rel-3-7-13, rel-3-7-12), popt/Makefile (1.1, rel-3-7-13,
	rel-3-7-12), popt/Makefile.am (1.1, rel-3-7-13, rel-3-7-12),
	popt/Makefile.in (1.1, rel-3-7-13, rel-3-7-12), popt/README (1.1,
	rel-3-7-13, rel-3-7-12), popt/acconfig.h (1.1, rel-3-7-13,
	rel-3-7-12), popt/aclocal.m4 (1.1, rel-3-7-13, rel-3-7-12),
	popt/autogen.sh (1.1, rel-3-7-13, rel-3-7-12), popt/config.guess
	(1.1, rel-3-7-13, rel-3-7-12), popt/config.h (1.1, rel-3-7-13,
	rel-3-7-12), popt/config.h.in (1.1, rel-3-7-13, rel-3-7-12),
	popt/config.log (1.1, rel-3-7-13, rel-3-7-12), popt/config.status
	(1.1), popt/config.sub (1.1, rel-3-7-13, rel-3-7-12),
	popt/configure (1.1, rel-3-7-13, rel-3-7-12), popt/configure.in
	(1.1, rel-3-7-13, rel-3-7-12), popt/findme.c (1.1, rel-3-7-13,
	rel-3-7-12), popt/findme.h (1.1, rel-3-7-13, rel-3-7-12),
	popt/install-sh (1.1, rel-3-7-13, rel-3-7-12), popt/libtool (1.1,
	rel-3-7-13, rel-3-7-12), popt/ltconfig (1.1, rel-3-7-13,
	rel-3-7-12), popt/ltmain.sh (1.1, rel-3-7-13, rel-3-7-12),
	popt/missing (1.1, rel-3-7-13, rel-3-7-12), popt/mkinstalldirs
	(1.1, rel-3-7-13, rel-3-7-12), popt/popt.3 (1.1, rel-3-7-13,
	rel-3-7-12), popt/popt.c (1.1, rel-3-7-13, rel-3-7-12), popt/popt.h
	(1.1, rel-3-7-13, rel-3-7-12), popt/popt.ps (1.1, rel-3-7-13,
	rel-3-7-12), popt/popt.spec (1.1, rel-3-7-13, rel-3-7-12),
	popt/poptconfig.c (1.1, rel-3-7-13, rel-3-7-12), popt/popthelp.c
	(1.1, rel-3-7-13, rel-3-7-12), popt/poptint.h (1.1, rel-3-7-13,
	rel-3-7-12), popt/poptparse.c (1.1, rel-3-7-13, rel-3-7-12),
	popt/stamp-h (1.1, rel-3-7-13, rel-3-7-12), popt/stamp-h.in (1.1,
	rel-3-7-13, rel-3-7-12), popt/system.h (1.1, rel-3-7-13,
	rel-3-7-12), popt/test-poptrc (1.1, rel-3-7-13, rel-3-7-12),
	popt/test1.c (1.1, rel-3-7-13, rel-3-7-12), popt/test2.c (1.1,
	rel-3-7-13, rel-3-7-12), popt/testit.sh (1.1, rel-3-7-13,
	rel-3-7-12): Initial release 

2000-08-28 Monday 00:59  eldamitri

	* examples/get_pic.cpp (1.3, rel-3-7-13): 
	- No longer #include's getopt.h (unused) 
	- return's 1 instead of exit(1) 

2000-08-28 Monday 00:58  eldamitri

	* examples/: demo_convert.cpp (1.8, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-13), demo_copy.cpp (1.2, rel-3-7-13),
	demo_info.cpp (1.14), demo_tag.cpp (1.7, rel-3-7-13): 
	- Now uses popt instead of getopt for parameter processing 
	- VERSION_NUMBER now a static const char* rather than a macro 
	- PrintUsage, PrintVersion now accept const char* (rather than
	char*) 

2000-08-28 Monday 00:42  eldamitri

	* examples/Makefile.am (1.13): Updated to link in libpopt for
	parameter processing the examples 

2000-08-28 Monday 00:40  eldamitri

	* configure.in (1.42, rel-3-7-1): 
	- Added checks for popt, for use in examples for argument parsing 
	- zlib's Makefile's are no longer created; rather, it is listed as a 
	config subdir 

2000-08-28 Monday 00:37  eldamitri

	* Makefile.am (1.22): 
	(SUBDIRS): Made inclusion of popt and zlib conditional 
	(DIST_SUBDIRS): Added to keep track of all directories for
	distribution 

2000-08-28 Monday 00:27  eldamitri

	* id3lib.kdevprj (1.1), id3lib.lsm (1.1) (utags: rel-3-7-12,
	rel-3-7-13): Initial release 

2000-08-28 Monday 00:12  eldamitri

	* zlib/: AUTHORS (1.1), COPYING (1.1), ChangeLog (1.1), INSTALL
	(1.1), NEWS (1.1, rel-3-7-11, rel-3-7-10, rel-3-7-9, rel-3-7-8,
	rel-3-7-7), README (1.1), acconfig (1.1), acconfig.h (1.1),
	aclocal.m4 (1.1), config.h.in (1.1), configure (1.1), configure.in
	(1.1), mkinstalldirs (1.1), reconf (1.1), stamp-h.in (1.1) (utags:
	rel-3-7-12, rel-3-7-13): Added for updated conditional compilation
	order in id3lib 

2000-08-28 Monday 00:11  eldamitri

	* zlib/: Makefile.am (1.2, rel-3-7-5, rel-3-7-4, rel-3-7-3,
	rel-3-7-2, rel-3-7-1, rel-3-7-0, rel-3-6-2, rel-3-6-0), Makefile.in
	(1.2), include/Makefile.in (1.2), lib/Makefile.in (1.2),
	prj/Makefile.in (1.2), src/Makefile.am (1.5), src/Makefile.in (1.5)
	(utags: rel-3-7-13): Updated for conditional compilation order in
	id3lib 

2000-08-26 Saturday 23:42  eldamitri

	* id3lib.spec.in (1.19): 
	(RPM_OPT_FLAGS): Removed stack-boundary for RedHat 6.2 option,
	updated release number 

2000-08-26 Saturday 22:25  eldamitri

	* src/tag_parse_lyrics3.cpp (1.20, rel-3-7-13): 
	(ParseLyrics3): Fixed compiler warning 
	(ParseLyrics3v2): Fixed compiler warning 

2000-08-26 Saturday 22:21  eldamitri

	* include/id3/tag.h (1.40): (class ID3_Tag): Removed unneccessary
	method declartions.  

2000-08-18 Friday 19:02  adcockj

	* ChangeLog (1.114): Added Picture Functionality thanks to Philip
	Oldaker 

2000-08-18 Friday 19:01  adcockj

	* id3com/: BSTRCollection.h (1.1, rel-3-7-13, rel-3-7-12),
	ID3COM.rc (1.5, rel-3-7-13), ID3Field.cpp (1.6, rel-3-7-13),
	ID3Field.h (1.8, rel-3-7-13), ID3Frame.cpp (1.9, rel-3-7-13),
	ID3Frame.h (1.8, rel-3-7-13), ID3Tag.cpp (1.10), ID3Tag.h (1.8,
	rel-3-7-13), MimeTypes.cpp (1.1, rel-3-7-13, rel-3-7-12),
	MimeTypes.h (1.1, rel-3-7-13, rel-3-7-12), StdAfx.cpp (1.6,
	rel-3-7-13), StdAfx.h (1.6, rel-3-7-13), TextCollection.cpp (1.1,
	rel-3-7-13, rel-3-7-12), TextCollection.h (1.1, rel-3-7-13,
	rel-3-7-12), TextCollection.rgs (1.1, rel-3-7-13, rel-3-7-12),
	id3com.cpp (1.7, rel-3-7-13), id3com.dsp (1.15, rel-3-7-13),
	id3com.idl (1.10, rel-3-7-13), resource.h (1.5, rel-3-7-13),
	Sample/ID3Test.vbp (1.6, rel-3-7-13), Sample/ID3Test.vbw (1.7,
	rel-3-7-13): Added Picture Functionality from Philip Oldaker 

2000-07-15 Saturday 18:20  adcockj

	* src/tag_parse.cpp (1.24), ChangeLog (1.113): fixed compile
	warning under windows 

2000-07-14 Friday 09:13  adcockj

	* ChangeLog (1.112): ot compiling under windows 

2000-07-14 Friday 09:10  adcockj

	* src/: tag_file.cpp (1.22), utils.cpp (1.6): Got compiling under
	windows 

2000-07-11 Tuesday 06:29  eldamitri

	* src/utils.cpp (1.5): Added implementations of exists,
	ID3_CreateFile, ID3_OpenFileForWriting, ID3_OpenFileForReading, and
	ID3_CloseFile 

2000-07-11 Tuesday 06:27  eldamitri

	* src/tag_parse_v1.cpp (1.11, rel-3-7-13): 
	- Removed inclusion of stdio.h 
	(ParseID3v1): Now manipulates an fstream rather than a FILE* 

2000-07-11 Tuesday 06:26  eldamitri

	* src/tag_parse_musicmatch.cpp (1.4): 
	- Removed inclusion of stdio.h 
	(MM_ParseTextField): Now manipulates an fstream rather than a FILE* 
	(ParseMusicMatch): Now manipulates an fstream rather than a FILE* 

2000-07-11 Tuesday 06:25  eldamitri

	* src/tag_parse_lyrics3.cpp (1.19): 
	- Removed inclusion of stdio.h 
	(ParseLyrics3): Now manipulates an fstream rather than a FILE* 
	(ParseLyrics3v2): Now manipulates an fstream rather than a FILE* 

2000-07-11 Tuesday 06:23  eldamitri

	* src/tag_parse.cpp (1.23): 
	- Removed inclusion of stdio.h 
	(ParseID3v2): 
	- Now manipulates an fstream rather than a FILE* 
	- Now uses ID3_Tag::IsV2Tag rather than ID3_IsTagHeader 
	(ParseFile): Now manipulates an fstream rather than a FILE* 

2000-07-11 Tuesday 06:21  eldamitri

	* src/tag_file.cpp (1.21): 
	- Added inclusion of utils.h 
	- Made inclusion of stdio.h dependent on HAVE_MKSTEMP's
	non-defintion 
	- Removed definition of ID3_PATH_LENGTH (now in utils.h) 
	- Removed CreateFile, OpenFileForWriting, OpenFileForReading, and 
	CloseFile definitions (redefined in utils.cpp) 
	(Link): Removed handling of __file_handle, push all file
	manipulation into ParseFile 
	(RenderV1ToFile): Now manipulates an fstream rather than a FILE* 
	(RenderV2ToFile): Now manipulates an fstream rather than a FILE* 
	(Update): Now manipulates an fstream rather than a FILE* 
	(Strip): Now manipulates an fstream rather than a FILE* 

2000-07-11 Tuesday 06:14  eldamitri

	* src/tag.cpp (1.24): 
	- Added inclusion of utils.h 
	- Removed definition of ID3_PATH_LENGTH (now in utils.h) 
	- Removed all mention of __file_handle 
	- Removed all calls to CloseFile() 

2000-07-11 Tuesday 06:12  eldamitri

	* src/: misc_support.cpp (1.19), tag_render.cpp (1.27): Removed
	inclusion of stdio.h 

2000-07-11 Tuesday 06:02  eldamitri

	* include/id3/utils.h (1.8): 
	- Now includes config.h, since it isn't a distributed file 
	- Added definition of ID3_PATH_LENGTH 
	- Added declarations of file utils 

2000-07-11 Tuesday 06:00  eldamitri

	* include/id3/tag.h (1.39): (class ID3_Tag): Removed __file_handle 

2000-07-11 Tuesday 05:59  eldamitri

	* include/id3/Makefile.am (1.8, rel-3-7-13): 
	(the_headers): removed utils.h 
	(noinst_HEADERS): added utils.h 

2000-07-08 Saturday 23:26  eldamitri

	* src/tag_render.cpp (1.26): 
	(RenderV1): Converts ID3v2 COMM frames to ID3v1 comments more
	liberally 

2000-07-08 Saturday 23:23  eldamitri

	* examples/test_remove.cpp (1.6, rel-3-7-13): 
	(main): Now adds an ID3v1 comment 

2000-07-08 Saturday 01:49  eldamitri

	* NEWS (1.21), configure.in (1.41), id3lib.spec.in (1.18) (utags:
	rel-3-7-12): Updated for 3.7.12 release 

2000-07-08 Saturday 01:16  eldamitri

	* src/tag_render.cpp (1.25, rel-3-7-12): 
	(RenderV1): Renders comments in the id3v1 tag with a description of 
	STR_V1_COMMENT_DESC 

2000-07-08 Saturday 01:14  eldamitri

	* src/tag_file.cpp (1.20, rel-3-7-12): 
	(RenderV2ToHandle): Removed debugging output 

2000-07-08 Saturday 01:13  eldamitri

	* src/misc_support.cpp (1.18, rel-3-7-12): 
	(ID3_GetComment): Now a second, optional parameter to find a comment 
	with a specific description.  Default value is NULL, which will find 
	the next comment in the tag, regardless of its description.  

2000-07-08 Saturday 01:05  eldamitri

	* include/id3/tag.h (1.38, rel-3-7-12): 
	(STR_V1_COMMENT_DESC): Now has the value "ID3v1 Comment" 
	(ID3_Tag): Update()'s default parameter changed from ID3TT_ID3V2 to 
	ID3TT_ALL 

2000-07-08 Saturday 01:03  eldamitri

	* include/id3/misc_support.h (1.20, rel-3-7-12): Added a secondary
	optional parameter ID3_GetComment to find a comment with a specific
	description.  

2000-07-08 Saturday 01:01  eldamitri

	* examples/test_remove.cpp (1.5, rel-3-7-12): 
	(main): If a file is given on the command-line, just remove the 
	description-less comments.  

2000-07-06 Thursday 14:26  eldamitri

	* NEWS (1.20, rel-3-7-11): Other minor updates for 3.7.11 

2000-07-05 Wednesday 18:36  eldamitri

	* NEWS (1.19), THANKS (1.12, rel-3-7-12, rel-3-7-11), configure.in
	(1.40, rel-3-7-0, rel-3-7-11), id3lib.spec.in (1.17, rel-3-7-11): 
	Updated for 3.7.11 release 

2000-07-05 Wednesday 00:54  eldamitri

	* src/tag_render.cpp (1.24, rel-3-7-11): 
	(RenderV2): Added 
	(Render): Now calls either RenderV1 or RenderV2 based on second 
	parameter 
	(RenderV1ToHandle): Moved to tag_file.cpp 
	(RenderV2ToHandle): Moved to tag_file.cpp 

2000-07-05 Wednesday 00:32  eldamitri

	* src/tag_parse_v1.cpp (1.10, rel-3-7-12, rel-3-7-11): 
	(ParseID3v1): New interface: now a stand-alone function, accepts a
	ref to a tag object 

2000-07-05 Wednesday 00:24  eldamitri

	* src/tag_parse_musicmatch.cpp (1.3, rel-3-7-12, rel-3-7-11): 
	(ParseMusicMatch):  New interface: now a stand-alone function,
	accepts a ref to a tag object 

2000-07-05 Wednesday 00:21  eldamitri

	* src/tag_parse_lyrics3.cpp (1.18, rel-3-7-12, rel-3-7-11): 
	(ParseLyrics3):  New interface: now a stand-alone function, accepts 
	a ref to a tag object 
	(ParseLyrics3v2): New interface: now a stand-alone function, accepts 
	a ref to a tag object 

2000-07-05 Wednesday 00:18  eldamitri

	* src/tag_parse.cpp (1.22, rel-3-7-12, rel-3-7-11): 
	(ParseID3v2): Now a standalone function 
	(ParseFile): Renamed from ParseFromHandle, update for new changes to 
	interface 

2000-07-05 Wednesday 00:05  eldamitri

	* src/tag_file.cpp (1.19, rel-3-7-11): 
	(Link): Updated for new changes to interface 
	(RenderV1ToHandle): Moved from tag_render.cpp, new interface 
	(RenderV2ToHandle): Moved from tag_render.cpp, new interface 
	(Update): Now updates __prepended_bytes, __appended_bytes
	appropriately 
	(Strip): Updated for new changes to interface 

2000-07-04 Tuesday 23:54  eldamitri

	* src/tag.cpp (1.23, rel-3-7-12, rel-3-7-11): 
	(ID3_Tag): Initialize file-related members 
	(Clear): Don't clear file-related members 
	(ID3_GetDataSize): Added implementation 

2000-07-04 Tuesday 23:44  eldamitri

	* include/id3/tag.h (1.37, rel-3-7-11): Added ID3_GetDataSize(const
	ID3_Tag&) function for calculating the size of the non-tag data in a
	tag object (class ID3_Tag): 
	- RenderV1(uchar*) moved from public to protected 
	- Added GetPrependedBytes(), GetAppendedBytes(), GetFileSize(), and 
	GetFileName() 
	- __prepended_bytes and __appended_bytes renamed from
	__starting_bytes and __ending_bytes, respectively 
	- Render() can now also accept an ID3_TagType as an optional second
	parameter 
	- ParseFromHandle(FILE*) repaced with ParseFile() 
	- RenderV1ToHandle, RenderV2ToHandle, ParseID3v2, ParseID3v1, 
	ParseLyrics3*, and ParseMusicmatch methods removed 
	- RenderV2 protected method added 

2000-07-04 Tuesday 23:27  eldamitri

	* include/id3/globals.h (1.31): 
	(ID3_V2Spec): Added ID3V2_4_0 

2000-07-04 Tuesday 04:48  eldamitri

	* id3com/id3com.dsp (1.14), libprj/id3lib.dsp (1.10, rel-3-7-13),
	prj/id3lib.dsp (1.11, rel-3-7-13) (utags: rel-3-7-11, rel-3-7-12): 
	Added tag_parse_musicmatch.cpp 

2000-07-04 Tuesday 04:46  eldamitri

	* examples/test_remove.cpp (1.4, rel-3-7-11): 
	(main): Tests the ability to remove frames with NULL descriptions.  

2000-07-03 Monday 01:37  eldamitri

	* include/id3.h (1.11), src/c_wrapper.cpp (1.9, rel-3-7-13) (utags:
	rel-3-7-11, rel-3-7-12): New function: ID3Tag_HasTagType(const
	ID3Tag*, ID3_TagType) 

2000-07-03 Monday 01:03  eldamitri

	* include/id3/globals.h (1.30): Minor whitespace changes 

2000-07-01 Saturday 18:52  eldamitri

	* src/misc_support.cpp (1.17, rel-3-7-11): 
	(ID3_AddTrack): Fixed bug that wasn't returning the frame added
	(thanks Benedikt Roth) 

2000-07-01 Saturday 09:48  eldamitri

	* src/tag_parse_v1.cpp (1.9): 
	(ParseID3v1): Now returns number of bytes parsed.  

2000-07-01 Saturday 09:48  eldamitri

	* src/tag_parse_musicmatch.cpp (1.2): 
	(ParseMusicMatch): Now returns number of bytes parsed.  

2000-07-01 Saturday 09:48  eldamitri

	* src/tag_parse_lyrics3.cpp (1.17): 
	(ParseLyrics3): Now returns number of bytes parsed.  No longer
	parses Lyrics3 v2.00 tags 
	(ParseLyrics3v2): Added implementation.  

2000-07-01 Saturday 09:48  eldamitri

	* src/tag_parse.cpp (1.21): 
	(Parse): __file_tags no longer updated 
	(ParseID3v2): Added implementation 
	(ParseFromHandle): Now takes responsibility for setting 
	__starting_bytes, __ending_bytes, and __file_tags.  Now finds all 
	(known) tag types attached to the file by iteratively looking for a
	tag starting where the last known tag was found.  

2000-07-01 Saturday 09:48  eldamitri

	* src/tag_file.cpp (1.18): 
	(Link): ParseFromHandle no longer returns a value, now accepts a
	file handle 
	(Update): Now record the tags that have been updated in __file_tags 
	(Strip): If one appended tag type is stripped, they're all stripped.  
	Same for prepended tags 

2000-07-01 Saturday 09:48  eldamitri

	* include/id3/tag.h (1.36): (class ID3_Tag): New interface for
	protected Parse methods 

2000-07-01 Saturday 09:48  eldamitri

	* include/id3/globals.h (1.29): 
	(ID3_TagTypes): Added LYRICS3, LYRICS3V2, PREPENDED, and APPENDED.  
	Deprecated LYRICS 

2000-07-01 Saturday 09:47  eldamitri

	* examples/demo_convert.cpp (1.7, rel-3-7-12, rel-3-7-11): 
	(main): Minor type change 

2000-06-25 Sunday 20:12  eldamitri

	* include/id3/globals.h (1.28): 
	(NULL_UNICODE): Defined using a #define so it will compile correctly 
	for C 

2000-06-25 Sunday 19:18  eldamitri

	* examples/: demo_convert.cpp (1.6), demo_info.cpp (1.13,
	rel-3-7-12, rel-3-7-11): 
	(main): Now links against all tags 

2000-06-25 Sunday 08:23  eldamitri

	* src/utils.cpp (1.4, rel-3-7-12, rel-3-7-11): Added ID3_IsCRLF,
	ID3_CRLFtoLF, ID3_TimeToSeconds, and RemoveTrailingSpaces to
	utils.cpp 

2000-06-25 Sunday 08:22  eldamitri

	* src/tag_parse_v1.cpp (1.8): Moved RemoveTrailingSpaces to
	utils.cpp 

2000-06-25 Sunday 08:21  eldamitri

	* src/tag_parse_lyrics3.cpp (1.16): Moved ID3_IsCRLF and
	ID3_CRLFtoLF to utils.cpp 

2000-06-25 Sunday 08:21  eldamitri

	* src/tag_parse.cpp (1.20): 
	(ParseFromHandle): Added conditional call to ParseMusicMatch 

2000-06-25 Sunday 08:20  eldamitri

	* src/tag.cpp (1.22): 
	(AttachFrame): Now simply returns without error if a NULL frame is 
	passed in.  

2000-06-25 Sunday 08:19  eldamitri

	* include/id3/utils.h (1.7, rel-3-7-12, rel-3-7-11): Added decl's
	for ID3_TimeToSeconds, ID3_IsCRLF, ID3_CRLFtoLF, and 
	RemoveTrailingSpaces functions.  

2000-06-25 Sunday 08:18  eldamitri

	* include/id3/tag.h (1.35): (class ID3_Tag): Added decl for
	ParseMusicMatch 

2000-06-25 Sunday 08:16  eldamitri

	* include/id3/globals.h (1.27): 
	(ID3_TagType): Added ID3TT_MUSICMATCH 

2000-06-25 Sunday 08:15  eldamitri

	* src/Makefile.am (1.14, rel-3-7-13, rel-3-7-12, rel-3-7-11): 
	(id3lib_sources): Added tag_parse_musicmatch.cpp 

2000-06-25 Sunday 08:14  eldamitri

	* src/tag_parse_musicmatch.cpp (1.1): Initial revision 

2000-06-24 Saturday 03:11  eldamitri

	* examples/README.txt (1.1, rel-3-7-8, rel-3-7-7, rel-3-7-13,
	rel-3-7-12, rel-3-7-11): Initial revision 

2000-06-23 Friday 19:24  adcockj

	* libprj/: .cvsignore (1.3, rel-3-7-13, rel-3-7-12, rel-3-7-11),
	id3lib.dsp (1.9), id3lib.dsw (1.5, rel-3-7-13, rel-3-7-12,
	rel-3-7-11) (utags: rel-3-7-10): Debug library now ib3libD.lib 

2000-06-23 Friday 19:24  adcockj

	* prj/: .cvsignore (1.4, rel-3-7-13, rel-3-7-12, rel-3-7-11),
	id3lib.dsp (1.10) (utags: rel-3-7-10): Changed project for changes
	to zlib 

2000-06-23 Friday 19:23  adcockj

	* zlib/prj/zlib.dsp (1.5, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10): Changed debug lib to zlibD.lib 

2000-06-23 Friday 19:22  adcockj

	* id3com/: .cvsignore (1.5, rel-3-7-13, rel-3-7-12, rel-3-7-11),
	id3com.dsp (1.13), id3com.dsw (1.5, rel-3-7-13, rel-3-7-12,
	rel-3-7-11) (utags: rel-3-7-10): Updated project files for zlib 

2000-06-23 Friday 18:58  eldamitri

	* NEWS (1.18, rel-3-7-8, rel-3-7-10): Updated with new changes for
	3.7.10.  

2000-06-23 Friday 18:34  eldamitri

	* examples/test_remove.cpp (1.3, rel-3-7-10): 
	(main): Now removes all frames to test rendering a frame-less tag.  

2000-06-23 Friday 18:33  eldamitri

	* src/tag_render.cpp (1.23, rel-3-7-10): 
	(RenderV2ToHandle): If the size of the v2 tag is 0, or there is
	nothing to Render, then it now behaves just like Strip(ID3TT_ID3V2) 

2000-06-23 Friday 17:52  eldamitri

	* examples/Makefile.am (1.12, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(check_PROGRAMS): Added 'findstr' 

2000-06-23 Friday 17:52  eldamitri

	* examples/findstr.cpp (1.1, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10): Initial revision.  

2000-06-23 Friday 17:51  eldamitri

	* src/tag_parse_lyrics3.cpp (1.15, rel-3-7-10): 
	(ParseLyrics3): Fixed seek value calculation which was giving
	warnings when compiling under windows.  

2000-06-23 Friday 17:49  eldamitri

	* src/tag_find.cpp (1.14, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(Find): Fixed bug which prevented empty strings from being found.  

2000-06-23 Friday 07:05  eldamitri

	* examples/230-syncedlyrics.tag (1.2, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10): Updated based on new conversion rules for
	lyrics3 v2.00 

2000-06-23 Friday 06:22  eldamitri

	* NEWS (1.17), THANKS (1.11, rel-3-7-10), configure.in (1.39,
	rel-3-7-10), id3lib.spec.in (1.16, rel-3-7-10): Updated for 3.7.10
	release 

2000-06-23 Friday 06:00  eldamitri

	* examples/Makefile.am (1.11): Added id3cp and testremove 

2000-06-23 Friday 05:55  eldamitri

	* src/tag_file.cpp (1.17, rel-3-7-10): 
	(Link): Reinitializes all file-related member variables when a new
	file is linked to.  

2000-06-23 Friday 05:53  eldamitri

	* examples/: demo_copy.cpp (1.1), ozzy.tag (1.1, rel-3-7-13),
	thatspot.tag (1.1, rel-3-7-13, rel-3-7-13) (utags: rel-3-7-10,
	rel-3-7-11, rel-3-7-12): Initial revision.  

2000-06-23 Friday 04:50  eldamitri

	* Makefile.am (1.21, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(release): Converts dsw and dsp files to dos format for windows
	release 

2000-06-23 Friday 02:43  eldamitri

	* examples/230-unicode.tag (1.4, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10): The BOMs were incorrect.  Now they're
	correct.  

2000-06-23 Friday 02:37  eldamitri

	* src/field_string_unicode.cpp (1.17, rel-3-7-12, rel-3-7-11,
	rel-3-7-10): 
	(ParseUnicodeString): Updated with definitive comment on the role
	and value of the BOM.  Fixed bug that was swapping byte-order when
	it shouldn't, and not swapping when it should.  
	(RenderUnicodeString): Renders the BOM correctly now.  

2000-06-23 Friday 02:33  eldamitri

	* examples/: test_compression.cpp (1.4, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), test_pic.cpp (1.5, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), test_remove.cpp (1.2), test_unicode.cpp
	(1.3, rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(main): Remove the call to Update() - it's unnecessary.  

2000-06-23 Friday 01:22  eldamitri

	* src/tag_parse_lyrics3.cpp (1.14): 
	(ParseLyrics3): 
	- Makes use of newly defined AddLyrics and AddSyncLyrics functions
	in misc_support 
	- INF field converts to COMM frame, not as the description field for 
	SYLT 

2000-06-23 Friday 01:19  eldamitri

	* src/misc_support.cpp (1.16, rel-3-7-10): 
	(ID3_GetString): Catch block now catches an ID3_Error instead of an 
	ID3_Err 
	(ID3_AddComment): Added several new implementations, varying based
	on their parameters.  Description now defaults to "", language
	defaults to "XXX" (for unknown) 
	(ID3_AddLyrics): Added several new implementations, varying based on 
	their parameters.  Description now defaults to "", language defaults
	to "XXX" (for unknown) 
	(ID3_AddSyncLyrics): Added several new implementations, varying on 
	their parameters.  Description now defaults to "", language defaults
	to "XXX" (for unknown), content type defaults to LYRICS.  Base
	function's parameters reordered to be consistent with other
	functions.  

2000-06-23 Friday 01:05  eldamitri

	* include/id3/misc_support.h (1.19, rel-3-7-11, rel-3-7-10): Added
	new declarations for ID3_AddComment, ID3_AddLyrics, and 
	ID3_AddSyncLyrics 

2000-06-22 Thursday 23:21  eldamitri

	* examples/: 230-syncedlyrics.tag (1.1), example.lyr (1.1,
	rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10): Initial revision 

2000-06-22 Thursday 23:11  eldamitri

	* src/error.cpp (1.8, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(ID3_Error): Use strdup rather than strlen + new + strncpy 
	(~ID3_Error): Use array delete to free memory 

2000-06-22 Thursday 23:02  eldamitri

	* include/id3/error.h (1.13, rel-3-7-8, rel-3-7-12, rel-3-7-11,
	rel-3-7-10): (class ID3_Error): 
	- All methods return char strings now return const char strings 
	- Added default constructor 

2000-06-22 Thursday 22:20  eldamitri

	* src/tag_parse_lyrics3.cpp (1.13): 
	(ID3_IsCRLF): Added 
	(ID3_IsTimeStamp): Added 
	(ID3_CRLFtoLF): Now uses ID3_IsCRLF 
	(ID3_StripTimeStamps): Now uses ID3_IsTimeStamp 
	(ID3_Lyrics3ToSylt): New implementation using ID3_IsTimeStamp 
	(ParseLyrics3): Massive clean-up of implementation 

2000-06-22 Thursday 22:16  eldamitri

	* src/misc_support.cpp (1.15): 
	(ID3_AddSyncLyrics): Added initialization of time stamp format.  

2000-06-22 Thursday 22:11  eldamitri

	* src/frame.cpp (1.22, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(ID3_Frame): Initialize spec in construcotr.  

2000-06-22 Thursday 22:09  eldamitri

	* include/id3/header.h (1.14, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(class ID3_Header): Initialized spec in constructor.  

2000-06-22 Thursday 21:31  adcockj

	* src/error.cpp (1.7), src/uint28.cpp (1.5, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), include/id3/error.h (1.12), include/id3/uint28.h (1.5,
	rel-3-7-12, rel-3-7-11, rel-3-7-10): Fixed ID3_Error memory Leak
	and windows compiler incompatibilty with uint28 

2000-06-21 Wednesday 05:30  eldamitri

	* examples/test_remove.cpp (1.1): Initial revision.  

2000-06-21 Wednesday 05:27  eldamitri

	* src/tag.cpp (1.21, rel-3-7-10): 
	(RemoveFrame): Now marks tag as being changed when a frame is
	removed, which was preventing tags from being updated correctly 

2000-06-20 Tuesday 18:06  eldamitri

	* src/misc_support.cpp (1.14): Cleaned up memory leaks from
	removing frames 

2000-06-14 Wednesday 18:43  eldamitri

	* src/uint28.cpp (1.4): 
	- Added new documentation 
	- Made constructors 'explicit' 
	- Defined new class constants BITSUSED, MINVAL, and MAXVAL 
	- New implementation for default constructor 
	- Destructor is now virtual 
	- Assigning a uint32 that is greater than the largest possible value 
	maximizes the internal value, rather than masking it 
	- Implementation of operator=(const char*) moved to Parse(const char
	*) 
	- Render now returns number of characters rendered 
	- Removed unnecessary inclusion of string.h 
	- Cleaned up implementation of Parse(), Render(), operator<<, and 
	operator>> 

2000-06-14 Wednesday 18:41  eldamitri

	* src/header_frame.cpp (1.10, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(SetUnknownFrame): Minor bugfixes in copying frame text id and 
	description 

2000-06-14 Wednesday 18:39  eldamitri

	* src/frame_parse.cpp (1.16, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	* src/frame.cpp: Minor updates 

2000-06-14 Wednesday 18:38  eldamitri

	* src/frame.cpp (1.21): Minor updates 

2000-06-14 Wednesday 18:37  eldamitri

	* src/field.cpp (1.25, rel-3-7-11, rel-3-7-12, rel-3-7-11,
	rel-3-7-10): 
	(ID3FD_Unimplemented): Added { ID3FN_NOFIELD } entry to mark the end 
	(ID3_FindFrameDef): Removed const qualifer from parameter 

2000-06-14 Wednesday 18:24  eldamitri

	* include/id3/uint28.h (1.4): (class uint28): 
	- Added new documentation 
	- Made constructors 'explicit' 
	- Defined new class constants BITSUSED, MINVAL, and MAXVAL 
	- New implementation for default constructor 
	- Destructor is now virtual 
	- Assigning a uint32 that is greater than the largest possible value 
	maximizes the internal value, rather than masking it 
	- Implementation of operator=(const char*) moved to Parse(const char
	*) 
	- Render now returns number of characters rendered 

2000-06-14 Wednesday 18:14  eldamitri

	* include/id3/frame.h (1.28, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(class ID3_Frame): Added decl and def for GetTextID() 

2000-06-14 Wednesday 18:13  eldamitri

	* include/id3/field.h (1.30, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	Made FieldDef pointer const in FrameDef struct, and removed const
	from FindFrameDef param 

2000-06-14 Wednesday 18:11  eldamitri

	* examples/demo_info.cpp (1.12, rel-3-7-10): 
	(PrintInformation): Changed output to disply 4-char id and
	description in parentheses.  

2000-06-10 Saturday 18:11  adcockj

	* id3com/Sample/.cvsignore (1.1, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10): Initial Version 

2000-06-10 Saturday 18:09  adcockj

	* .cvsignore (1.12), config.win32 (1.5, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), id3com/.cvsignore (1.4), id3com/ID3Tag.cpp
	(1.9, rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/ID3Tag.h (1.7,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/id3com.dsp (1.12),
	id3com/id3com.idl (1.9, rel-3-7-12, rel-3-7-11, rel-3-7-10),
	id3com/Sample/ID3Test.vbp (1.5, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), id3com/Sample/ID3Test.vbw (1.6, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), id3com/Sample/frmID3Test.frm (1.6,
	rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10), src/c_wrapper.cpp
	(1.8, rel-3-7-10), src/tag_parse.cpp (1.19, rel-3-7-10),
	src/tag_parse_lyrics3.cpp (1.12), src/tag_render.cpp (1.22),
	zlib/.cvsignore (1.4, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), zlib/prj/.cvsignore (1.4, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10): Fixed Problem with HasV2Tag added
	VersionString to id3com 

2000-06-08 Thursday 09:01  adcockj

	* delphi/ID3COM_TLB.pas (1.2, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), delphi/Unit1.pas (1.2, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), delphi/id3com.cfg (1.2, rel-3-7-13,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), delphi/id3com.dof (1.2,
	rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10), delphi/id3com.dpr
	(1.2, rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10),
	delphi/readme.txt (1.2, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), id3com/EnumFields.cpp (1.5, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), id3com/EnumFields.h (1.5, rel-3-7-13,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/ID3COM.def (1.4,
	rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/ID3COM.rc
	(1.4, rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/ID3COMps.def
	(1.4, rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10),
	id3com/ID3COMps.mk (1.4, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), id3com/ID3Field.cpp (1.5, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), id3com/ID3Field.h (1.7, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), id3com/ID3Field.rgs (1.5, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), id3com/ID3Frame.cpp (1.8, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), id3com/ID3Frame.h (1.7, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), id3com/ID3Frame.rgs (1.5, rel-3-7-13,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/ID3Tag.cpp (1.8),
	id3com/ID3Tag.h (1.6), id3com/ID3Tag.rgs (1.5, rel-3-7-13,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/Makefile.am (1.5,
	rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/StdAfx.cpp
	(1.5, rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/StdAfx.h (1.5,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/dlldata.c (1.4,
	rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10),
	id3com/frmID3Test.frm (1.4, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), id3com/id3com.cpp (1.6, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), id3com/id3com.dsp (1.11), id3com/id3com.dsw (1.4),
	id3com/id3com.idl (1.8), id3com/mssccprj.scc (1.4, rel-3-7-13,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/resource.h (1.4,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), id3com/Sample/ID3Test.vbp
	(1.4), id3com/Sample/ID3Test.vbw (1.5), id3com/Sample/MSSCCPRJ.SCC
	(1.4, rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10),
	id3com/Sample/frmID3Test.frm (1.5), libprj/id3lib.dsp (1.8),
	libprj/id3lib.dsw (1.4), prj/id3lib.dsp (1.9, rel-3-7-13),
	prj/id3lib.dsw (1.5, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), prj/id3lib.mak (1.5, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), zlib/prj/zlib.dsp (1.4), zlib/prj/zlib.dsw
	(1.2, rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10),
	zlib/prj/zlib.mak (1.2, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10): Hopefully got rid of DOS/Unix file compatability All
	text files orginally from DOS/windows have been changed to try and
	remove extra cr 

2000-06-06 Tuesday 16:21  eldamitri

	* id3com/EnumFields.cpp (1.4), id3com/EnumFields.h (1.4),
	id3com/ID3COM.def (1.3), id3com/ID3COM.rc (1.3),
	id3com/ID3COMps.def (1.3), id3com/ID3COMps.mk (1.3),
	id3com/ID3Field.cpp (1.4), id3com/ID3Field.h (1.6),
	id3com/ID3Field.rgs (1.4), id3com/ID3Frame.cpp (1.7),
	id3com/ID3Frame.h (1.6), id3com/ID3Frame.rgs (1.4),
	id3com/ID3Tag.cpp (1.7), id3com/ID3Tag.h (1.5), id3com/ID3Tag.rgs
	(1.4), id3com/Makefile.am (1.4), id3com/StdAfx.cpp (1.4),
	id3com/StdAfx.h (1.4), id3com/dlldata.c (1.3),
	id3com/frmID3Test.frm (1.3), id3com/id3com.cpp (1.5),
	id3com/id3com.dsp (1.10), id3com/id3com.dsw (1.3),
	id3com/id3com.idl (1.7), id3com/mssccprj.scc (1.3),
	id3com/resource.h (1.3), id3com/Sample/ID3Test.vbp (1.3),
	id3com/Sample/ID3Test.vbw (1.4), id3com/Sample/MSSCCPRJ.SCC (1.3),
	id3com/Sample/frmID3Test.frm (1.4), libprj/Makefile.am (1.2,
	rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), libprj/id3lib.dsp (1.7), libprj/id3lib.dsw
	(1.3), prj/Makefile.am (1.2, rel-3-7-5, rel-3-7-4, rel-3-7-3,
	rel-3-7-2, rel-3-7-1, rel-3-7-0, rel-3-6-2, rel-3-6-0, rel-3-7-13,
	rel-3-7-12, rel-3-7-11, rel-3-7-10): Somehow they lost their
	dos-ness.  Converted back to DOS newlines.  

2000-06-06 Tuesday 14:23  eldamitri

	* src/tag.cpp (1.20): Minor updates to documentation 

2000-06-06 Tuesday 14:22  eldamitri

	* src/frame_render.cpp (1.12, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	(Render): Now returns 0 and renders nothing if either there aren't 
	any fields or rendering the fields results in nothing rendered 

2000-06-06 Tuesday 14:22  eldamitri

	* src/frame.cpp (1.20): 
	- Moved documentation from header file 
	- Minor code changes 
	- GetID() implementation moved to header file 
	- _FindField implementation removed 
	- Field implementation updated with code from _FindField 

2000-06-06 Tuesday 14:22  eldamitri

	* src/field_string_unicode.cpp (1.16): 
	- Moved documentation from header file 
	- operator=(const unicode_t*) implementation moved to header file 

2000-06-06 Tuesday 14:22  eldamitri

	* src/field_string_ascii.cpp (1.13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10): 
	- Moved documentation from header file 
	- operator=(const char*) implementation moved to header file 
	- Minor code changes 

2000-06-06 Tuesday 14:22  eldamitri

	* src/field_integer.cpp (1.9, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	- Moved documentation from header file 
	- operator=(uint32) and Get() implementations moved to header file 

2000-06-06 Tuesday 14:22  eldamitri

	* src/field_binary.cpp (1.11, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	- Moved documentation from header file 
	- Minor code changes 

2000-06-06 Tuesday 14:22  eldamitri

	* src/field.cpp (1.24): 
	- Moved documentation from header file 
	- Size() implementation moved to header file 

2000-06-06 Tuesday 14:22  eldamitri

	* include/id3/tag.h (1.34, rel-3-7-10): Minor whitespace changes 

2000-06-06 Tuesday 14:21  eldamitri

	* include/id3/frame.h (1.27): (class ID3_Frame): 
	- Moved most documentation to cpp files 
	- GetID() definition now inlined in the class 
	- _FindField() removed 

2000-06-06 Tuesday 14:21  eldamitri

	* include/id3/field.h (1.29): (class ID3_Field): 
	- Moved most documentation to cpp files 
	- ID3_Tag is no longer a friend 
	- Size, Get(uint32), and operator= definitions now inlined in the
	class 

2000-06-06 Tuesday 04:04  eldamitri

	* config.h.win32.in (1.5, rel-3-7-12, rel-3-7-11, rel-3-7-10): 
	Apparently VC++ 6.0 has buggy for loops 

2000-06-05 Monday 21:14  adcockj

	* id3com/.cvsignore (1.3): Added some extra files to .cvsignore in
	id3com 

2000-06-04 Sunday 17:13  adcockj

	* id3com/EnumFields.cpp (1.3), id3com/EnumFields.h (1.3),
	id3com/ID3COM.def (1.2), id3com/ID3COM.rc (1.2),
	id3com/ID3COMps.def (1.2), id3com/ID3COMps.mk (1.2),
	id3com/ID3Field.cpp (1.3), id3com/ID3Field.h (1.5),
	id3com/ID3Field.rgs (1.3), id3com/ID3Frame.cpp (1.6),
	id3com/ID3Frame.h (1.5), id3com/ID3Frame.rgs (1.3),
	id3com/ID3Tag.cpp (1.6), id3com/ID3Tag.h (1.4), id3com/ID3Tag.rgs
	(1.3), id3com/StdAfx.cpp (1.3), id3com/StdAfx.h (1.3),
	id3com/dlldata.c (1.2), id3com/frmID3Test.frm (1.2),
	id3com/id3com.cpp (1.4), id3com/id3com.dsp (1.9), id3com/id3com.dsw
	(1.2), id3com/id3com.idl (1.6), id3com/mssccprj.scc (1.2),
	id3com/resource.h (1.2), id3com/Sample/ID3Test.vbp (1.2),
	id3com/Sample/ID3Test.vbw (1.3), id3com/Sample/MSSCCPRJ.SCC (1.2),
	id3com/Sample/frmID3Test.frm (1.3), libprj/id3lib.dsp (1.6),
	libprj/id3lib.dsw (1.2): Removed extra cr at the end of all lines
	in windows code caused by checking in windows code from linux 

2000-05-29 Monday 18:06  eldamitri

	* examples/findeng.cpp (1.1, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10): Initial revision 

2000-05-29 Monday 18:04  eldamitri

	* examples/Makefile.am (1.10): 
	(check_PROGRAMS): Added findeng 

2000-05-29 Monday 18:03  eldamitri

	* id3lib.spec.in (1.15): Fixed the date format, even though my way
	is better...  

2000-05-29 Monday 18:00  eldamitri

	* config.h.win32.in (1.4, rel-3-7-12): Apparently VC++ 6.0 has
	buggy for loops 

2000-05-29 Monday 17:59  eldamitri

	* src/frame.cpp (1.19): 
	(_ClearFields): Minor fix to for loop variable to allow compilation 
	in compilers with buggy for loops 

2000-05-29 Monday 17:58  eldamitri

	* src/tag_find.cpp (1.13): 
	(Find): Fix for finding strings w/o their own null terminator 

2000-05-29 Monday 08:57  eldamitri

	* NEWS (1.16, rel-3-7-7, rel-3-7-9): Further updates for 3.7.9
	release (hopefully this is it!) 

2000-05-29 Monday 08:55  eldamitri

	* zlib/src/Makefile.am (1.4, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-12,
	rel-3-7-11, rel-3-7-10, rel-3-7-9): Updated to compile cleanly on a
	
	(Unix-like) system that needs it 

2000-05-29 Monday 08:54  eldamitri

	* src/tag_file.cpp (1.16, rel-3-7-9): Moved inclusion of "tag.h" to
	after other includes to compile correctly on Solaris (hack!) 

2000-05-29 Monday 08:53  eldamitri

	* src/field_string_unicode.cpp (1.15, rel-3-7-9): 
	(RenderUnicodeString): Minor updates (needs major updates to compile 
	and work on all platforms!) 

2000-05-29 Monday 08:52  eldamitri

	* src/Makefile.am (1.13, rel-3-7-10, rel-3-7-9): 
	(LDADD): Now conditionally includes distributions zlib if not
	already in environment 

2000-05-29 Monday 08:51  eldamitri

	* include/id3/globals.h (1.25, rel-3-7-9): So it will compile on
	Solaris, changed index_t typedef into #define 

2000-05-29 Monday 08:49  eldamitri

	* examples/: test_compression.cpp (1.3), test_pic.cpp (1.4),
	test_unicode.cpp (1.2) (utags: rel-3-7-9): Removed inclusion of
	unnecessary header files 

2000-05-29 Monday 08:47  eldamitri

	* configure.in (1.38, rel-3-7-9): Changed AC_SIZE_T to
	AC_TYPE_SIZE_T 

2000-05-29 Monday 04:52  eldamitri

	* examples/get_pic.cpp (1.2, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9): 
	(main): Removed debugging output, added better regular output 

2000-05-29 Monday 04:48  eldamitri

	* src/field.cpp (1.23, rel-3-7-9): 
	(BinSize): Minor bugfix for rendering non-unicode textstrings 

2000-05-29 Monday 04:44  eldamitri

	* examples/test_compression.cpp (1.2): 
	(main): Removed debugging output 

2000-05-29 Monday 04:23  eldamitri

	* examples/: 230-compressed.tag (1.3, rel-3-7-5, rel-3-7-4,
	rel-3-7-3, rel-3-7-2, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), 230-picture.tag (1.3, rel-3-7-13, rel-3-7-12,
	rel-3-7-11, rel-3-7-10), 230-unicode.tag (1.3) (utags: rel-3-7-9): 
	Removed the experimental flag from the tag headers and the file
	alter preservation flag from the frame headers 

2000-05-29 Monday 04:20  eldamitri

	* examples/Makefile.am (1.8): 
	(check_PROGRAMS): Added testunicode and testcompression 

2000-05-29 Monday 04:19  eldamitri

	* examples/: demo_convert.cpp (1.5, rel-3-7-10), demo_info.cpp
	(1.11), demo_tag.cpp (1.6, rel-3-7-12, rel-3-7-11, rel-3-7-10)
	(utags: rel-3-7-9): argc is now unsigned to prevent compiler
	warning 

2000-05-29 Monday 04:18  eldamitri

	* examples/: test_compression.cpp (1.1), test_unicode.cpp (1.1): 
	Initial revision 

2000-05-29 Monday 04:13  eldamitri

	* include/id3/frame.h (1.26, rel-3-7-9): (class ID3_Frame): Removed
	_UpdateStringTypes decl 

2000-05-29 Monday 04:11  eldamitri

	* src/frame.cpp (1.18, rel-3-7-9): Removed _UpdateStringTypes
	implementation (no longer needed) 
	(Size): Updated to not use _UpdateStringTypes (operator=): Fixed to
	now extract complete info from copied frame 

2000-05-29 Monday 04:01  eldamitri

	* src/field_string_unicode.cpp (1.14): 
	(RenderUnicodeString): Changed the byte order for rendering the BOM 
	(this is unlikely to be the right solution, though---the unicode 
	support needs to be much better than this!) 

2000-05-29 Monday 04:00  eldamitri

	* src/field.cpp (1.22): 
	(BinSize): Fixed bug that was reporting the wrong binary size for 
	unicode strings 

2000-05-29 Monday 03:57  eldamitri

	* include/id3/header_frame.h (1.13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9): (class ID3_FrameHeader): Minor code
	reformatting 

2000-05-29 Monday 01:26  eldamitri

	* src/tag_sync.cpp (1.6, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9): 
	(ID3_ReSync): Fixed a bug in ReSync'ing that caused it to improperly 
	handle the last character 
	(ID3_ShouldUnsync): Fixed a bug with recognizing sync signals 

2000-05-29 Monday 01:25  eldamitri

	* src/tag_render.cpp (1.21, rel-3-7-9): 
	(Render): Now returns 0 with NULL buffer rather than throw, 

2000-05-29 Monday 01:08  eldamitri

	* src/tag_parse.cpp (1.18, rel-3-7-9): 
	(Parse): No longer saves the return value of ParseFrames to prevent 
	compiler warnings 

2000-05-29 Monday 01:07  eldamitri

	* src/tag.cpp (1.19, rel-3-7-9): 
	(ID3_Tag): Reorganized member variable initialization to avoid 
	compiler warnings 

2000-05-29 Monday 01:03  eldamitri

	* src/misc_support.cpp (1.13, rel-3-7-9): 
	(ID3_AddTrack): Changed size_t's to luints to prevent comiler
	warnings 
	(ID3_AddGenre): Changed size_t's to luints to prevent comiler
	warnings 

2000-05-29 Monday 00:56  eldamitri

	* src/frame.cpp (1.17): 
	(ID3_Frame): Reorganized member variable initialization to avoid 
	compiler warnings 

2000-05-29 Monday 00:55  eldamitri

	* src/field_string_unicode.cpp (1.13): 
	(ParseUnicodeString): Removed unnecessary cast 

2000-05-29 Monday 00:54  eldamitri

	* src/field.cpp (1.21): 
	(ID3_Field): Reorganized member variable initialization to avoid 
	compiler warnings (operator=): Added default clause to prevent
	compiler warning 

2000-05-29 Monday 00:08  eldamitri

	* include/id3/tag.h (1.33, rel-3-7-9): Added GetUnsync() 

2000-05-29 Monday 00:07  eldamitri

	* examples/test_pic.cpp (1.3): 
	(main): Now includes actual picture data, unsyncs tag 

2000-05-29 Monday 00:03  eldamitri

	* examples/get_pic.cpp (1.1): Initial revision.  

2000-05-28 Sunday 23:59  eldamitri

	* examples/composer.jpg (1.1, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9): Added.  Initial revision.  

2000-05-28 Sunday 23:57  eldamitri

	* examples/Makefile.am (1.7, rel-3-7-9): 
	(check_PROGRAMS): Added get_pic 

2000-05-28 Sunday 07:07  eldamitri

	* src/tag_render.cpp (1.20): 
	(RenderFrames): Added so that frames are rendered in correct order 
	(Render): Doesn't render if there aren't any frames, makes use of
	new RenderFrames function 
	(Size): Size is 0 if there aren't any frames 

2000-05-28 Sunday 07:02  eldamitri

	* src/header_tag.cpp (1.12, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9): 
	(Render): Now always renders the latest version of the spec 

2000-05-28 Sunday 07:00  eldamitri

	* examples/test_pic.cpp (1.2): 
	(main): uncommented the frame additions 

2000-05-28 Sunday 05:51  eldamitri

	* examples/test_pic.cpp (1.1): Added.  

2000-05-28 Sunday 05:49  eldamitri

	* examples/Makefile.am (1.6): 
	(check_PROGRAMS): Added testpic 

2000-05-28 Sunday 05:48  eldamitri

	* src/tag_find.cpp (1.12, rel-3-7-9): 
	(Find): Changed luint to size_t 

2000-05-28 Sunday 05:47  eldamitri

	* src/tag_file.cpp (1.15): 
	(Link): If Linking to a tag that's already Linked, simply close the 
	current file and link to the new one 
	(Strip): Only Strips id3v2 if __starting_bytes > 0 

2000-05-28 Sunday 05:44  eldamitri

	* src/tag.cpp (1.18): 
	(Clear): No longer removes file name.  

2000-05-28 Sunday 05:43  eldamitri

	* src/frame_render.cpp (1.11, rel-3-7-9): 
	(Render): Removed dangling semicolon, fixed call to Render 

2000-05-28 Sunday 05:42  eldamitri

	* src/frame.cpp (1.16): 
	(_ClearFields): Clears bitset field rather than deleting it.  

2000-05-28 Sunday 05:40  eldamitri

	* src/: field_binary.cpp (1.10, rel-3-7-9), field_string_ascii.cpp
	(1.12, rel-3-7-9), field_string_unicode.cpp (1.12): All Get()
	methods now const 

2000-05-28 Sunday 05:39  eldamitri

	* include/id3/field.h (1.28, rel-3-7-9): (class ID3_Field): All
	Get() methods now const 

2000-05-28 Sunday 05:30  eldamitri

	* include/id3.h (1.10, rel-3-7-10), src/c_wrapper.cpp (1.7) (utags:
	rel-3-7-9): 
	- ID3Tag_RemoveFrame returns a pointer to the frame removed 
	- ID3Tag_UpdateByTagType's 2nd parameter is no longer const 
	- luint was replaced with size_t, index_t, flags_t, or uint32 
	- The following functions were updated with const parameters: 
	ID3Tag_HasChanged, ID3Tag_AddFrame, ID3Tag_AddFrames, 
	ID3_RemoveFrame, ID3Tag_Parse, ID3Tag_Link, ID3Tag_Strip, 
	ID3Tag_Find*, ID3Tag_GetFrameNum, ID3Frame_GetID, ID3Frame_GetField, 
	ID3Frame_GetCompression, ID3Field_Size, ID3Field_GetNumTextItems, 
	ID3Field_SetINT, ID3Field_*UNICODE, ID3Field_*ASCII, ID3Field_*File 

2000-05-28 Sunday 05:17  eldamitri

	* id3com/: ID3Field.h (1.4), ID3Tag.cpp (1.5), id3com.cpp (1.3),
	id3com.idl (1.5) (utags: rel-3-7-9): Bugfixes (thanks John Adcock) 

2000-05-24 Wednesday 05:03  eldamitri

	* NEWS (1.15), THANKS (1.10, rel-3-7-9), configure.in (1.37,
	rel-3-7-13, rel-3-7-12), id3lib.spec.in (1.14, rel-3-7-9): Updated
	for 3.7.9 release 

2000-05-24 Wednesday 05:02  eldamitri

	* Makefile.am (1.20, rel-3-7-9): 
	(docs-release): Adds NEWS(.txt) and ChangeLog(.txt) to the docs
	release 

2000-05-23 Tuesday 17:45  eldamitri

	* examples/demo_tag.cpp (1.5): 
	(main): Minor structural changes 

2000-05-23 Tuesday 17:42  eldamitri

	* Makefile.am (1.19): 
	(release): win build now copies over delphi directory 

2000-05-23 Tuesday 17:41  eldamitri

	* include/id3/frame.h (1.25): (class ID3_Frame): Render is now
	const (again).  Added comments to SetCompression() and
	GetCompression() to indicate their limitations.  Added protected
	methods for getting and setting the grouping and encryption id's. 
	__encryption_id and __grouping_id are now just single chars, rather
	than actual buffers.  

2000-05-23 Tuesday 17:30  eldamitri

	* include/id3/globals.h (1.24): Made inclusion of iostream.h
	dependant on a c++ compiler 

2000-05-23 Tuesday 17:29  eldamitri

	* include/id3/header_frame.h (1.12): (class ID3_FrameHeader):
	Removed methods GetExtrasSize(), SetExpandedSize(), GetExpandedSize,
	SetEncryptionID(), GetEncryptionID(), SetGroupingID,
	GetGroupingID(), since it was determined that these issues lie
	outside the domain of the frame header.  

2000-05-23 Tuesday 17:27  eldamitri

	* src/frame.cpp (1.15): Updated to reflect changes in
	__encryption_id and __grouping_id from char buffs to chars.  

2000-05-23 Tuesday 17:26  eldamitri

	* src/frame_parse.cpp (1.15, rel-3-7-9): 
	(Parse): Added parsing of "extra" information from frame header to
	here so that the domain of the frame and frame header are more
	clearly (and cleanly) defined.  

2000-05-23 Tuesday 17:24  eldamitri

	* src/frame_render.cpp (1.10): 
	(Render): Rewritten to make its operation easier to understand and
	to make it a const method.  Also added extensive comments to explain 
	reason for its somewhat convoluted implementation.  

2000-05-23 Tuesday 17:22  eldamitri

	* src/header_frame.cpp (1.9, rel-3-7-9): 
	(Parse): Now only responsible for parsing header proper, and not any 
	"extra" info in the data that is a result of the various flags being
	set (encryiption id, grouping id, and decompressed frame size).  

2000-05-23 Tuesday 17:20  eldamitri

	* src/tag_file.cpp (1.14): 
	(Update): Added call to CloseFile so that the file isn't left open
	when Update exits.  

2000-05-23 Tuesday 17:19  eldamitri

	* src/tag_render.cpp (1.19): 
	(RenderV1ToHandle): Put in a throw in wehn file handle is null.  
	(RenderV2ToHandle): Added a call to reopen new file for writing
	after writing out v2 under linux so that the file handle isn't null
	after leaving this function.  

2000-05-22 Monday 21:21  eldamitri

	* delphi/: ID3COM_TLB.dcu (1.1, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10), ID3COM_TLB.pas (1.1), Unit1.dcu (1.1, rel-3-7-13,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), Unit1.dfm (1.1, rel-3-7-13,
	rel-3-7-12, rel-3-7-11, rel-3-7-10), Unit1.pas (1.1), id3com.cfg
	(1.1), id3com.dof (1.1), id3com.dpr (1.1), id3com.res (1.1,
	rel-3-7-13, rel-3-7-12, rel-3-7-11, rel-3-7-10), readme.txt (1.1)
	(utags: rel-3-7-9): Added.  Provided by Michael Little <mike at
	netlinear dot com>.  

2000-05-22 Monday 21:02  eldamitri

	* src/frame_parse.cpp (1.14): 
	(Parse): Fixed bug that wasn't dealing with compressed frames
	correctly 

2000-05-22 Monday 20:58  eldamitri

	* src/header_frame.cpp (1.8): 
	(SetUnknownFrame): Minor change to return if allocation fails 

2000-05-15 Monday 18:38  eldamitri

	* src/misc_support.cpp (1.12): Replaced all frame->SetID() calls
	with constructor calls that pass in the appropriate ID.  

2000-05-12 Friday 23:15  eldamitri

	* include/id3/field.h (1.27): 
	- Updated luint parameter, return type with more descriptive type
	name (either size_t, index_t, or flags_t) 
	- (struct ID3_FrameDef): Removed lPriority and parseHandler fields 

2000-05-12 Friday 23:12  eldamitri

	* include/id3/tag.h (1.32, rel-3-7-12, rel-3-7-11): 
	- CreateFile now returns an ID3_Err 
	- ID3_IsTagHeader now returns an int32 

2000-05-12 Friday 23:09  eldamitri

	* src/field.cpp (1.20): 
	- Removed priorities and parse handler func pointers from frame def 
	entries 
	- Updated luint parameter, return type with more descriptive type
	name (either size_t, index_t, or flags_t) 

2000-05-12 Friday 23:09  eldamitri

	* src/frame_render.cpp (1.9): 
	(Render): 
	- Updated luint parameter, return type with more descriptive type
	name (either size_t, index_t, or flags_t) 
	- No longer calls UpdateStringTypes, instead iterates through the 
	fields, setting the encoding for each depending on the value of the 
	ENCODING field.  

2000-05-12 Friday 23:09  eldamitri

	* src/header_frame.cpp (1.7): 
	(SetUnknownFrame): parseHandler no longer a member of FrameDef 
	(operator=): parseHandler no longer a member of FrameDef 

2000-05-12 Friday 23:09  eldamitri

	* src/: header_tag.cpp (1.11), header.cpp (1.8, rel-3-7-12,
	rel-3-7-11, rel-3-7-10, rel-3-7-9): 
	(SetSpec): Parameter no longer const 

2000-05-12 Friday 23:08  eldamitri

	* src/tag.cpp (1.17): 
	(ID3_IsTagHeader): Return an int32 rather than an lsint 
	(Clear): Now sets the header's spec to the latest version 

2000-05-12 Friday 23:08  eldamitri

	* src/tag_file.cpp (1.13): 
	(exists): Returns 'false' rather than throwing 
	(CreateFile): Returns the error encountered rather than throwing 
	(OpenFileForWriting): Returns the error rather than throwing.  
	(OpenFileForReading): Returns the error rather than throwing.  
	(Link): Return 0 rather than throwing 
	(Update): Creates a file if opening it for writing files, now
	renders a v2 tag before rendering a v1 tag 

2000-05-12 Friday 23:08  eldamitri

	* src/tag_parse.cpp (1.17): 
	(Parse): removed call to Clear(), since we might want to parse more 
	information into an already-full tag 
	(ParseFromHandle): Return with a 0 rather than throw if there's an 
	error either seeking or reading the file 

2000-05-12 Friday 23:07  eldamitri

	* src/tag_parse_v1.cpp (1.7, rel-3-7-10, rel-3-7-9): 
	(ParseID3v1): Exit from the function, rather than throw, if it isn't 
	possible to seek to 128 bytes from the end of the file (i.e., empty 
	files) 

2000-05-12 Friday 23:07  eldamitri

	* src/tag_render.cpp (1.18): 
	(RenderV1ToHandle): If file size is less than the length of an id3v1 
	tag, don't even bother looking for one, but rather append the tag at
	the end.  This allows writing tags to empty files.  

2000-05-12 Friday 23:07  eldamitri

	* src/error.cpp (1.6, rel-3-7-9), src/field_binary.cpp (1.9),
	src/field_integer.cpp (1.8, rel-3-7-9), src/field_string_ascii.cpp
	(1.11), src/field_string_unicode.cpp (1.11), src/frame.cpp (1.14),
	src/frame_parse.cpp (1.13), src/misc_support.cpp (1.11),
	src/utils.cpp (1.3, rel-3-7-10, rel-3-7-9), include/id3/error.h
	(1.11, rel-3-7-7, rel-3-7-9), include/id3/frame.h (1.24),
	include/id3/globals.h (1.23), include/id3/header.h (1.13,
	rel-3-7-9), include/id3/misc_support.h (1.18, rel-3-7-9),
	include/id3/utils.h (1.6, rel-3-7-10, rel-3-7-9): Updated luint
	parameter, return type with more descriptive type name (either
	size_t, index_t, or flags_t) 

2000-05-12 Friday 06:31  eldamitri

	* include/id3/flags.h (1.2, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9): (class ID3_Flags): Changed TYPE to flags_t 

2000-05-12 Friday 06:25  eldamitri

	* include/id3/globals.h (1.22): Added typedefs for index_t (size_t)
	and flags_t (uint16) 

2000-05-12 Friday 06:24  eldamitri

	* include/id3/header_tag.h (1.13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9): (class ID3_TagHeader): Added SetExtended(),
	GetExtended() 

2000-05-12 Friday 06:24  eldamitri

	* include/id3/tag.h (1.31): 
	- Removed acBinary and bTagOwns fields from ID3_Elem (unused) 
	- Constructor parameter now const 
	- Changed all luint return types, parameters to one of index_t,
	size_t, or flags_t, where appropriate 
	- RemoveFrame now returns a frame pointer 
	- Render, RenderV1 now const methods 
	- Added HasTagType() method in favor of deprecated HasV2Tag(), 
	HasV1Tag(), and HasLyrics() methods 
	- Removed all *Sync* methods (now standalone funcs declared in
	utils.h) 
	- Removed all List, Elem helper methods (now standalone) 
	- Updated, reorganized private member variables 

2000-05-12 Friday 06:17  eldamitri

	* src/tag.cpp (1.16): 
	- Removed all occurrences of __instances (unused) 
	- Made RemoveFromList and ClearList local functions 
	- Removed implementation of SetupTag(), moved most of its
	functionality to Clear() 
	- Updated constructors to no longer rely on SetupTag 
	- Updated destructor to make better use of Clear() 
	- Updated appropriate methods to increment/decrement __num_frames
	when necessary 
	- RemoveFrame nwo returns the pointer to the frame returned (NULL if 
	not removed or not present) and therefore the tag is now released 
	from its responsibility of managing frame's memory 
	- Makes use of new __hdr member variable where appropriate 
	- NumFrames implementation removed (moved to header file) 

2000-05-12 Friday 06:05  eldamitri

	* src/tag_file.cpp (1.12): 
	- Updated member variables to new names 
	(Link): 
	- Updated luint return type to be size_t 
	- Updated to use new __tags_to_parse member variable 
	(Update): Updated luint parameter, return type to flags_t 
	(Strip): Updated luint parameter, return type to flags_t 

2000-05-12 Friday 06:01  eldamitri

	* src/tag_find.cpp (1.11): 
	(Find): Updated luint parameter to be uint32 
	(GetFrameNum): 
	- Updated luint parameter to be index_t 
	- Reimplemented so that it returns the NumFrames - index element,
	since the frames are stored in a stack and would otherwise be
	traversed in reverse order (operator[]): Updated luint parameter to
	be index_t 

2000-05-12 Friday 05:48  eldamitri

	* src/tag_parse.cpp (1.16): 
	(ID3_ParseFrames): Now a local function rather than an ID3_Tag
	member function, accepts an ID3_Tag reference 
	(ParseFromHandle): Updated luint return type to size_t, updated to
	use new __tags_to_parse member variable 

2000-05-12 Friday 05:45  eldamitri

	* src/: tag_parse_v1.cpp (1.6), tag_parse_lyrics3.cpp (1.11,
	rel-3-7-9): Updated for new member variables 

2000-05-12 Friday 05:45  eldamitri

	* src/tag_render.cpp (1.17): 
	- Updated member variables to new names 
	(Render): 
	- Updated luint return type to size_t 
	- method now const 
	- No longer sets actual tag to have LATEST spec 
	- Made use of new __hdr member variable 
	(Size): 
	- Updated luint return type to size_t 
	- Made use of new __hdr member variable 
	(RenderV1): 
	- Updated luint return type to size_t 
	- method now const 
	- Made use of new __file_tags member variable 
	(PaddingSize): 
	- Updated luint return type to size_t 

2000-05-12 Friday 05:40  eldamitri

	* src/tag_sync.cpp (1.5): 
	(ID3_ReSync): Updated luint parameter, return type to size_t 
	(ID3_GetUnSyncSize): Updated luint parameter, return type to size_t 
	(ID3_UnSync): Updated luint parameters to size_t 

2000-05-11 Thursday 18:04  eldamitri

	* include/id3/utils.h (1.5), src/tag_sync.cpp (1.4): All syncing
	functions are now stand-alone, rather than member functions of
	ID3_Tag 

2000-05-11 Thursday 15:01  eldamitri

	* NEWS (1.14), configure.in (1.36, rel-3-7-11), id3lib.spec.in
	(1.13) (utags: rel-3-7-8): Updated for 3.7.8 release 

2000-05-11 Thursday 14:49  eldamitri

	* src/tag_render.cpp (1.16, rel-3-7-8): 
	(RenderV1): Fixed bug with writing too many bytes to the v1 tag 

2000-05-11 Thursday 14:49  eldamitri

	* src/tag_file.cpp (1.11, rel-3-7-8): 
	(OpenFileForWriting): Fixed bug when stripping an id3v2 tag w/no
	id3v1 tag 

2000-05-11 Thursday 14:49  eldamitri

	* src/: field.cpp (1.19), field_string_ascii.cpp (1.10),
	field_string_unicode.cpp (1.10) (utags: rel-3-7-8): Fixed major bug
	that caused all string tags to be written out as binary data with
	wrong encoding.  

2000-05-10 Wednesday 18:33  eldamitri

	* NEWS (1.13), THANKS (1.9, rel-3-7-8), configure.in (1.35),
	id3lib.spec.in (1.12) (utags: rel-3-7-7): Updated for 3.7.7 release 

2000-05-10 Wednesday 18:31  eldamitri

	* Makefile.am (1.18, rel-3-7-8, rel-3-7-7): Reordered subdirs to
	put zlib before src so it will be compiled before id3lib if
	necessary 

2000-05-10 Wednesday 18:30  eldamitri

	* include/id3/Makefile.am (1.7, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9, rel-3-7-8, rel-3-7-7): utils.h re-included as a
	distributed file 

2000-05-10 Wednesday 18:29  eldamitri

	* zlib/src/Makefile.in (1.3, rel-3-7-8, rel-3-7-7, rel-3-7-8,
	rel-3-7-7): Improved configuration for building zlib 

2000-05-10 Wednesday 17:21  eldamitri

	* include/id3/field.h (1.26, rel-3-7-12, rel-3-7-8, rel-3-7-7): 
	(class ID3_Field): Minor fix to IsEncodable so as to prevent
	warnings in windows.  

2000-05-10 Wednesday 17:19  eldamitri

	* src/tag_render.cpp (1.15, rel-3-7-7): 
	(RenderV1): Minor bug fix 

2000-05-10 Wednesday 16:54  eldamitri

	* src/field_string_ascii.cpp (1.9, rel-3-7-7): 
	(ParseASCIIString): Minor fix 

2000-05-10 Wednesday 16:49  eldamitri

	* src/frame_parse.cpp (1.11, rel-3-7-8, rel-3-7-7): 
	(Parse): Fixed a minor bug with initializing fields not in scope 

2000-05-10 Wednesday 16:45  eldamitri

	* examples/demo_info.cpp (1.10, rel-3-7-8, rel-3-7-7): 
	(PrintInformation): Removed old comment that no longer described the 
	operation of the function accurately.  

2000-05-10 Wednesday 15:24  eldamitri

	* include/id3/misc_support.h (1.17, rel-3-7-8, rel-3-7-7): Updated
	interface to synced lyrics helper funcs to accept refs instead of
	pointers, where appropriate.  

2000-05-10 Wednesday 15:23  eldamitri

	* src/misc_support.cpp (1.10, rel-3-7-8, rel-3-7-7): Minor fixes,
	interface changes 

2000-05-10 Wednesday 15:22  eldamitri

	* src/tag_parse_lyrics3.cpp (1.10, rel-3-7-8, rel-3-7-7): 
	(ParseLyrics3): Fixed bug in using new synced lyrics helper func.  

2000-05-10 Wednesday 05:41  eldamitri

	* include/id3/field.h (1.25, rel-3-7-11): (class ID3_Field): Added
	GetType(), IsEncodable(); uncommented GetEncoding(), SetEncoding();
	added __enc member variable 

2000-05-10 Wednesday 05:39  eldamitri

	* include/id3/globals.h (1.21, rel-3-7-8, rel-3-7-7): (enum
	ID3_FieldFlags): Renamed for clarity: NULL->CSTR, NULLDIVIDE->LIST,
	ADJUSTENC->ENCODABLE; removed ADJUSTEDBY; added TEXTLIST (enum
	ID3_FieldType): Added NONE, TEXTSTRING, and NUMTYPES; removed 
	ASCIISTRING and UNICODESTRING 

2000-05-10 Wednesday 05:36  eldamitri

	* include/id3/tag.h (1.30, rel-3-7-8, rel-3-7-7): (class ID3_Tag):
	Removed decls of AddBinary(), ExpandBinaries(), and 
	ProcessBinaries(), since they'reno longer needed 

2000-05-10 Wednesday 05:35  eldamitri

	* src/field.cpp (1.18, rel-3-7-7): 
	- Updated for renamed field flags 
	- Changed ID3FTY_ASCIISTRING's to ID3FTY_TEXTSTRING's 
	(ID3_Field): Updated to initialize __enc 
	(Clear): Updated to clear __enc 
	(SetSpec): Removed, no lnger needed 
	(Parse): Updated for use with new text encoding scheme 
	(Render): Updated for use with new text encoding scheme 
	(SetEncoding): Uncommented, updated 

2000-05-10 Wednesday 05:30  eldamitri

	* src/field_string_ascii.cpp (1.8): Updated for renamed field flags 
	(Set): Changes encoding, rather that type, of field 
	(Add): Changes encoding, rather that type, of field 

2000-05-10 Wednesday 05:29  eldamitri

	* src/field_string_unicode.cpp (1.9, rel-3-7-7): Updated for
	renamed field flags 
	(Set): Changes encoding, rather that type, of field 

2000-05-10 Wednesday 05:27  eldamitri

	* src/frame.cpp (1.13, rel-3-7-8, rel-3-7-7): 
	(_UpdateFieldDeps): Removed, never used 
	(_UpdateStringTypes): Reimplemented using new encoding code 

2000-05-10 Wednesday 05:25  eldamitri

	* src/frame_parse.cpp (1.10): 
	(Parse): Uncommented call to SetEncoding 

2000-05-10 Wednesday 05:24  eldamitri

	* src/tag_parse.cpp (1.15, rel-3-7-8, rel-3-7-7): 
	(ID3_GetLastElem): Removed, no longer necessary 
	(AddBinary): Removed, no longer necessary 
	(ExpandBinaries): Removed, no longer necessary 
	(ProcessBinaries): Removed, no longer necessary 

2000-05-10 Wednesday 03:50  eldamitri

	* include/id3/globals.h (1.20): (enum ID3_TextEnc): Added NONE and
	NUMENCODINGS to enumeration.  

2000-05-10 Wednesday 03:50  eldamitri

	* include/id3/field.h (1.24): (class ID3_Field): Added (commented
	out) decl's for SetEncoding() and GetEncoding(); removed __spec
	member variable 

2000-05-10 Wednesday 03:45  eldamitri

	* src/frame_parse.cpp (1.9): 
	(Parse): Added call to SetEncoding (commented out for now) 

2000-05-10 Wednesday 03:42  eldamitri

	* src/header_tag.cpp (1.10, rel-3-7-8, rel-3-7-7): 
	(Parse): Fixed bug with determining data size.  

2000-05-10 Wednesday 03:42  eldamitri

	* src/tag_parse.cpp (1.14): 
	(ParseFrames): Fixed bug with setting the frame spec (it wasn't!) 

2000-05-10 Wednesday 03:39  eldamitri

	* src/field.cpp (1.17): 
	(SetEncoding): Added implementation (commented out for now) 

2000-05-09 Tuesday 16:32  eldamitri

	* zlib/: include/deflate.h (1.2), include/infblock.h (1.2),
	include/infcodes.h (1.2), include/inffast.h (1.2),
	include/inffixed.h (1.2), include/inftrees.h (1.2),
	include/infutil.h (1.2), include/trees.h (1.2), include/zconf.h
	(1.2), include/zlib.h (1.2), include/zutil.h (1.2), src/adler32.c
	(1.2), src/compress.c (1.2), src/crc32.c (1.2), src/deflate.c
	(1.2), src/gzio.c (1.2), src/infblock.c (1.2), src/infcodes.c
	(1.2), src/inffast.c (1.2), src/inflate.c (1.2), src/inftrees.c
	(1.2), src/infutil.c (1.2), src/trees.c (1.2), src/uncompr.c (1.2),
	src/zutil.c (1.2) (utags: rel-3-7-10, rel-3-7-7, rel-3-7-11,
	rel-3-7-8, rel-3-7-12, rel-3-7-9, rel-3-7-13): Converted to
	unix-style carriage returns.  

2000-05-09 Tuesday 15:47  eldamitri

	* include/id3/field.h (1.23): (class ID3_Field): Added InScope and
	GetID methods, removed SetSpec method and __spec member variable,
	updated Parse* methods to only accept two parameters, not three 

2000-05-09 Tuesday 15:45  eldamitri

	* include/id3/frame.h (1.23, rel-3-7-8, rel-3-7-7): (class
	ID3_Frame): Changed SetID() and Parse() methods to return a bool to
	indicate if the frame has changed; added BadParse() and 
	GetDataSize() methods, added __bad_parse member variable 

2000-05-09 Tuesday 15:38  eldamitri

	* include/id3/header_frame.h (1.11, rel-3-7-8, rel-3-7-7): (class
	ID3_FrameHeader): Added GetExtrasSize(), SetExpandedSize(), 
	GetExpandedSize(), SetEncryptionID(), GetEncryptionID(), 
	SetGroupingID(), and GetGroupingID() methods, as well as 
	__encryption_id, __grouping_id, and __expanded_size member variables 

2000-05-09 Tuesday 15:36  eldamitri

	* include/id3/header_tag.h (1.12, rel-3-7-8, rel-3-7-7): (class
	ID3_TagHeader): Added GetUnsync() method 

2000-05-09 Tuesday 15:35  eldamitri

	* include/id3/tag.h (1.29): (class ID3_Tag): Added ParseFrames()
	method, __hdr member variable 

2000-05-09 Tuesday 15:34  eldamitri

	* src/field.cpp (1.16): 
	(ID3_Field): Removed initialization of __spec 
	(SetSpec): Removed 
	(BinSize): No longer checks spec (relies on calling function) 
	(Parse): Updated for new parameters, no longer checks spec (relies
	on calling function) 
	(Render): No longer checks spec (relies on calling function) 
	(operator=): No longer copies over spec 

2000-05-09 Tuesday 15:30  eldamitri

	* src/field_binary.cpp (1.8, rel-3-7-8, rel-3-7-7): 
	(ParseBinary): Updated for new parameters 

2000-05-09 Tuesday 15:29  eldamitri

	* src/field_integer.cpp (1.7, rel-3-7-8, rel-3-7-7): 
	(ParseInteger): Updated for new parameters 

2000-05-09 Tuesday 15:28  eldamitri

	* src/field_string_ascii.cpp (1.7): 
	(ParseASCIIString): Updated for new parameters 

2000-05-09 Tuesday 15:28  eldamitri

	* src/field_string_unicode.cpp (1.8): 
	(ParseUnicodeString): Updated for new parameter 

2000-05-09 Tuesday 15:26  eldamitri

	* src/frame.cpp (1.12): 
	(_ClearFields): Added implementation 
	(Clear): Updated to use _ClearFields 
	(_SetID): Added implementation 
	(SetID): Now returns bool indicating if the frame changed 
	(Size): Now checks to see if a field is in scope before adding its 
	size 

2000-05-09 Tuesday 15:18  eldamitri

	* src/frame_parse.cpp (1.8): 
	(Parse): New implementation 

2000-05-09 Tuesday 15:17  eldamitri

	* src/frame_render.cpp (1.8, rel-3-7-8, rel-3-7-7): 
	(Render): Minor implementation change 

2000-05-09 Tuesday 15:13  eldamitri

	* src/header_frame.cpp (1.6, rel-3-7-8, rel-3-7-7): 
	(SetFrameID): Minor implementation change 
	(Parse): Now checks for compression, encryption, and grouping 

2000-05-09 Tuesday 15:05  eldamitri

	* src/header_tag.cpp (1.9): 
	(Parse): Updated to prepare for handling extended headers 

2000-05-09 Tuesday 15:04  eldamitri

	* src/tag_parse.cpp (1.13): 
	(ParseFrames): Added implementation 
	(Parse): New implementation, using ParseFrames 

2000-05-08 Monday 15:57  eldamitri

	* include/id3/globals.h (1.19), include/id3/misc_support.h (1.16),
	src/misc_support.cpp (1.9), src/tag_parse_lyrics3.cpp (1.9): 
	Updated with new enums, helper functions for adding synced lyrics 
	(thanks Severino Delaurenti).  

2000-05-08 Monday 15:55  eldamitri

	* examples/demo_info.cpp (1.9): 
	(PrintInformation): Updated for new names of ContentType enums 

2000-05-08 Monday 15:54  eldamitri

	* doc/index.html.in (1.7, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9, rel-3-7-8, rel-3-7-7): Updated to mention COM as a
	supported language.  

2000-05-08 Monday 06:07  eldamitri

	* include/id3/error.h (1.10, rel-3-7-8, rel-3-7-7),
	include/id3/field.h (1.22, rel-3-7-10), include/id3/frame.h (1.22),
	include/id3/tag.h (1.28), src/field.cpp (1.15),
	src/field_binary.cpp (1.7), src/field_string_unicode.cpp (1.7),
	src/frame_parse.cpp (1.7), src/tag.cpp (1.15, rel-3-7-8,
	rel-3-7-7), src/tag_find.cpp (1.10, rel-3-7-8, rel-3-7-7),
	src/tag_parse.cpp (1.12), src/tag_render.cpp (1.14): Updated
	interface to use const appropriately 

2000-05-08 Monday 05:13  eldamitri

	* include/id3/misc_support.h (1.15): All Get* functions now take
	const pointers to tags, Minor cleanup 

2000-05-08 Monday 05:11  eldamitri

	* include/id3/tag.h (1.27): 
	- All Find methods are now const 
	- __cursor is now mutable so Find methods can be const 
	- Removed decl of protected GetLastElem (not dependant on tag data) 

2000-05-08 Monday 05:10  eldamitri

	* src/c_wrapper.cpp (1.6, rel-3-7-8, rel-3-7-7): 
	(ID3Frame_GetCompression): Now returns false by default (thanks John 
	Adcock) 

2000-05-08 Monday 05:08  eldamitri

	* src/misc_support.cpp (1.8): Fixed bug in AddGenre, all Get*
	functions now take const pointers to tags, no function throws on
	error.  

2000-05-08 Monday 05:06  eldamitri

	* src/tag_find.cpp (1.9): 
	(Find): All are now const methods 

2000-05-08 Monday 05:05  eldamitri

	* src/tag_parse.cpp (1.11): 
	(ID3_GetLastElem): Renamed from ID3_Tag::GetLastElem (local to file) 
	(AddBinary): Updated to use ID3_GetLastElem 
	(ProcessBinaries): Updated to use ID3_GetLastElem 

2000-05-08 Monday 05:04  eldamitri

	* id3com/: ID3Frame.cpp (1.5, rel-3-7-9), ID3Frame.h (1.4,
	rel-3-7-9), id3com.idl (1.4) (utags: rel-3-7-7, rel-3-7-8): Updated
	for the changes to compression in ID3_Tag and ID3_Frame 

2000-05-08 Monday 05:02  eldamitri

	* id3com/Makefile.am (1.3, rel-3-7-9, rel-3-7-8, rel-3-7-7): 
	Removed references to deleted files.  

2000-05-08 Monday 05:00  eldamitri

	* id3com/: ID3COM_p.c (1.3), ID3Test.vbp (1.2), ID3Test.vbw (1.2): 
	Not needed.  

2000-05-06 Saturday 23:41  eldamitri

	* examples/demo_info.cpp (1.8): 
	(PrintInformation): Now prints out timestamp format for synced
	lyrics 

2000-05-06 Saturday 23:38  eldamitri

	* src/tag_parse.cpp (1.10), include/id3/tag.h (1.26): 
	(Parse): Now returns the tag size 

2000-05-06 Saturday 23:25  eldamitri

	* include/id3/utils.h (1.4, rel-3-7-8, rel-3-7-7): Commented out
	namespace, RenderNumber now returns number of bytes rendered 

2000-05-06 Saturday 23:24  eldamitri

	* src/field_integer.cpp (1.6): Replaced '#include "misc_support.h"'
	with '#include "utils.h"' 
	(RenderInteger): Minor cleanup 

2000-05-06 Saturday 23:22  eldamitri

	* src/frame_render.cpp (1.7): Replaced '#include "misc_support.h"'
	with '#include "utils.h"' 
	(Render): Minor cleanup 

2000-05-06 Saturday 23:22  eldamitri

	* src/header_frame.cpp (1.5): 
	(Parse): Minor cleanup 
	(Render): Minor cleanup 

2000-05-06 Saturday 23:20  eldamitri

	* src/header_tag.cpp (1.8): 
	(Render): Minor cleanup 
	(Parse): Minor cleanup 

2000-05-06 Saturday 23:20  eldamitri

	* src/misc_support.cpp (1.7), include/id3/misc_support.h (1.14): 
	Moved utility functions to utils.cpp 

2000-05-06 Saturday 23:18  eldamitri

	* src/tag.cpp (1.14): 
	(SetupTag): Minor cleanups 

2000-05-06 Saturday 23:17  eldamitri

	* src/tag_file.cpp (1.10, rel-3-7-7): 
	(Link): Minor cleanups 

2000-05-06 Saturday 23:16  eldamitri

	* src/: tag_parse.cpp (1.9), tag_find.cpp (1.8),
	field_string_unicode.cpp (1.6), field_string_ascii.cpp (1.6): 
	Replaced '#include "misc_support.h"' with '#include "utils.h"' 

2000-05-06 Saturday 23:16  eldamitri

	* src/tag_parse_lyrics3.cpp (1.8): 
	(ID3_RenderTimeStamp): Added new function 
	(ID3_Lyrics3ToSylt): Cleaned up the function, minor bugfix for
	newlines 

2000-05-06 Saturday 23:13  eldamitri

	* src/tag_render.cpp (1.13): Minor cleanups 

2000-05-06 Saturday 23:10  eldamitri

	* src/utils.cpp (1.2, rel-3-7-8, rel-3-7-7): 
	(ParseNumber): New, easier-to-understand implementation 
	(RenderNumber): 
	- New, easier-to-understand implementation 
	- Now returns number of bytes rendered 

2000-05-06 Saturday 07:46  eldamitri

	* configure.in (1.34): Not having sys/param.h or wchar.h doesn't
	prevent compilation.  

2000-05-06 Saturday 07:42  eldamitri

	* examples/demo_info.cpp (1.7): 
	(PrintUsage): Parameter now const 
	(PrintVersion): Parameter now const 
	(PrintInformation): Parameter now const, now prints out info about 
	synced lyrics 

2000-05-06 Saturday 07:42  eldamitri

	* include/id3/field.h (1.21): Added GetBinary() method 

2000-05-06 Saturday 07:42  eldamitri

	* include/id3/globals.h (1.18): Removed VerCtl enumeration, and
	LyricsContent enumeration.  

2000-05-06 Saturday 07:42  eldamitri

	* src/tag_file.cpp (1.9), include/id3/tag.h (1.25): The Link()
	methods' filename parameter is now const.  

2000-05-06 Saturday 07:42  eldamitri

	* src/tag_parse_lyrics3.cpp (1.7): Bugfixes to the synchronized
	lyrics conversion.  

2000-05-05 Friday 05:36  eldamitri

	* Makefile.in (1.14), configure (1.20), libtool (1.2),
	src/Makefile.am (1.12, rel-3-7-8, rel-3-7-7), src/Makefile.in
	(1.8), zlib/src/Makefile.am (1.2, rel-3-7-5, rel-3-7-4, rel-3-7-3,
	rel-3-7-2, rel-3-7-1, rel-3-7-0, rel-3-6-2, rel-3-6-0): Updated to
	allow zlib to conditionally compile when it isn't found (not yet
	working right) 

2000-05-05 Friday 05:35  eldamitri

	* include/id3/: Makefile.am (1.6), Makefile.in (1.9): Designated
	utils.h and uint28.h as not needing to be installed 

2000-05-05 Friday 05:16  eldamitri

	* configure.in (1.33, rel-3-7-10): Updated to allow zlib to
	conditionally compile when it isn't found.  

2000-05-05 Friday 05:15  eldamitri

	* include/id3/: frame.h (1.21), tag.h (1.24): Made destructor
	virtual to avoid compilation warnings (thanks Peter Thorstenson) 

2000-05-05 Friday 05:13  eldamitri

	* doc/index.html.in (1.6): Added ref to new project: Sonize.  

2000-05-04 Thursday 22:52  eldamitri

	* src/tag_parse_lyrics3.cpp (1.6): 
	(ID3_StripTimeStamps): Fixed logic of bad data (thanks Severino) 
	(ID3_Lyrics3ToSylt): Added implementation (thanks Severino) 
	(ParseLyrics3): Adds description, language, lyricist, and
	information (thanks Severino) 

2000-05-04 Thursday 22:52  eldamitri

	* src/misc_support.cpp (1.6): 
	(ID3_AddTitle): Now checks if memory wasn't allocated (thanks
	Severino) 
	(ID3_GetLyricist): Added implementation (thanks Severino) 
	(ID3_AddLyricist): Added implementation (thanks Severino) 
	(ID3_RemoveLyricist): Added implementation (thanks Severino) 

2000-05-04 Thursday 22:51  eldamitri

	* src/field.cpp (1.14): 
	(ID3FD_LinkedInfo): Removed unnecessary (read: wrong) size field for 
	id3v2.2.x 
	(ID3FD_SyncLyrics): Added (thanks Severino) 
	(ID3_FrameDefs): Updated ID3FID_SYNCEDLYRICS frame def to use 
	ID3FD_SyncLyrics 

2000-05-04 Thursday 22:51  eldamitri

	* include/id3/misc_support.h (1.13): Added declaration of
	ID3_GetLyricist, ID3_AddLyricist, and ID3_RemoveLyricist (thanks
	Severino) 

2000-05-04 Thursday 22:51  eldamitri

	* include/id3/globals.h (1.17): Added ID3FN_TIMESTAMPFORMAT and
	ID3FN_CONTENTTYPE constants for the new synced lyrics support
	(thanks Severino) 

2000-05-04 Thursday 03:44  eldamitri

	* NEWS (1.12), THANKS (1.8), configure.in (1.32), id3lib.spec.in
	(1.11): Updated for 3.7.6 release 

2000-05-04 Thursday 02:59  eldamitri

	* include/id3/frame.h (1.20): 
	(SetCompression): Added as a replacement for
	ID3_Tag::GetCompression() 
	(GetCompression): Added 

2000-05-04 Thursday 02:56  eldamitri

	* include/id3.h (1.9, rel-3-7-8, rel-3-7-7), src/c_wrapper.cpp
	(1.5): Added ID3Frame_SetCompression and ID3Frame_GetCompression. 
	Deprecated ID3Tag_SetCompression 

2000-05-04 Thursday 01:24  eldamitri

	* src/uint28.cpp (1.3, rel-3-7-9, rel-3-7-8, rel-3-7-7): 
	(operator=): Returns *this (operator>>): Removed std:: (will put
	this in later when make the move to STL/STC) 

2000-05-04 Thursday 01:24  eldamitri

	* src/header_tag.cpp (1.7): Added static definition of
	ID3_TagHeader::ID 

2000-05-04 Thursday 01:23  eldamitri

	* include/id3/uint28.h (1.3, rel-3-7-9, rel-3-7-8, rel-3-7-7): 
	Replaced #include iostream with #include iostream.h.  Removed
	#include algorithm (not needed) 

2000-05-04 Thursday 01:23  eldamitri

	* include/id3/header_tag.h (1.11): (class ID3_TagHeader): Replaced
	definition of ID3_TagHeader with just a declaration (windows didn't
	like having it defined in the header) 

2000-05-04 Thursday 01:23  eldamitri

	* include/id3/header.h (1.12, rel-3-7-8, rel-3-7-7): 
	(Clear): Updated to return boolean if the header actually changed 

2000-05-04 Thursday 01:23  eldamitri

	* include/id3/frame.h (1.19): 
	(Contains): Added comparison to ensure boolean output 

2000-05-04 Thursday 01:16  eldamitri

	* id3com/id3com.dsp (1.8), libprj/id3lib.dsp (1.5), prj/id3lib.dsp
	(1.8) (utags: rel-3-7-7, rel-3-7-8, rel-3-7-9): Updated to compile
	with new changes to the library 

2000-05-03 Wednesday 19:13  eldamitri

	* id3com/ID3Frame.cpp (1.4): 
	(get_FrameName): Updated for new ID3_Frame::GetDescription.  

2000-05-03 Wednesday 19:13  eldamitri

	* src/frame.cpp (1.11): 
	(GetDescription): Now returns NULL rather than "Unknown" for unknown 
	frames.  

2000-05-03 Wednesday 16:10  eldamitri

	* examples/demo_info.cpp (1.6): 
	(PrintInformation): Updated for new ID3_Frame::GetDescription() 

2000-05-03 Wednesday 16:09  eldamitri

	* include/id3/field.h (1.20), include/id3/frame.h (1.18),
	src/field.cpp (1.13), src/frame.cpp (1.10): Replaced
	ID3_GetFrameDescription() with ID3_Frame::GetDescription() and 
	static ID3_Frame::GetDescription(ID3_FrameID) 

2000-05-03 Wednesday 16:05  eldamitri

	* include/id3/header_tag.h (1.10), include/id3/tag.h (1.23),
	src/header_tag.cpp (1.6), src/tag.cpp (1.13): Moved
	ID3_TagHeader::IsHeader() to ID3_Tag::IsV2Tag() 

2000-05-03 Wednesday 06:20  eldamitri

	* src/tag_file.cpp (1.8): 
	(Strip): Fix of a major bug that would delete too much info when 
	stripping a file with an ID3v2 tag present 

2000-05-03 Wednesday 05:02  eldamitri

	* include/id3/error.h (1.9), include/id3/field.h (1.19),
	include/id3/frame.h (1.17), include/id3/tag.h (1.22), src/error.cpp
	(1.5, rel-3-7-8, rel-3-7-7), src/field.cpp (1.12),
	src/field_binary.cpp (1.6), src/field_integer.cpp (1.5),
	src/field_string_ascii.cpp (1.5), src/field_string_unicode.cpp
	(1.5), src/frame.cpp (1.9), src/frame_parse.cpp (1.6),
	src/frame_render.cpp (1.6), src/tag.cpp (1.12), src/tag_file.cpp
	(1.7), src/tag_find.cpp (1.7), src/tag_parse.cpp (1.8),
	src/tag_parse_lyrics3.cpp (1.5), src/tag_parse_v1.cpp (1.5,
	rel-3-7-8, rel-3-7-7), src/tag_render.cpp (1.12): Renamed member
	variables to something not so windows-ish (ick!) 

2000-05-03 Wednesday 00:43  eldamitri

	* src/field.cpp (1.11): 
	* src/field.cpp: Removed left over comment that wasn't commented 

2000-05-03 Wednesday 00:18  eldamitri

	* src/field.cpp (1.10): 
	(ID3_FrameDefs): Descriptions for PCNT, POSS, PRIV, and POPM were
	not matched up with their appropriate frame def (thanks Daryl
	Pawluk) 

2000-05-03 Wednesday 00:10  eldamitri

	* src/tag.cpp (1.11): 
	(SetPadding): Fixed minor bug (thanks Sasa Ðolic) 

2000-05-03 Wednesday 00:00  eldamitri

	* include/id3.h (1.8): Minor bugfix for #endif (thanks John
	Southerland) 

2000-05-02 Tuesday 23:59  eldamitri

	* include/id3/globals.h (1.16): Added ID3FID_METACOMPRESSION enum
	for ID3v2.2.1's compressed-data meta-frame ("CDM") 

2000-05-02 Tuesday 23:59  eldamitri

	* include/id3/header.h (1.11): 
	(ID3_HeaderInfo): 
	- Struct now defined within ID3_Header 
	- renamed to Info (ID3_Header::Info) 
	- renamed member variables to something not so windows-ish (ick!) 
	- removed ID3_V2Spec member (redundant) 
	(ID3_Header): 
	- Most members now defined in header 
	- Removed *Flags() methods; replaced with __flags protected data
	members subclasses should now provide subclasses to access this
	member 
	- removed ID3_V2Spec member (redundant) 
	- Added Parse() pure virtual method to be implemented by subclasses 
	- renamed member variables to something not so windows-ish (ick!) 
	- SetSpec's parameter is no longer const, now returns bool to
	indicate if the spec actually changed 
	- Clear() now returns bool to indicate if the tag actually needed 
	clearing 
	- Size() method is now const 

2000-05-02 Tuesday 23:59  eldamitri

	* include/id3/header_frame.h (1.10): 
	- ID3FL #define's now public enum's within the class 
	- Added SetCompression(), SetEncryption(), SetGrouping(), 
	GetCompression(), GetEncryption(), GetGrouping(), and GetReadOnly() 
	methods and their definitions 
	- renamed member variables to something not so windows-ish (ick!) 

2000-05-02 Tuesday 23:59  eldamitri

	* include/id3/header_tag.h (1.9): 
	- ID3HF #define's now public enum's within the class 
	- Added default constructor, copy constructor, destructor,
	SetSpec(), Parse(), SetUnsync(), and static IsHeader() methods 
	- Added enumeration of offsets, sizes for header fields 
	- Added static const char* ID variable 
	- Deprecated ID3_IsTagHeader (use ID3_TagHeader::IsHeader() instead) 

2000-05-02 Tuesday 23:59  eldamitri

	* include/id3/spec.h (1.2, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9, rel-3-7-8, rel-3-7-7): 
	- SetSpec's, SetVersion's now return bool 
	- SetSpec's parameter is no longer const 

2000-05-02 Tuesday 23:58  eldamitri

	* include/id3/: tag.h (1.21), frame.h (1.16): SetSpec's parameter
	is no longer const, now returns bool 

2000-05-02 Tuesday 23:58  eldamitri

	* src/field.cpp (1.9): 
	(ID3FD_LinkedInfo): Now is valid through ID3v2.2.1 
	(ID3FD_CDM): Added for ID3v2.2.1's compressed data meta-frame 
	(ID3_FrameDefs): 
	- Added def for CDM 
	- If a frame isn't defined for a spec, this is now signified with an 
	empty id string, rather than one filled with spaces 

2000-05-02 Tuesday 23:58  eldamitri

	* src/frame.cpp (1.8): 
	(SetSpec): Updated for new SetSpec interface, now just calls
	__FrmHdr's SetSpec 

2000-05-02 Tuesday 23:58  eldamitri

	* src/frame_parse.cpp (1.5): Removed #include <iostream.h> 

2000-05-02 Tuesday 23:57  eldamitri

	* src/frame_render.cpp (1.5): 
	(Render): Now uses FrameHeader's GetCompression(), SetCompression(), 
	SetEncryption(), and SetGrouping() methods.  

2000-05-02 Tuesday 23:56  eldamitri

	* src/header.cpp (1.7, rel-3-7-8, rel-3-7-7): Moved most methods to
	the header file.  SetSpec reimplemented to assign __info pointer. 
	ID3_SpecInfo (renamed to _spec_info) is static to the file and no
	longer has the V2Spec member.  It is now accessed directly via
	subscript in SetSpec.  

2000-05-02 Tuesday 23:56  eldamitri

	* src/header_frame.cpp (1.4): 
	(ID3_FrameHeader): Moved to header (~ID3_FrameHeader): Moved to
	header 
	(SetFrameID): Now no-ops when the id is the same as the current 
	(Size): Now returns 0 if __info is NULL 
	(Parse): Updated to use new __flags member variable 
	(Render): New interface; method is now const, no longer throws 
	(Clear): New interface; now returns a boolean to indicate if the
	header actually changed 

2000-05-02 Tuesday 23:56  eldamitri

	* src/header_tag.cpp (1.5): 
	(IsHeader): Added implementation; returns 0 if buffer isn't an id3v2 
	tag header, otherwise returns the size of the tag (including the
	header) 
	(ID3_IsTagHeader): Deprecated; now uses IsHeader 
	(SetSpec): Updated for new interface; now returns a boolean to
	indicate if the spec actually changed 
	(Size): New interface; method is now const 
	(Render): New interface; method is now const, new implementation 
	(Parse): Added implementation (operator=): Implementation moved to
	header file 

2000-05-02 Tuesday 23:56  eldamitri

	* src/tag.cpp (1.10): 
	(SetSpec): Updated for new interface; now returns a boolean to
	indicate if the spec actually changed 

2000-05-02 Tuesday 23:56  eldamitri

	* src/tag_file.cpp (1.6): 
	(Strip): Added note to log error 

2000-05-02 Tuesday 23:55  eldamitri

	* src/tag_parse.cpp (1.7): 
	(ExpandBinaries): Now uses new METACOMPRESSION frame id rather than 
	comparing the text id directly 
	(ProcessBinaries): Updated for new FrameHeader methods: 
	GetCompression(),GetEncryption(), GetCrouping() 
	(Parse): Updated to use new uint28 class; updated to use new
	TagHeader enum's 

2000-05-02 Tuesday 22:35  eldamitri

	* include/id3/Makefile.am (1.5): Removed int28.h, added flags.h,
	uint28.h, and utils.h 

2000-05-02 Tuesday 22:34  eldamitri

	* src/Makefile.am (1.11): Removed int28.cpp, added uit28.cpp and
	utils.cpp 

2000-05-02 Tuesday 18:57  eldamitri

	* src/tag_render.cpp (1.11): 
	(Render): Replaced call of SetFlags(ID3HF_UNSYNC) to SetUnsync(true) 

2000-05-02 Tuesday 18:54  eldamitri

	* include/id3/flags.h (1.1, rel-3-7-8, rel-3-7-7): Added; basic
	class for manipulating a flags bitset 

2000-05-02 Tuesday 18:53  eldamitri

	* include/id3/utils.h (1.3), src/utils.cpp (1.1): Added; moved util
	functions out of misc_support 

2000-05-02 Tuesday 18:50  eldamitri

	* include/id3/uint28.h (1.2), src/uint28.cpp (1.2): Added; better
	implementation of the 28-bit unsigned int class.  

2000-05-01 Monday 18:41  eldamitri

	* include/id3/frame.h (1.15): 
	- No longer includes field.h, added advanced decl of ID3_Field 
	- ID3_Tag is no longer a friend class 
	- HasChanged(), Parse(), Size(), Render(), SetSpec() now public 
	- Added decl for Contains(ID3_FieldID) method 
	- Minor cleanup 

2000-05-01 Monday 18:38  eldamitri

	* include/id3/tag.h (1.20): No long er includes header_frame.h,
	deprecated SetCompression (compression should be set on a
	frame-by-frame basis).  

2000-05-01 Monday 18:36  eldamitri

	* src/tag.cpp (1.9): Removed all occurrences of SetCompression
	
	(deprecated) 

2000-05-01 Monday 17:51  eldamitri

	* src/tag_find.cpp (1.6): 
	(Find): Replaced direct access of field bits with call to Contains 

2000-05-01 Monday 17:30  eldamitri

	* src/tag_render.cpp (1.10): 
	(Render): Removed compression step - this will be handled in the
	frame 

2000-05-01 Monday 15:04  eldamitri

	* Makefile.am (1.17), configure.in (1.31, rel-3-7-12),
	src/Makefile.am (1.10), src/error.cpp (1.4), src/field.cpp (1.8),
	src/field_binary.cpp (1.5), src/field_integer.cpp (1.4),
	src/field_string_ascii.cpp (1.4), src/field_string_unicode.cpp
	(1.4), src/frame.cpp (1.7), src/frame_parse.cpp (1.4),
	src/frame_render.cpp (1.4), src/globals.cpp (1.2, rel-3-7-12,
	rel-3-7-11, rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7),
	src/header.cpp (1.6), src/header_frame.cpp (1.3),
	src/header_tag.cpp (1.4), src/int28.cpp (1.3, rel-3-7-12,
	rel-3-7-11, rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7),
	src/misc_support.cpp (1.5), src/tag.cpp (1.8), src/tag_file.cpp
	(1.5), src/tag_find.cpp (1.5), src/tag_parse.cpp (1.6),
	src/tag_parse_lyrics3.cpp (1.4), src/tag_parse_v1.cpp (1.4),
	src/tag_render.cpp (1.9), src/tag_sync.cpp (1.3, rel-3-7-8,
	rel-3-7-7): Removed Log comments at the end of all files.  

2000-04-29 Saturday 00:04  eldamitri

	* include/id3/misc_support.h (1.12), src/misc_support.cpp (1.4): 
	All ID3_Add* functions now return pointers to ID3_Frame's rather
	than bool's.  They no longer throw; if a function isn't created, or
	if an error occurs, a NULL frame is returned.  The ID3_Frame pointer
	that is returned is the pointer to the actual frame attached to the
	tag, but it can be safely ignored as the tag will handle freeing its
	memory.  

2000-04-28 Friday 19:27  eldamitri

	* NEWS (1.11), configure.in (1.30, rel-3-7-11), id3lib.spec.in
	(1.10) (utags: rel-3-7-5): Updated for 3.7.5 release 

2000-04-28 Friday 18:56  eldamitri

	* THANKS (1.7, rel-3-7-5): Added mention of Severino's
	contribution, other minor fixes 

2000-04-28 Friday 18:36  eldamitri

	* doc/Doxyfile.in (1.4, rel-3-7-2, rel-3-6-0, rel-3-7-13,
	rel-3-7-12, rel-3-7-11, rel-3-7-10, rel-3-7-9, rel-3-7-8,
	rel-3-7-7, rel-3-7-5): Removed source browser 

2000-04-28 Friday 18:36  eldamitri

	* doc/index.html.in (1.5, rel-3-7-5): Updated to emphasize tagging
	for both ID3v1 and ID3v2, now mentions C interface, added link to
	javpc project, slight rewording in places.  

2000-04-28 Friday 18:32  eldamitri

	* id3com/ID3Frame.cpp (1.3), id3com/ID3Tag.cpp (1.4, rel-3-7-8,
	rel-3-7-7), id3com/ID3Tag.h (1.3, rel-3-7-9, rel-3-7-8, rel-3-7-7),
	id3com/id3com.idl (1.3), examples/demo_info.cpp (1.5) (utags:
	rel-3-7-5): More id3com fixes and usage of new frame descriptions
	(thanks John Adcock) 

2000-04-28 Friday 18:26  eldamitri

	* include/id3/field.h (1.18, rel-3-7-9, rel-3-7-5): (struct
	ID3_FrameDef): Added sDescription field (thanks John Adcock) 
	(ID3_GetFrameDescription): Added declaration 

2000-04-28 Friday 18:23  eldamitri

	* src/field.cpp (1.7, rel-3-7-5): Added frame descriptions (thanks
	John Adcock) and ID3_GetFrameDescription implementation.  

2000-04-28 Friday 18:22  eldamitri

	* src/frame.cpp (1.6), include/id3/frame.h (1.14) (utags:
	rel-3-7-5): InitFields method no longer accepts a parameter.  

2000-04-28 Friday 18:08  eldamitri

	* src/tag.cpp (1.7), include/id3/tag.h (1.19) (utags: rel-3-7-5): 
	Updated documentation.  

2000-04-28 Friday 17:59  eldamitri

	* src/tag_parse.cpp (1.5, rel-3-7-5): 
	(ProcessBinaries): Removed parseHandler code (never used, and will 
	likely be replaced).  

2000-04-28 Friday 17:56  eldamitri

	* src/tag_parse_lyrics3.cpp (1.3, rel-3-7-5): 
	(ParseLyrics3): Added code for parsing Lyrics3 v1.00 tags (thanks 
	Severino Delaurenti) 

2000-04-27 Thursday 17:54  eldamitri

	* src/tag_render.cpp (1.8, rel-3-7-5): 
	(RenderV2ToHandle): Fixes a nasty bug when saving a V2 tag to a file 
	(thanks John Adcock) 

2000-04-27 Thursday 17:53  eldamitri

	* src/field.cpp (1.6): Fixed bugs in creation and assignment
	(thanks John Adcock) 

2000-04-27 Thursday 17:51  eldamitri

	* src/field_binary.cpp (1.4, rel-3-7-5): 
	(Set): Now handles the case when null data is passed in (thanks John
	Adcock) 

2000-04-27 Thursday 17:41  eldamitri

	* id3com/: Sample/ID3Test.vbw (1.2, rel-3-7-9, rel-3-7-8,
	rel-3-7-7), id3com.dsp (1.7) (utags: rel-3-7-5): Minor update 

2000-04-27 Thursday 17:41  eldamitri

	* id3com/ID3Tag.cpp (1.3): 
	(FindFrame): Updated to use AttachFrame 
	(FindFrameString): Updated to use AttachFrame 

2000-04-27 Thursday 17:33  eldamitri

	* id3com/Sample/frmID3Test.frm (1.2, rel-3-7-9, rel-3-7-8,
	rel-3-7-7, rel-3-7-5): Extended the sample with more utility
	(thanks John Adcock) 

2000-04-27 Thursday 04:55  eldamitri

	* NEWS (1.10), THANKS (1.6), configure.in (1.29, rel-3-7-9),
	id3lib.spec.in (1.9) (utags: rel-3-7-4): Updated for 3.7.4 release 

2000-04-27 Thursday 04:37  eldamitri

	* include/id3.h (1.7, rel-3-7-5, rel-3-7-4): Minor cleanup 

2000-04-27 Thursday 04:36  eldamitri

	* include/id3/globals.h (1.15, rel-3-7-5, rel-3-7-4): Fixed
	ID3_C_EXPORT and ID3_C_VAR defs so windows funcs are exported 
	correctly 

2000-04-27 Thursday 04:36  eldamitri

	* include/id3.h (1.6): Every function declaration was prepended
	with ID3_C_EXPORT so they will compile correctly under windows.  

2000-04-27 Thursday 04:35  eldamitri

	* id3com/id3com.dsp (1.6), libprj/id3lib.dsp (1.4, rel-3-7-5),
	prj/id3lib.dsp (1.7, rel-3-7-5) (utags: rel-3-7-4): Fixed to work
	with most current release 

2000-04-27 Thursday 04:35  eldamitri

	* Makefile.am (1.16, rel-3-6-2, rel-3-7-5, rel-3-7-4): Updated
	release directive to clean up windows distribution of unneeded 
	files/directories.  

2000-04-26 Wednesday 22:30  eldamitri

	* Makefile.am (1.15): Copy windows projects over manually 

2000-04-26 Wednesday 22:30  eldamitri

	* configure.in (1.28): No longer generate Makefiles for windows
	projects 

2000-04-26 Wednesday 22:26  eldamitri

	* include/id3.h (1.5, rel-3-7-13): Removed C++ comments 

2000-04-26 Wednesday 20:43  eldamitri

	* id3com/Sample/: ID3Test.vbp (1.1, rel-3-7-9, rel-3-7-8,
	rel-3-7-7, rel-3-7-5), ID3Test.vbw (1.1), MSSCCPRJ.SCC (1.1,
	rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5), frmID3Test.frm (1.1)
	(utags: rel-3-7-4): Initial release; a simple VB app for testing
	id3com.dll 

2000-04-26 Wednesday 19:02  eldamitri

	* id3com/: EnumFields.cpp (1.2, rel-3-7-9, rel-3-7-8, rel-3-7-7,
	rel-3-7-5, rel-3-7-4), EnumFields.h (1.2, rel-3-7-9, rel-3-7-8,
	rel-3-7-7, rel-3-7-5, rel-3-7-4), ID3COM_p.c (1.2, rel-3-7-5,
	rel-3-7-4), ID3Field.cpp (1.2, rel-3-7-9, rel-3-7-8, rel-3-7-7,
	rel-3-7-5, rel-3-7-4), ID3Field.h (1.3, rel-3-7-8, rel-3-7-7,
	rel-3-7-5, rel-3-7-4), ID3Field.rgs (1.2, rel-3-7-9, rel-3-7-8,
	rel-3-7-7, rel-3-7-5, rel-3-7-4), ID3Frame.cpp (1.2, rel-3-7-4),
	ID3Frame.h (1.3, rel-3-7-5, rel-3-7-4), ID3Frame.rgs (1.2,
	rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5, rel-3-7-4), ID3Tag.cpp
	(1.2, rel-3-7-4), ID3Tag.h (1.2, rel-3-7-4), ID3Tag.rgs (1.2,
	rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5, rel-3-7-4), StdAfx.cpp
	(1.2, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5, rel-3-7-4),
	StdAfx.h (1.2, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5,
	rel-3-7-4), id3com.cpp (1.2, rel-3-7-8, rel-3-7-7, rel-3-7-5,
	rel-3-7-4), id3com.dsp (1.5), id3com.idl (1.2, rel-3-7-4): Thanks
	to John Adcock for this update 
	- Fixes to work bring id3com up to speed with library.  
	- Fixed namespace collision caused by restructuring 
	- Changed the project file a bit so it is safer 
	- Changed license to LGPL to match rest of library 

2000-04-26 Wednesday 18:53  eldamitri

	* include/id3/globals.h (1.14): Fixed ID3_C_VAR and ID#_C_EXPORT
	definitions, thanks to John Adcock 

2000-04-26 Wednesday 17:58  eldamitri

	* include/id3/frame.h (1.13, rel-3-7-4): ID3_Frame now inherits
	from ID3_Speccable, SetSpec's parameter is now const, and declared
	GetSpec 

2000-04-26 Wednesday 17:54  eldamitri

	* include/id3/header.h (1.10, rel-3-7-5, rel-3-7-4): Removed
	SetSpec's default parameter, made parameter const 

2000-04-26 Wednesday 17:54  eldamitri

	* include/id3/tag.h (1.18, rel-3-7-4): SetSpec's parameter now
	const 

2000-04-26 Wednesday 17:53  eldamitri

	* src/field.cpp (1.5, rel-3-7-4): Updated lists of
	supported/unsupported frames (PRIV now supported) 
	(ID3FD_Private): Added definition 
	(ID3_FrameDefs): Updated Private's definition 

2000-04-26 Wednesday 17:51  eldamitri

	* src/frame.cpp (1.5, rel-3-7-4): 
	(SetSpec): Parameter now const 
	(GetSpec): Added implementation 

2000-04-26 Wednesday 17:50  eldamitri

	* src/header.cpp (1.5, rel-3-7-5, rel-3-7-4): 
	(ID3_Header): Made call to SetSpec have explicit parameter 
	(SetSpec): Parameter now const 

2000-04-26 Wednesday 17:49  eldamitri

	* src/tag.cpp (1.6, rel-3-7-4): 
	(SetSpec): Parameter now const 

2000-04-26 Wednesday 17:48  eldamitri

	* src/tag_render.cpp (1.7, rel-3-7-4): 
	(PaddingSize): Fix for padding logic, thanks to John Adcock for the 
	patch.  

2000-04-26 Wednesday 06:18  eldamitri

	* include/id3/spec.h (1.1, rel-3-7-5, rel-3-7-4): Added; defines
	ID3_Speccable pure virtual class, which provides {Get,Set}Spec
	methods and deprecated {Get,Set}Version, GetRevision 

2000-04-26 Wednesday 06:18  eldamitri

	* include/id3/header.h (1.9): 
	- Now inherits from ID3_Speccable 
	- Deprecated SetVersion, added SetSpec and GetSpec 
	- Deprecated ID3_LookupHeaderInfo(uchar, uchar) in favor of 
	ID3_LookupHeaderInfo(ID3_V2Spec) 
	- Removed ID3v2_{VERSION,REVISION}; now use ID3V2_LATEST instead 
	- Replaced version/revision uchar combination with ID3_V2Spec enums 

2000-04-26 Wednesday 06:18  eldamitri

	* include/id3/globals.h (1.13): 
	- Removed ID3_SpecVersion (not used anyway) 
	- Defined ID3_V1Spec and ID3_V2Spec to enumerate various iterations 
	of each specification 

2000-04-26 Wednesday 06:17  eldamitri

	* include/id3/frame.h (1.12): Replaced (protected) SetVersion with
	SetSpec 

2000-04-26 Wednesday 06:17  eldamitri

	* include/id3/field.h (1.17, rel-3-7-4): 
	- ID3_VerCtl enumeration deprecated in favor of using two ID3_V2Spec 
	enums to denote field scope 
	- Deprecated (private) SetVersion in favor of SetSpec 
	- Replaced version/revision uchar combination with ID3_V2Spec enums 

2000-04-26 Wednesday 05:44  eldamitri

	* include/id3/Makefile.am (1.4, rel-3-7-5, rel-3-7-4): 
	(the_headers): Added spec.h 

2000-04-26 Wednesday 05:43  eldamitri

	* src/spec.cpp (1.1, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5, rel-3-7-4): 
	Initial release; implements functions ID3_V2SpecToVer,
	ID3_V2SpecToRev, and ID3_VerRevToV2Spec declared in spec.h 

2000-04-26 Wednesday 05:42  eldamitri

	* src/: field.cpp (1.4), frame.cpp (1.4), frame_parse.cpp (1.3,
	rel-3-7-5, rel-3-7-4), frame_render.cpp (1.3, rel-3-7-5,
	rel-3-7-4), header.cpp (1.4), header_tag.cpp (1.3, rel-3-7-5,
	rel-3-7-4), tag.cpp (1.5), tag_parse.cpp (1.4, rel-3-7-4),
	tag_render.cpp (1.6): 
	- Replaced version/revision uchar combination with ID3_V2Spec enums 
	- Deprecated {Get,Set}Version, GetRevision for {Get,Set}Spec 
	- ID3_VerCtl enumeration deprecated in favor of using two ID3_V2Spec 
	enums to denote field scope 
	- Replaced ID3v2_VERSION, ID3v2_REVISION constants with ID3V2_LATEST 
	enum 
	- Use ID3V2_UNKNOWN enum rather than 0 for version, revision 

2000-04-26 Wednesday 05:42  eldamitri

	* src/c_wrapper.cpp (1.4, rel-3-7-5, rel-3-7-4): 
	(ID3Tag_AttachFrame): Added implementation 

2000-04-26 Wednesday 05:41  eldamitri

	* src/Makefile.am (1.9, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-5, rel-3-7-4): 
	(the_sources): Added spec.cpp 

2000-04-26 Wednesday 04:49  eldamitri

	* include/id3/tag.h (1.17): 
	- Removed default params for deprecated Link(char *, bool, bool)
	since they were causing ambiguity for Link(char *, luint) 
	- Now inherits from ID3_Speccable 
	- Deprecated SetVersion, added SetSpec and GetSpec 

2000-04-26 Wednesday 02:47  eldamitri

	* doc/index.html.in (1.4, rel-3-7-4): 
	- Minor reformatting 
	- Added Zlurp! to list of projects using id3lib 
	- Added "Valid HTML 4.01" image, link to validator 

2000-04-25 Tuesday 02:16  eldamitri

	* NEWS (1.9), configure.in (1.27) (utags: rel-3-7-3): Updated for
	3.7.3 release 

2000-04-24 Monday 22:21  eldamitri

	* id3lib.spec.in (1.8, rel-3-7-3): Added explicite RPM_OPT_FLAGS
	def based on arch, since -fno-exceptions and -fno-rtti are part of
	the default flags in rpmrc and we need both exceptions and rtti
	(exceptions uses rtti) 

2000-04-24 Monday 22:18  eldamitri

	* doc/Makefile.am (1.12, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5, rel-3-7-4, rel-3-7-3): 
	(dox): Added to make the documentation generation more granular 
	(docs): Now uses dox 

2000-04-24 Monday 17:02  eldamitri

	* id3com/id3com.dsp (1.4, rel-3-7-3): Added c_wrapper.cpp and
	globals.cpp 

2000-04-24 Monday 16:59  eldamitri

	* include/id3.h (1.4, rel-3-7-12, rel-3-7-11, rel-3-7-10,
	rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-3): 
	- Added decl for ID3Tag_AttachFrame 
	- ID3Tag_{Parse,Update,Strip} now all return ID3_Err's 
	- ID3Tag_UpdateType renamed to ID3Tag_UpdateByTagType, returns
	ID3_Err 

2000-04-24 Monday 16:59  eldamitri

	* include/id3/field.h (1.16, rel-3-7-3): FixedLength is now
	unsigned, since a 0 rather than a -1 will represent a
	variable-length field 

2000-04-24 Monday 16:59  eldamitri

	* include/id3/frame.h (1.11, rel-3-7-3): Added decl for copy
	constructor 

2000-04-24 Monday 16:59  eldamitri

	* include/id3/globals.h (1.12, rel-3-7-3): Replaced C++ comments
	for C comments 

2000-04-24 Monday 16:59  eldamitri

	* include/id3/tag.h (1.16, rel-3-7-3): 
	- Moved doxygen comments to appropriate cpp file 
	- AddNewFrame deprecated for AttachFrame 
	- Link(char *, bool, bool) deprecated for Link(char *, luint) 
	- OpenFileFor{Reading,Writing} now returns an ID3_Err rather than
	void 

2000-04-24 Monday 16:49  eldamitri

	* src/tag_parse.cpp (1.3, rel-3-7-3): 
	- Added comments originally in include/id3/tag.h 
	- (ParseFromHandle): Conditionally parses tag types based on 
	__ulTagsToParse, which replaces __bParseLyrics3 and __bParseID3v1 

2000-04-24 Monday 16:48  eldamitri

	* src/: tag_find.cpp (1.4, rel-3-7-5, rel-3-7-4), tag_render.cpp
	(1.5) (utags: rel-3-7-3): Added comments originally in
	include/id3/tag.h 

2000-04-24 Monday 16:48  eldamitri

	* src/tag_file.cpp (1.4, rel-3-7-5, rel-3-7-4, rel-3-7-3): 
	- Added comments originally in include/id3/tag.h 
	- (OpenFileForWriting): Now returns ID3_Err rather than void 
	- (OpenFileForReading): Now returns ID3_Err rather than void 
	- (Link): Deprecated Link(char *, bool, bool) for Link(char *,
	luint), which accepts an unsigned int representing the tag types to
	parse.  

2000-04-24 Monday 16:48  eldamitri

	* src/tag.cpp (1.4, rel-3-7-3): 
	- Added comments originally in include/id3/tag.h 
	- (operator<<): Made frame parameter constant 
	- (AddFrame): 
	- Made frame parameter constant 
	- Now adds a copy of the frame onto the tag, rather than the frame 
	passed in, thus allowing the tag to be repsonsible for deleting 
	the frame 
	- (AddNewFrame): Deprecated in favor of AttachFrame 
	- (AddFrames): Adds copies of frames 

2000-04-24 Monday 16:48  eldamitri

	* src/misc_support.cpp (1.3, rel-3-7-5, rel-3-7-4, rel-3-7-3): 
	- Calls to AddNewFrame replaced with calls to AttachFrame 
	- Minor changes to prevent warnings w/gcc 

2000-04-24 Monday 16:48  eldamitri

	* src/frame.cpp (1.3, rel-3-7-3): 
	(ID3_Frame): Added copy constructor implementation 

2000-04-24 Monday 16:47  eldamitri

	* src/: field.cpp (1.3), field_binary.cpp (1.3, rel-3-7-4),
	field_integer.cpp (1.3, rel-3-7-5, rel-3-7-4),
	field_string_ascii.cpp (1.3, rel-3-7-5, rel-3-7-4),
	field_string_unicode.cpp (1.3, rel-3-7-5, rel-3-7-4) (utags:
	rel-3-7-3): __lFixedLength changed to __ulFixedLength.  A fixed
	length of 0, rather than -1, represents a variable-length field,
	since we should never have a fixed field length of 0.  

2000-04-24 Monday 16:47  eldamitri

	* src/error.cpp (1.3, rel-3-7-5, rel-3-7-4, rel-3-7-3): 
	(ID3_ErrorDescs): Added "no error" to list 

2000-04-24 Monday 16:47  eldamitri

	* src/c_wrapper.cpp (1.3, rel-3-7-3): 
	(ID3Tag_Parse): Now returns an ID3_Err 
	(ID3Tag_Update): Now returns an ID3_Err 
	(ID3Tag_UpdateByTagType): Renamed from UpdateType, now returns an 
	ID3_Err 
	(ID3Tag_Strip): Now returns an ID3_Err 

2000-04-23 Sunday 19:38  eldamitri

	* src/tag_render.cpp (1.4): 
	- Moved def of ID3_PATH_LENGTH from tag.h, since its def requires a 
	macro defined in config.h, which isn't accessible from the .h files.  
	- Updated ID3_V1_LEN constants to new names 

2000-04-23 Sunday 19:38  eldamitri

	* src/tag_parse_v1.cpp (1.3, rel-3-7-5, rel-3-7-4, rel-3-7-3): 
	- Updated ID3_V1_LEN constants to new names 

2000-04-23 Sunday 19:38  eldamitri

	* src/tag_file.cpp (1.3): 
	- Updated ID3_TagType constants to new names 

2000-04-23 Sunday 19:37  eldamitri

	* src/tag.cpp (1.3): 
	- Moved def of ID3_PATH_LENGTH from tag.h, since its def requires a 
	macro defined in config.h, which isn't accessible from the .h files.  
	- __sFileName is now dynamically allocated 

2000-04-23 Sunday 19:37  eldamitri

	* include/id3/tag.h (1.15): 
	- Moved def of ID3_PATH_LENGTH from tag.h, since its def requires a 
	macro defined in config.h, which isn't accessible from the .h files.  
	- Moved LEN_V1 constants (renamed to ID3_V1_LEN constants) to
	globals.h 
	- Moved ID3V1_Tag struct declaration to globals.h 
	- Moved ID3_TagType enum declaration to globals.h 
	- Updated ID3_TagType constants to new names 
	- __sFileName is no longer a fixed-length char array, but rather a
	char pointer, since ID3_PATH_LENGTH can't be defined in tag.h 

2000-04-23 Sunday 19:37  eldamitri

	* include/id3/globals.h (1.11): 
	- Remove ID3_ENUM_TYPE macro, renamed and redefined ID3_ENUM_DECL
	macro to ID3_ENUM to make it easier to use 
	- Added ID3_MACRO macro 
	- Renamed the ID3_SpecVersion, ID3_TatType enums to follow more 
	consistent naming of all enums 
	- Moved LEN_V1 constants into ID3_V1Lengths enumeration, since array 
	lengths can't be specified with consts in C 
	- Added ID3V1_Tag struct from tag.h 
	- Added ID3_FieldFlags, ID3_FieldType, ID3_VerCtl enums from field.h 
	- Added ID3_Err enum from error.h 

2000-04-23 Sunday 19:37  eldamitri

	* include/id3/field.h (1.15): Moved ID3_FieldFlags, ID3_FieldType,
	ID3_VerCtl enums to globals.h 

2000-04-23 Sunday 19:36  eldamitri

	* include/id3/error.h (1.8, rel-3-7-5, rel-3-7-4, rel-3-7-3): Moved
	ID3_Err enumeration to globals.h 

2000-04-23 Sunday 19:36  eldamitri

	* examples/demo_info.cpp (1.4, rel-3-7-4, rel-3-7-3): 
	- Removed dependency on config.h 

2000-04-23 Sunday 19:36  eldamitri

	* examples/: demo_convert.cpp (1.4), demo_tag.cpp (1.4) (utags:
	rel-3-7-7, rel-3-7-8, rel-3-7-3, rel-3-7-4, rel-3-7-5): 
	- Removed dependency on config.h 
	- Updated ID3_TagType constants to new names 

2000-04-23 Sunday 01:35  eldamitri

	* include/id3.h (1.3): Added declaration from ID3Tag_UpdateType 

2000-04-23 Sunday 01:33  eldamitri

	* src/c_wrapper.cpp (1.2): Added implementations for
	ID3Tag_UpdateType and ID3_Frame{New,NewID,Delete}.  

2000-04-23 Sunday 00:55  eldamitri

	* doc/index.html.in (1.3, rel-3-7-3): Updated DOCTYPE.  

2000-04-22 Saturday 06:50  eldamitri

	* id3lib.spec.in (1.7, rel-3-7-2): Fixed minor bugs in doc
	cleaning, and better separation of noarch tasks.  

2000-04-21 Friday 22:13  eldamitri

	* NEWS (1.8), configure.in (1.26) (utags: rel-3-7-2): Updated for
	3.7.2 release 

2000-04-21 Friday 22:12  eldamitri

	* config.h.win32.in (1.3, rel-3-7-11, rel-3-7-9, rel-3-7-8,
	rel-3-7-7, rel-3-7-5, rel-3-7-4, rel-3-7-3, rel-3-7-2): Updated to
	be in line with config.h.in 

2000-04-21 Friday 22:02  eldamitri

	* configure.in (1.25): Added DOX_DIR_{HTML,LATEX,MAN,RTF} so that
	doxygen's output directories need only be adjusted in one file 

2000-04-21 Friday 21:55  eldamitri

	* Makefile.am (1.14, rel-3-7-3, rel-3-7-2): 
	(docs): Added for creating documentation from top directory 
	(docs-release): Added for automating creation of documentation 
	deliverables 
	(release): Updated to create documentation release 

2000-04-21 Friday 21:52  eldamitri

	* id3lib.spec.in (1.6): 
	- More conditional blocks for noarch 
	- More thorough cleaning of files for documentation 
	- Updated html directory 

2000-04-21 Friday 21:47  eldamitri

	* doc/Doxyfile.in (1.3, rel-3-7-4, rel-3-7-3, rel-3-7-2): 
	- Turned off verbatim headers 
	- Added *.c to example patterns 
	- Generalized output directories 

2000-04-21 Friday 21:45  eldamitri

	* doc/Makefile.am (1.11, rel-3-7-2): 
	(docs): 
	- More thorough building of documentation (pd.gz, pdf, html) 
	- Generalized doxygen's output directories 
	- Cleans up intermediate files 
	(dist-hook): Removed; doxygen-created docs no longer distributed
	with main tarball release 

2000-04-21 Friday 21:39  eldamitri

	* doc/index.html.in (1.2, rel-3-7-2): Generalized doxygen's html
	output directory 

2000-04-21 Friday 21:38  eldamitri

	* examples/Makefile.am (1.5, rel-3-7-8, rel-3-7-7, rel-3-7-8,
	rel-3-7-7, rel-3-7-5, rel-3-7-4, rel-3-7-3, rel-3-7-2): 
	(EXTRA_DIST): mp3 files are no longer distributed 

2000-04-21 Friday 07:56  eldamitri

	* src/dll_wrapper.cpp (1.3): Removed; replaced by c_wrapper.cpp 

2000-04-21 Friday 07:53  eldamitri

	* id3lib.spec.in (1.5): 
	- Fixed date of changelog entry for 3.7.1-1 
	- Added conditional blocks so docs only get built for noarch target 

2000-04-21 Friday 07:50  eldamitri

	* examples/Makefile.am (1.4): Updated for new example: id3simple 

2000-04-21 Friday 07:49  eldamitri

	* examples/demo_simple.c (1.1, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5, rel-3-7-4,
	rel-3-7-3, rel-3-7-2): Initial release; simple example of how to
	use the C interface 

2000-04-21 Friday 07:47  eldamitri

	* include/id3.h (1.2, rel-3-7-2): Fixed parameters for ID3Tag_Strip 

2000-04-21 Friday 07:46  eldamitri

	* include/id3/header_tag.h (1.8, rel-3-7-5, rel-3-7-4, rel-3-7-3,
	rel-3-7-2): 
	- Moved ID3_{TAGID,TAGIDSIZE,TAGHEADERSIZE} macros to globals.h 

2000-04-21 Friday 07:45  eldamitri

	* include/id3/globals.h (1.10, rel-3-7-2): 
	- Updated WIN32 macros for creating dll's 
	- Added ID3_{TAGID,TAGIDSIZE,TAGHEADERSIZE} macros from header.h 
	- Changed all enumerations to use same syntax for C and C++ 

2000-04-21 Friday 07:10  eldamitri

	* prj/: id3lib.dsp (1.6), id3lib.mak (1.4, rel-3-7-9, rel-3-7-8,
	rel-3-7-7, rel-3-7-5, rel-3-7-4) (utags: rel-3-7-2, rel-3-7-3): 
	- Added globals.cpp 
	- Removed version.cpp, types.h, version.h 
	- Renamed src\dll_wrapper.cpp to src\c_wrapper.cpp 

2000-04-21 Friday 07:07  eldamitri

	* libprj/id3lib.dsp (1.3, rel-3-7-3, rel-3-7-2): 
	- Added globals.cpp 
	- Removed version.cpp, externals.h, types.h, version.h 
	- Renamed include\id3\dll.h to include\id3.h 

2000-04-21 Friday 07:05  eldamitri

	* id3com/id3com.dsp (1.3, rel-3-7-2): Removed version.cpp 

2000-04-21 Friday 06:59  eldamitri

	* src/Makefile.am (1.8, rel-3-7-10, rel-3-7-9, rel-3-7-8,
	rel-3-7-7, rel-3-7-3, rel-3-7-2): 
	(the_sources): Added c_wrapper.cpp 
	(EXTRA_DIST): Removed, since dll_wrapper.cpp is no longer
	distributed 

2000-04-21 Friday 06:58  eldamitri

	* src/c_wrapper.cpp (1.1, rel-3-7-2): Renamed and updated from
	dll_wrapper.cpp 

2000-04-21 Friday 06:54  eldamitri

	* src/tag_find.cpp (1.3, rel-3-7-2): Minor updates 

2000-04-20 Thursday 17:12  eldamitri

	* doc/Makefile.am (1.10, rel-3-7-1): 
	(dist-hook): Copies latex code into dist package 

2000-04-20 Thursday 17:11  eldamitri

	* id3lib.spec.in (1.4, rel-3-7-1): Updated to make doc package as
	lean as possible 

2000-04-20 Thursday 06:59  eldamitri

	* NEWS (1.7), configure.in (1.24, rel-3-7-8) (utags: rel-3-7-1): 
	Updated for 3.7.1 release 

2000-04-20 Thursday 06:58  eldamitri

	* id3lib.spec.in (1.3): 
	* id3lib.spec.in: Added HISTORY to all %doc's 

2000-04-20 Thursday 06:56  eldamitri

	* include/Makefile.am (1.4, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5, rel-3-7-4,
	rel-3-7-3, rel-3-7-2, rel-3-7-1): Fixed typo.  

2000-04-20 Thursday 06:55  eldamitri

	* id3com/: ID3Field.h (1.2), ID3Frame.h (1.2) (utags: rel-3-7-1,
	rel-3-7-2, rel-3-7-3): Changed #include <id3/dll.h> to #include
	<id3.h> 

2000-04-20 Thursday 06:19  eldamitri

	* include/id3/dll.h (1.6): No longer needed 

2000-04-20 Thursday 06:03  eldamitri

	* id3lib.spec.in (1.2): 
	- Removed zlib-devel requirement from devel 
	- Added doc package to distribute documentation 
	- Added examples package to distribute binary examples 
	- Moved doc/ and examples/ source files from devel to doc package 

2000-04-20 Thursday 05:54  eldamitri

	* include/Makefile.am (1.3): Added id3.h to included directories 

2000-04-20 Thursday 05:52  eldamitri

	* configure.in (1.23): 
	- Added ID3LIB_NAME definition 
	- Prepended '__' onto all macros that will be defined in config.h to 
	alleviate namespace clashes 

2000-04-20 Thursday 05:50  eldamitri

	* src/tag_render.cpp (1.3, rel-3-7-2, rel-3-7-1): 
	(RenderV2ToHandle): Now uses ID3_PATH_LENGTH instead of MAXPATHLEN 

2000-04-20 Thursday 05:49  eldamitri

	* src/header.cpp (1.3, rel-3-7-3, rel-3-7-2, rel-3-7-1): 
	(ID3_LookupHeaderInfo): Minor update 

2000-04-20 Thursday 05:48  eldamitri

	* src/globals.cpp (1.1, rel-3-7-5, rel-3-7-4, rel-3-7-3, rel-3-7-2,
	rel-3-7-1): Initial release 

2000-04-20 Thursday 05:47  eldamitri

	* src/Makefile.am (1.7, rel-3-7-1): 
	(the_sources): Added globals.cpp, removed version.cpp 

2000-04-20 Thursday 05:45  eldamitri

	* include/id3/tag.h (1.14, rel-3-7-2, rel-3-7-1): 
	- Abstracted MAXPATHLEN into ID3_PATH_LENGTH macro for platform 
	differences (inspired by glib.h from http://www.gtk.org) 
	- Removed log comments to reduce file size 

2000-04-20 Thursday 05:43  eldamitri

	* include/id3/Makefile.am (1.3, rel-3-7-13, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-3, rel-3-7-2,
	rel-3-7-1): 
	(the_headers): Removed dll.h, externals.h, version.h, and types.h.  

2000-04-20 Thursday 05:43  eldamitri

	* include/id3/: error.h (1.7, rel-3-7-2), field.h (1.14,
	rel-3-7-2), frame.h (1.10, rel-3-7-2), header.h (1.8, rel-3-7-3,
	rel-3-7-2), header_frame.h (1.9, rel-3-7-5, rel-3-7-4, rel-3-7-3,
	rel-3-7-2), header_tag.h (1.7), int28.h (1.9, rel-3-7-12,
	rel-3-7-11, rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5,
	rel-3-7-4, rel-3-7-3, rel-3-7-2) (utags: rel-3-7-1): Minor updates;
	removed log comments to reduce file size 

2000-04-20 Thursday 05:42  eldamitri

	* include/id3/sized_types.h (1.4, rel-3-7-12, rel-3-7-11,
	rel-3-7-10, rel-3-7-9, rel-3-7-8, rel-3-7-7, rel-3-7-5, rel-3-7-4,
	rel-3-7-3, rel-3-7-2, rel-3-7-1): Made compilable with C (changed
	comments, etc.).  

2000-04-20 Thursday 05:41  eldamitri

	* include/id3/misc_support.h (1.11, rel-3-7-5, rel-3-7-4,
	rel-3-7-3, rel-3-7-2, rel-3-7-1): 
	- Moved MASK macros to globals.h 
	- Removed log comments to reduce file size 

2000-04-20 Thursday 05:38  eldamitri

	* include/id3/globals.h (1.9, rel-3-7-1): 
	- Made compilable with C (changed comments, etc.).  
	- Merged in contents of	types.h.  
	- Added bool typedef and true/false defines for C compilation.  
	- Added version constants (replacements for functions in version.h) 
	- Added ID3_SpecVersion enum 
	- Added new macros to abstract differences between latforms 

2000-04-20 Thursday 05:27  eldamitri

	* examples/: demo_convert.cpp (1.3), demo_info.cpp (1.3),
	demo_tag.cpp (1.3) (utags: rel-3-7-1, rel-3-7-2): Replaced call to
	ID3_FullName with ID3LIB_FULL_NAME constant 

2000-04-20 Thursday 05:24  eldamitri

	* include/id3.h (1.1, rel-3-7-1): Added; replaces include/id3/dll.h 

2000-04-20 Thursday 05:21  eldamitri

	* doc/Makefile.am (1.9): 
	(dist-hook): Made copying of the html more selective 

2000-04-20 Thursday 05:20  eldamitri

	* doc/Doxyfile.in (1.2, rel-3-6-2, rel-3-0-6pre1, rel-3-7-1): 
	(INPUT): Updated for new src code path.  
	(EXAMPLE_PATH): Updated for new example code path 

2000-04-20 Thursday 03:57  eldamitri

	* include/id3/externals.h (1.4), include/id3/utils.h (1.2),
	include/id3/version.h (1.6), src/version.cpp (1.3): No longer
	needed 

2000-04-20 Thursday 02:40  eldamitri

	* include/id3/: types.h (1.7), utils.h (1.1): Renamed from types.h
	to utils.h to better match its special purpose 

2000-04-20 Thursday 00:52  eldamitri

	* examples/Makefile.am (1.3, rel-3-7-1): 
	(bin_PROGRAMS): Changed from check_PROGRAMS so that they build w/o 
	make check 
	(EXTRA_DIST): Removed readme.txt 

2000-04-19 Wednesday 04:04  eldamitri

	* configure.in (1.22, rel-3-7-7): 
	(AC_OUTPUT): Added examples/Makefile, removed src/id3/Makefile and 
	src/examples/Makefile 

2000-04-19 Wednesday 04:03  eldamitri

	* Makefile.am (1.13, rel-3-7-1): 
	(SUBDIRS): Added 'examples' 

2000-04-19 Wednesday 04:02  eldamitri

	* src/Makefile.am (1.6, rel-3-7-5, rel-3-7-4): Moved from src/id3
	to src.  

2000-04-19 Wednesday 04:02  eldamitri

	* src/.cvsignore (1.3, rel-3-7-1): Updated for new files 

2000-04-19 Wednesday 04:01  eldamitri

	* src/id3/.cvsignore (1.4): No longer needed 

2000-04-19 Wednesday 04:00  eldamitri

	* examples/.cvsignore (1.2, rel-3-7-1), src/examples/.cvsignore
	(1.9): Moved .cvsignore from src/examples to examples 

2000-04-19 Wednesday 03:49  eldamitri

	* id3com/id3com.dsp (1.2), libprj/id3lib.dsp (1.2), prj/id3lib.dsp
	(1.5), prj/id3lib.mak (1.3) (utags: rel-3-7-1): Updated for new
	file paths.  

2000-04-19 Wednesday 00:14  eldamitri

	* src/: version.cpp (1.2), id3/version.cpp (1.6): Moved version.cpp
	from src/id3/ to src/ 

2000-04-19 Wednesday 00:14  eldamitri

	* src/: tag_sync.cpp (1.2, rel-3-7-5, rel-3-7-4, rel-3-7-3,
	rel-3-7-2, rel-3-7-1), id3/tag_sync.cpp (1.11): Moved tag_sync.cpp
	from src/id3/ to src/ 

2000-04-19 Wednesday 00:14  eldamitri

	* src/: tag_render.cpp (1.2), id3/tag_render.cpp (1.21): Moved
	tag_render.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:13  eldamitri

	* src/: tag_parse_v1.cpp (1.2, rel-3-7-2, rel-3-7-1),
	id3/tag_parse_v1.cpp (1.16): Moved tag_parse_v1.cpp from src/id3/
	to src/ 

2000-04-19 Wednesday 00:13  eldamitri

	* src/: tag_parse_lyrics3.cpp (1.2, rel-3-7-4, rel-3-7-3,
	rel-3-7-2, rel-3-7-1), id3/tag_parse_lyrics3.cpp (1.13): Moved
	tag_parse_lyrics3.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:13  eldamitri

	* src/: tag_parse.cpp (1.2, rel-3-7-2, rel-3-7-1),
	id3/tag_parse.cpp (1.21): Moved tag_parse.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:13  eldamitri

	* src/: tag_find.cpp (1.2, rel-3-7-1), id3/tag_find.cpp (1.14): 
	Moved tag_find.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:13  eldamitri

	* src/: tag_file.cpp (1.2, rel-3-7-2, rel-3-7-1), id3/tag_file.cpp
	(1.18): Moved tag_file.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:12  eldamitri

	* src/: tag.cpp (1.2, rel-3-7-2, rel-3-7-1), id3/tag.cpp (1.15): 
	Moved tag.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:12  eldamitri

	* src/: misc_support.cpp (1.2, rel-3-7-2, rel-3-7-1),
	id3/misc_support.cpp (1.23): Moved misc_support.cpp from src/id3/
	to src/ 

2000-04-19 Wednesday 00:12  eldamitri

	* src/: int28.cpp (1.2, rel-3-7-5, rel-3-7-4, rel-3-7-3, rel-3-7-2,
	rel-3-7-1), id3/int28.cpp (1.13): Moved int28.cpp from src/id3/ to
	src/ 

2000-04-19 Wednesday 00:12  eldamitri

	* src/: header_tag.cpp (1.2, rel-3-7-3, rel-3-7-2, rel-3-7-1),
	id3/header_tag.cpp (1.15): Moved header_tag.cpp from src/id3/ to
	src/ 

2000-04-19 Wednesday 00:12  eldamitri

	* src/: header_frame.cpp (1.2, rel-3-7-5, rel-3-7-4, rel-3-7-3,
	rel-3-7-2, rel-3-7-1), id3/header_frame.cpp (1.17): Moved
	header_frame.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:11  eldamitri

	* src/: header.cpp (1.2), id3/header.cpp (1.15): Moved header.cpp
	from src/id3/ to src/ 

2000-04-19 Wednesday 00:11  eldamitri

	* src/: frame_render.cpp (1.2, rel-3-7-3, rel-3-7-2, rel-3-7-1),
	id3/frame_render.cpp (1.14): Moved frame_render.cpp from src/id3/
	to src/ 

2000-04-19 Wednesday 00:11  eldamitri

	* src/: frame_parse.cpp (1.2, rel-3-7-3, rel-3-7-2, rel-3-7-1),
	id3/frame_parse.cpp (1.13): Moved frame_parse.cpp from src/id3/ to
	src/ 

2000-04-19 Wednesday 00:11  eldamitri

	* src/: frame.cpp (1.2, rel-3-7-2, rel-3-7-1), id3/frame.cpp
	(1.15): Moved frame.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:11  eldamitri

	* src/: field_string_unicode.cpp (1.2, rel-3-7-2, rel-3-7-1),
	id3/field_string_unicode.cpp (1.17): Moved field_string_unicode.cpp
	from src/id3/ to src/ 

2000-04-19 Wednesday 00:10  eldamitri

	* src/: field_string_ascii.cpp (1.2, rel-3-7-2, rel-3-7-1),
	id3/field_string_ascii.cpp (1.21): Moved field_string_ascii.cpp
	from src/id3/ to src/ 

2000-04-19 Wednesday 00:10  eldamitri

	* src/: field_integer.cpp (1.2, rel-3-7-2, rel-3-7-1),
	id3/field_integer.cpp (1.15): Moved field_integer.cpp from src/id3/
	to src/ 

2000-04-19 Wednesday 00:10  eldamitri

	* src/: field.cpp (1.2, rel-3-7-2, rel-3-7-1), id3/field.cpp
	(1.21): Moved field.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:10  eldamitri

	* src/: field_binary.cpp (1.2, rel-3-7-2, rel-3-7-1),
	id3/field_binary.cpp (1.14): Moved field_binary.cpp from src/id3/
	to src/ 

2000-04-19 Wednesday 00:10  eldamitri

	* src/: error.cpp (1.2, rel-3-7-2, rel-3-7-1), id3/error.cpp
	(1.14): Moved error.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:09  eldamitri

	* src/: dll_wrapper.cpp (1.2, rel-3-7-1), id3/dll_wrapper.cpp
	(1.15): Moved dll_wrapper.cpp from src/id3/ to src/ 

2000-04-19 Wednesday 00:07  eldamitri

	* src/id3/Makefile.am (1.11): No longer needed 

2000-04-18 Tuesday 23:47  eldamitri

	* examples/Makefile.am (1.2), src/examples/Makefile.am (1.9): Moved
	Makefile.am from src/examples to examples 

2000-04-18 Tuesday 23:46  eldamitri

